<?php
include('database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
  echo "<script>window.location.href='index.php';</script>";
}
?>
<?php include_once('functions/fetch.php'); ?>
<?php
$all_brands = find_all('conn1', 'brands');
$all_types = find_all('conn1', 'types');
?>
<?php include_once('layouts/header.php'); ?>
<header>
  <?php include_once('layouts/sidebar.php'); ?>
  <?php include_once('layouts/navbar.php'); ?>
</header>
<main style="margin-top: 58px; padding-left: 0px;">
  <div class="container pt-4">
    <!--Section: Statistics with subtitles-->
    <section>
      <div class="row">
        <div class="col-xl-3 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>Add Brands</strong>
              </h5>
            </div>
            <div class="card-body">
              <form method="post" class="clearfix" action="functions/brands/add_brands.php">
                <div class="form-floating mb-3">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <label class="input-group-text" for="inputGroupSelectTypes">Type: </label>
                    </div>
                    <select class="custom-select form-control" id="inputGroupSelectTypes" name="type" required>
                      <option value="" selected>Select type</option>
                      <?php
                      if ($all_types !== null) {
                        foreach ($all_types as $type) :
                          if (isset($type_id)) {
                      ?>
                            <option value="<?php echo $type['id'] ?>" <?php echo ($type['id'] == $type_id) ? 'selected' : '' ?>><?php echo $type['type'] ?></option>
                          <?php
                          } else { ?>
                            <option value="<?php echo $type['id'] ?>"><?php echo $type['type'] ?></option>
                      <?php   }
                        endforeach;
                      }
                      ?>
                    </select>
                  </div>
                </div>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Brand Name: [a-zA-Z]" aria-label="Brand Name" aria-describedby="add-brand-button" name="brand" pattern="[a-zA-Z]{}" required>
                </div>
                <button class="btn btn-success btn-sm center w-25" type="submit" id="add-brand-button" name="submit">Add</button>

              </form>
            </div>
          </div>
        </div>
        <div class="col-xl-9 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>All Brands</strong>
              </h5>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table id="table" class="table table-bordered stripe">
                  <thead>
                    <tr class="compass-primary-color bg-gradient text-white">
                      <th class="col-1" scope="col">Brand Type</th>
                      <th class="col-6" scope="col">Brand Name</th>
                      <th class="col-1" scope="col">Operations</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    if ($all_brands !== null) :
                      foreach ($all_brands as $brand) : ?>
                        <tr>
                          <?php foreach ($all_types as $type) {
                            if ($type['id'] == $brand['type_id']) {
                          ?>
                              <td><?php echo $type['type'] ?></td>
                          <?php
                            }
                          }
                          ?>
                          <td><?php echo $brand['brand']; ?></td>
                          <td>
                            <button class="btn btn-danger btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#deleteBrands<?php echo $brand['id']; ?>"><i class="fas fa-trash"></i></button>
                            <button class="btn btn-success btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#editBrands<?php echo $brand['id']; ?>"><i class="fas fa-pen"></i></button>
                          </td>
                        </tr>

                        <?php include("forms/brands/edit_brands.php");
                        include("forms/brands/delete_brands.php");
                        ?>
                    <?php endforeach;
                    endif; ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--Section: Statistics with subtitles-->
  </div>
</main>
<script>
  $('#table').DataTable({
    initComplete: function() {
      this.api()
        .columns()
        .every(function() {
          var column = this;
          var title = column.header().textContent;

          // Create input element and add event listener
          $('<input type="text" placeholder="Search ' + title + '" />')
            .appendTo($(column.header()).empty())
            .on('keyup change clear', function() {
              if (column.search() !== this.value) {
                column.search(this.value).draw();
              }
            });
        });
    }
  });
</script>
<?php include_once('layouts/footer.php'); ?>