<?php
include('database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
  echo "<script>window.location.href='index.php';</script>";
}
?>
<?php include_once('functions/fetch.php'); ?>
<?php
$all_categories = find_all('conn1', 'categories');
$all_types = find_all('conn1', 'types');
?>
<?php include_once('layouts/header.php'); ?>
<header>
  <?php include_once('layouts/sidebar.php'); ?>
  <?php include_once('layouts/navbar.php'); ?>
</header>
<main style="margin-top: 58px; padding-left: 0px;">
  <div class="container pt-4">
    <!--Section: Statistics with subtitles-->
    <section>
      <div class="row">
        <div class="col-xl-3 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>Add Categories</strong>
              </h5>
            </div>
            <div class="card-body">
              <form method="post" class="clearfix" action="functions/categories/add_categories.php">
                <div class="form-floating mb-3">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <label class="input-group-text" for="inputGroupSelectTypes">Type: </label>
                    </div>
                    <select class="custom-select form-control" id="inputGroupSelectTypes" name="type_id"required>
                      <option value="" selected>Select type</option>
                      <?php
                      if ($all_types !== null) {
                        foreach ($all_types as $type) :
                          if (isset($type_id)) {
                      ?>
                            <option value="<?php echo $type['id'] ?>" <?php echo ($type['id'] == $type_id) ? 'selected' : '' ?>><?php echo $type['type'] ?></option>
                          <?php
                          } else { ?>
                            <option value="<?php echo $type['id'] ?>"><?php echo $type['type'] ?></option>
                      <?php   }
                        endforeach;
                      }
                      ?>
                    </select>
                  </div>
                </div>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Category Name" aria-label="Category Name" name="category" pattern="[a-zA-Z]{}" required>
                </div>
                <div class="input-group mb-3">
                  <input type="number" step="any" class="form-control" placeholder="Life Expectancy (in terms of yrs)" aria-label="Life Expectancy (in terms of yrs)" name="life_expectancy">
                </div>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Category Code" aria-label="Category Code" name="category_code" pattern="[a-zA-Z]{}" required>
                </div>
                <button class="btn btn-success btn-md center wd-25" type="submit" id="add-category-button" name="submit">Add</button>
              </form>
            </div>
          </div>
        </div>
        <div class="col-xl-9 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>All Categories</strong>
              </h5>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table id="table" class="table table-bordered stripe">
                  <thead>
                    <tr class="compass-primary-color bg-gradient text-white">
                      <th scope="col">Type</th>
                      <th scope="col">Category Name</th>
                      <th scope="col">Life Expectancy</th>
                      <th scope="col">Category Code</th>
                      <th class="col-2" scope="col">Operations</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    if ($all_categories !== null) :
                      foreach ($all_categories as $cat) : ?>
                        <tr>
                          <?php foreach ($all_types as $type) :
                            if ($type['id'] == $cat['type_id']) :
                          ?>
                              <td><?php echo $type['type']; ?></td>
                          <?php
                            endif;
                          endforeach;
                          ?>
                          <td><?php echo $cat['category']; ?></td>
                          <td><?php echo (!isset($cat['life_expectancy']) || empty($cat['life_expectancy']))? "N/A" : $cat['life_expectancy']." year/s"; ?></td>
                          <td><?php echo $cat['code']; ?></td>
                          <td>
                            <button class="btn btn-danger btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#deleteCategories<?php echo $cat['id']; ?>"><i class="fas fa-trash"></i></button>
                            <button class="btn btn-success btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#editCategories<?php echo $cat['id']; ?>"><i class="fas fa-pen"></i></button>
                          </td>
                        </tr>

                      <?php include("forms/categories/edit_categories.php");
                        include("forms/categories/delete_categories.php");
                      endforeach;
                      ?>
                    <?php
                    endif; ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--Section: Statistics with subtitles-->
  </div>
</main>
<script>
    $('#table').DataTable();
</script>
<?php include_once('layouts/footer.php'); ?>