<?php
include('database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>window.location.href='index.php';</script>";
}

$_SESSION['LAST_ACTIVITY'] = time();
if (
    isset($_SESSION['LAST_ACTIVITY'])
    && (time() - $_SESSION['LAST_ACTIVITY'] > 1440)
) {
    // last request was more than 30 minutes ago
    session_unset();     // unset $_SESSION variable for the run-time 
    session_destroy();   // destroy session data in storage
    echo "<script>
        alert('Session timeout. Please log in your account again.');
        window.location.href = '../index.php'; // Redirect to the login page after the alert is closed
    </script>";
}
?>



<?php include_once('layouts/header.php'); ?>


<header>
    <?php include_once('forms/items/request_bulk_disposal.php'); ?>
    <?php include_once('layouts/sidebar.php'); ?>
    <?php include_once('layouts/navbar.php'); ?>
</header>
<style>
    div.dataTables_length {
        margin-right: 1.4em;
    }

    .hideDiv {
        display: none;
    }

    #availableItems_filter,
    #disposedTable_filter,
    #example_filter,
    #forUpdateTable_filter,
    #forDisposalTable_filter {
        display: none;
    }

    .d-flex .col-md-1 {
        margin-right: 10px;
        /* Add margin between buttons */
    }

    .d-flex .col-md-1:last-child {
        margin-right: 0;
        /* Remove margin from the last button */
    }

    @media (max-width: 768px) {
        .col-md-1 {
            margin-right: 50px;
            /* Adjust margin for smaller screens */
        }
    }

    .badge {
        color: inherit;
    }
</style>
<main style="margin-top: 58px; padding-left:0px;">
    <div class="container pt-4" style="max-width:1620px;">
        <!--Section: Statistics with subtitles-->
        <section>
            <div class="row">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card">


                        <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                            <h5 class="text-center" id="mainTitle">
                                <strong>DISPOSAL REQUESTS</strong>
                            </h5>
                        </div>
                        <div class="card-body">
                            <div class="col-md-1 mb-3 responsive">
                                <a type="button" class="btn btn-success btn-md responsive" data-bs-toggle="modal" title='Dispose Multiple Items' data-bs-target="#disposeMultipleItemsModal" aria-hidden="true"><i class="fas fa-plus fa-lg"></i></a>
                            </div>
                            <br>
                            <br>
                            <div class='table-responsive' style='height:895px;'>
                                <!-- <div id="demo-output" style="border-radius:25px;width:100%;" class="card chart-display shadow"></div> -->
                                <br>
                                <table id='forDisposalTable' class='table table-bordered stripe'>
                                    <thead>
                                        <tr class='compass-primary-color bg-gradient text-white'>
                                            <th scope='col'>Form Control No.</th>
                                            <th scope='col'>Date</th>
                                            <th scope='col'>Property Code</th>
                                            <th scope='col'>Item</th>
                                            <th scope='col'>Location</th>
                                            <th scope='col'>Department</th>
                                            <th scope='col'>Date Purchased</th>
                                            <th scope='col'>Status&nbsp;&nbsp;</th>
                                            <th scope='col'>Action</th>
                                        </tr>
                                    </thead>
                                </table>
                                <div id="rows"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
</main>
<script>
    $(document).ready(function() {
        var table = $('#forDisposalTable').DataTable({

            drawCallback: function(settings) {
                var response = settings.json;
                var propertyCode = "<?php echo isset($_GET['property_code']) ? $_GET['property_code'] : '' ?>";
                var formControlNo = "<?php echo isset($_GET['form_control_no']) ? $_GET['form_control_no'] : '' ?>";

                var response = settings.json;

                if (formControlNo != '') {
                    var previousSearchTerm = ""; // Variable to store the previous search term

                    // Inside the drawCallback function
                    var currentSearchTerm = this.api().column(0).search();
                    if (currentSearchTerm !== formControlNo) {
                        this.api().column(0).search(formControlNo).draw();
                        previousSearchTerm = formControlNo; // Update the previous search term
                    }
                } else if (propertyCode != '') {
                    var previousSearchTerm = ""; // Variable to store the previous search term

                    // Inside the drawCallback function
                    var currentSearchTerm = this.api().column(1).search();
                    if (currentSearchTerm !== propertyCode) {
                        this.api().column(1).search(propertyCode).draw();
                        previousSearchTerm = propertyCode; // Update the previous search term
                    }
                }

                var rows = response.query;
                var test = response.test;
                $.ajax({
                    type: "POST",
                    url: "resources/script/items/for_disposal_modals.php", // Replace with your PHP script URL
                    data: {
                        data: rows
                    },
                    success: function(response) {

                        $('#rows').html(response);
                        // test.forEach(function(item) {
                        //     var myModal = new bootstrap.Modal(document.getElementById('editItems' + item), {});
                        // });
                        $('.modal').on('hidden.bs.modal', function() {
                            $('body').css('overflow', 'visible');
                            $('body').css('padding-right', '0px');
                        });
                    }
                });

            },
            "ajax": {
                url: 'resources/script/items/for_disposal.php',
                type: 'POST'
            },
            "columns": [{
                    "data": 'form_control_no'
                },
                {
                    "data": 'date'
                },
                {
                    "data": 'itemID'
                },
                {
                    "data": 'category'
                },
                {
                    "data": 'location'
                },
                {
                    "data": 'department'
                },
                {
                    "data": 'date_purchased'
                },
                {
                    "data": 'status',
                    "render": function(data, type, row) {
                        data = data.split('-');
                        return "<div class='rounded-pill badge-" + data[0] + " text-center'><span class='badge rounded-pill badge-" + data[0] + "'>" + data[2] + "</span></div>";
                    }
                },
                {
                    "data": 'action',
                    "render": function(data, type, row) {
                        data = data.split(';');
                        return "<div class='btn-group' role='group' aria-label='Action'>" +
                            "<button class='btn btn-success btn-sm' id='updateItems' aria-hidden='true' data-bs-toggle='modal' title='Confirm Delete' data-bs-target='#fileUploadModal" + data[0] + "' data-mdb-ripple-init><i class='fas fa-check'></i></button>" +
                            "<button class='btn btn-danger btn-sm' id='' aria-hidden='true' data-bs-toggle='modal' title='Cancel Delete' data-bs-target='#cancelDisposalItem" + data[0] + "'data-mdb-ripple-init <?php echo (isset($_SESSION['privilege']) && ($_SESSION['privilege'] != "PAM" && $_SESSION['privilege'] != "PAMA")) ? "disabled" : "" ?>><i class='fas fa-close'></i></button>" +
                            "</div>" +
                            '<a class="btn btn-secondary btn-sm mx-1" href="functions/items/generate_disposal.php?id=' + data[0] + '"><i class="fas fa-print"></i></a></div>';

                    }
                }

            ],


            "select": true,
            "processing": true,
            "responsive": true,
            "serverSide": true,
            "paging": true,
            "pagingType": 'simple',
            "dom": 'l<"clear">Bfrtip',
            buttons: [{
                    text: 'Excel',
                    action: function(e, dt, node, config) {
                        // Get the empQuery from the server-side processing
                        var empQuery = table.context[0].json['query'];
                        empQuery = empQuery.split("LIMIT");
                        empQuery = empQuery.slice(0, 6).join(" LIMIT ");
                        // Construct the URL for exporting Excel with empQuery as a parameter
                        var excelExportUrl = 'http://<?php echo ($_SERVER['SERVER_ADDR'] == "::1") ? "localhost" : $_SERVER['HTTP_HOST'] ?>/asset-management/resources/lib/export_excel_disposal.php?empQuery=' + encodeURIComponent(empQuery);

                        // Redirect to the Excel export URL 
                        window.location.href = excelExportUrl;
                    }
                }, {
                    text: 'PDF',
                    action: function(e, dt, node, config) {
                        // Get the empQuery from the server-side processing
                        var empQuery = table.context[0].json['query'];
                        empQuery = empQuery.split("LIMIT");
                        empQuery = empQuery.slice(0, 6).join(" LIMIT ");
                        // Construct the URL for exporting Excel with empQuery as a parameter
                        var excelExportUrl = 'http://<?php echo ($_SERVER['SERVER_ADDR'] == "::1") ? "localhost" : $_SERVER['HTTP_HOST'] ?>/asset-management/resources/lib/export_pdf_disposal.php?empQuery=' + encodeURIComponent(empQuery);

                        // Redirect to the Excel export URL 
                        window.location.href = excelExportUrl;
                    }
                },


                'colvis'
            ],
            initComplete: function() {
                var api = this.api();

                // Append the filters row to the thead
                var filtersRow = $('<tr class="filters"></tr>').appendTo('#forDisposalTable thead');

                // For each column
                api.columns().every(function(index) {
                    var column = this;
                    var title = column.header(index).textContent;

                    // Skip columns 5 and 13
                    if (index < 7) {
                        // Create th element
                        var th = $('<th></th>').appendTo(filtersRow);

                        // Create input element and add event listener
                        $('<input type="text" placeholder="Search ' + title + '" />')
                            .appendTo(th)
                            .on('keyup change clear', function() {
                                if (column.search() !== this.value) {
                                    column.search(this.value).draw();
                                }
                            });
                    } else {
                        // For columns 5 and 13, create empty th elements
                        $('<th></th>').appendTo(filtersRow);
                    }
                });
            }



        });

        $(".next").click(function() {
            $('#forDisposalTable').on('click', '#confirmUpdate', function() {
                var text = $(this).attr("data-bs-target")
                $(text).modal('show');
            });

            $('#forDisposalTable').on('click', '#cancelUpdate', function() {
                var text = $(this).attr("data-bs-target")
                $(text).modal('show');
            });
        });

        $('#forDisposalTable').on('click', '#confirmUpdate', function() {
            var text = $(this).attr("data-bs-target")
            $(text).modal('show');
        });

        $('#forDisposalTable').on('click', '#cancelUpdate', function() {
            var text = $(this).attr("data-bs-target")
            $(text).modal('show');
        });
    });
</script>
<div id="rows"></div>
</div>
</div>
</div>
</div>
</div>
</div>
</section>
<!--Section: Statistics with subtitles-->
</div>
</main>
<?php if ($_SESSION['level'] == 1 || $_SESSION['level'] == 4) {
} ?>
<?php include_once('layouts/footer.php'); ?>