<!-- Modal -->
<style>
    h6 {
        color: #003462 !important;
    }
</style>
<div class="modal fade" id="disposeMultipleItemsModal" tabindex="-1" role="dialog" aria-labelledby="disposeMultipleItemsModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="disposeMultipleItemsModalLabel">Disposal Request</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="bulkDisposalForm" action="functions/items/request_bulk_disposal.php" method="post" enctype="multipart/form-data">
                <div class="modal-body">

                    <div class="container">
                        <div class="row" style="text-align: left;">
                            <input type="hidden" name="status_id" value="<?php echo (isset($row['statID'])) ? $row['statID'] : ''; ?>">

                            <div class="mb-3">
                                <div class="form-group">
                                    <label for="upload_tag"><b>Upload Photo of Equipment:</b></label>
                                    <?php
                                    if (!isset($row['upload_tag']) || empty($row['upload_tag'])) {
                                    ?>
                                        <input type="file" class="form-control-file custom-class" name="upload_tag" id="upload_tag" accept=".jpg,.png,.jpeg" required>
                                    <?php
                                    } else {
                                    ?>
                                        <input type="hidden" name="upload_tag_hidden" value="<?php echo (isset($row['upload_tag'])) ? $row['upload_tag'] : ''; ?>">
                                        <img src="resources/img/upload_tag/<?php echo str_replace("../../", "", $row['upload_tag']); ?>" style="max-width:100%;max-height:100%;">
                                    <?php
                                    }
                                    ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <hr>

                <div class="modal-body">

                    <div class="container">
                        <label for="commaTextArea"><strong>Input Property Codes:</strong></label>
                        <textarea class='form-control' name='property_codes' id="commaTextArea" rows="4" cols="50" oninput="addCommas(this)"></textarea>

                        <script>
                            function addCommas(textArea) {
                                let text = textArea.value.replace(/,/g, ''); // Remove existing commas
                                let formattedText = '';
                                let count = 0; // Counter to track non-space characters
                                for (let i = 0; i < text.length; i++) {
                                    const char = text[i];
                                    formattedText += char;
                                    // Only count non-space characters
                                    if (char !== ' ' && char !== '\n') {
                                        count++;
                                    }
                                    // Insert a comma after every 12 non-space characters
                                    if (count === 12) {
                                        formattedText += ',';
                                        count = 0; // Reset counter after adding comma
                                    }
                                }
                                textArea.value = formattedText;
                            }
                        </script>
                        <br>
                        <div class="row" style="text-align: left;">
                            <div class="mb-3">
                                <div class="form-group">
                                    <label for="upload_mode"><b>Choose Upload Mode:</b></label>

                                    <!-- Radio buttons for manual and automatic selection -->
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="upload_mode" id="manualUpload" value="manual" <?php echo ((isset($upload_mode) && $upload_mode === 'manual') || (isset($upload_status) && !empty($upload_status))) ? 'checked' : ''; ?>>
                                        <label class="form-check-label" for="manualUpload">Manual</label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="upload_mode" id="automaticUpload" value="automatic" <?php echo ((isset($upload_mode) && $upload_mode === 'automatic') || (isset($row['status_report_id']) && !empty($row['status_report_id']))) ? 'checked' : ''; ?>>
                                        <label class="form-check-label" for="automaticUpload">Digital</label>
                                    </div>
                                </div>
                            </div>

                            <?php
                            if (isset($row['status_report_id']) && !empty($row['status_report_id'])) {
                                // Escape the status_report_id for safety
                                $status_report_id = mysqli_real_escape_string($conn1, $row['status_report_id']);

                                // Create the SQL query to select all data from the status_report_1 table
                                $query = "SELECT status_report_1.*, departments.code 
                                FROM status_report_1 
                                LEFT JOIN departments ON status_report_1.department_id = departments.id 
                                WHERE status_report_1.id = ?";


                                // Prepare and execute the query
                                if ($stmt = $conn1->prepare($query)) {
                                    $stmt->bind_param("i", $status_report_id); // Bind the status_report_id as an integer
                                    $stmt->execute();

                                    // Get the result set
                                    $result = $stmt->get_result();

                                    // Check if any rows are returned
                                    if ($result->num_rows > 0) {
                                        // Fetch the data
                                        $status_report_data = $result->fetch_assoc();

                                        // Format the status report ID
                                        $formatted_date = date("Y", strtotime($status_report_data['date_requested']));
                                        $status_report_id = $status_report_data['code'] . "-STA-" . $formatted_date . "-" . str_pad($status_report_data['code1_id'], 4, "0", STR_PAD_LEFT);

                                        // Use $status_report_id as needed
                                    } else {
                                        // Handle case where no matching record is found
                                        echo "No matching status report found.";
                                    }

                                    // Close the statement
                                    $stmt->close();
                                }
                            }
                            ?>
                            <!-- Status Report ID (shown when "automatic" is selected) -->
                            <div class="mb-3" id="statusReportIdField" style="display: none;">
                                <label for="statusReportId<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" class="form-label">Status Report ID:</label>
                                <input type="text" class="form-control" id="statusReportId<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="status_report_id"
                                    value="<?php echo isset($status_report_id) ? htmlspecialchars($status_report_id) : ''; ?>">
                            </div>


                            <!-- File upload field (shown when "manual" is selected) -->
                            <div class="mb-3" id="manualUploadField" style="display: none;">
                                <label for="upload_status">Upload Status Report: </label>
                                <?php if (!isset($row['upload_status']) || empty($row['upload_status'])): ?>
                                    <input type="file" class="form-control-file" name="upload_status" id="upload_status" accept=".jpg,.png,.jpeg,.doc,.docx,.pdf">
                                <?php else: ?>
                                    <?php
                                    $upload_status = explode('.', $row['upload_status']);
                                    $documents = array("doc", "docx", "pdf");
                                    $images = array("jpg", "png", "jpeg");
                                    if (is_array($upload_status)) {
                                        if (in_array(end($upload_status), $documents)) {
                                    ?>
                                            <a href="<?php echo "resources/img/upload_status/" . $row['upload_status']; ?>" class="btn btn-primary">View File</a>
                                            <input type="hidden" name="upload_status_hidden" value="<?php echo $row['upload_status']; ?>">
                                        <?php
                                        } else if (in_array(end($upload_status), $images)) {
                                        ?>
                                            <img src="resources/img/upload_status/<?php echo $row['upload_status']; ?>" style="max-width:100%;max-height:100%;">
                                            <input type="hidden" name="upload_status_hidden" value="<?php echo $row['upload_status']; ?>">
                                    <?php
                                        }
                                    }
                                    ?>
                                <?php endif; ?>
                            </div>

                            <script>
                                $(document).ready(function() {
                                    // Get the modal ID dynamically
                                    var modalId = '#disposeMultipleItemsModal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>';

                                    function toggleFields() {
                                        if ($(modalId + ' #manualUpload').is(':checked')) {
                                            $(modalId + ' #manualUploadField').show();
                                            $(modalId + ' #statusReportIdField').hide();
                                        } else if ($(modalId + ' #automaticUpload').is(':checked')) {
                                            $(modalId + ' #manualUploadField').hide();
                                            $(modalId + ' #statusReportIdField').show();
                                        }
                                    }

                                    // Initial check on page load
                                    toggleFields();

                                    // Event listeners for radio buttons within the modal
                                    $(modalId + ' input[name="upload_mode"]').change(toggleFields);
                                });
                            </script>



                            <?php
                            $reason_options = array("equipment with irreparable damage", "equipment having low functionality", "surplus equipment");
                            ?>
                            <div class="mb-3">
                                <label class="form-label">Reason for Disposal:</label>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="reason" id="irreparableDamage<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="Equipment with irreparable damage" <?php echo ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Equipment with irreparable damage") == 0) ? "checked" : ''; ?>>
                                    <label class="form-check-label" for="irreparableDamage<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Equipment with irreparable damage</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="reason" id="lowFunctionality<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="Equipment having low functionality" <?php echo ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Equipment having low functionality") == 0) ? "checked" : ''; ?>>
                                    <label class="form-check-label" for="lowFunctionality<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Equipment having low functionality</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="reason" id="surplusEquipment<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="Surplus equipment" <?php echo ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Surplus equipment") == 0) ? "checked" : ''; ?>>
                                    <label class="form-check-label" for="surplusEquipment<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Surplus equipment</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="reason" id="otherReason<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="Other" <?php echo (isset($row['reason']) && !in_array(strtolower($row['reason']), $reason_options)) ? "checked" : ''; ?>>
                                    <label class="form-check-label" for="otherReason<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Others (please specify)</label>
                                </div>
                                <div class="mt-2">
                                    <input type="text" class="form-control" id="otherReasonSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="other_reason_specify" placeholder="Please specify if others" value="<?php echo (isset($row['reason']) && !in_array(strtolower($row['reason']), $reason_options)) ? $row['reason'] : ''; ?>" <?php echo isset($row['reason']) && $row['reason'] == "Other" ? '' : 'disabled'; ?>>
                                </div>
                            </div>

                            <?php

                            $method_options = array("SCRAPPING", "DISCARDING", "DONATION", "SELLING");

                            ?>

                            <div class="mb-3">
                                <label class="form-label">Select Disposal Method:</label>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="scrapping<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="SCRAPPING" <?php echo (isset($row['method']) && $row['method'] == "SCRAPPING") ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="scrapping<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Scrapping</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="discarding<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="DISCARDING" <?php echo (isset($row['method']) && $row['method'] == "DISCARDING") ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="discarding<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Discarding</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="donation<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="DONATION" <?php echo (isset($row['method']) && $row['method'] == "DONATION") ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="donation<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Donation</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="selling<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="SELLING" <?php echo (isset($row['method']) && $row['method'] == "SELLING") ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="selling<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Selling</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="otherDisposal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="OTHER" <?php echo (isset($row['method']) && !in_array($row['method'], $method_options)) ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="otherDisposal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Others</label>
                                </div>
                                <div class="mt-2">
                                    <input type="text" class="form-control" id="otherDisposalSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="other_disposal_specify" placeholder="Please specify if others" value="<?php echo (isset($row['method']) && !in_array($row['method'], $method_options)) ? $row['method'] : ''; ?>" <?php echo isset($row['method']) && $row['method'] == "OTHER" ? '' : 'disabled'; ?>>
                                </div>
                            </div>

                            <input type="hidden" id="deptHeadApproveInput<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="dept_head_approve" value=1> <!-- wag tanggalin -->

                            <!-- Dating may admin approval -->
                            <div class="mb-3 text-center" style="display:none;">
                                <p>I authorize the disposal of this item.</p>
                                <div class="btn-group" role="group" aria-label="Dept. Head Approval">
                                    <!-- Approve Button -->
                                    <button type="button" class="btn btn-success" onclick="setDeptHeadApproval('<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>', '1')" <?php echo ((isset($row['dept_head']) && ($row['dept_head'] == "0" || $row['dept_head'] == "1")) || ($_SESSION['privilege'] != "DEPARTMENT HEAD" && $_SESSION['privilege'] != "ADMIN")) ? 'disabled' : ''; ?>>
                                        <?php echo (isset($row['dept_head']) && $row['dept_head'] == "1") ? 'Approved' : 'Approve'; ?>
                                    </button>
                                    <!-- Disapprove Button -->
                                    <button type="button" class="btn btn-danger" onclick="setDeptHeadApproval('<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>', '0')" <?php echo ((isset($row['dept_head']) && ($row['dept_head'] == "0" || $row['dept_head'] == "1")) || ($_SESSION['privilege'] != "DEPARTMENT HEAD" && $_SESSION['privilege'] != "ADMIN")) ? 'disabled' : ''; ?>>
                                        <?php echo (isset($row['dept_head']) && $row['dept_head'] == "0") ? 'Disapproved' : 'Disapprove'; ?>
                                    </button>
                                </div>
                            </div>
                            <div class="modal-footer" style="display:<?php echo ($_SERVER['HTTP_REFERER'] == "http://localhost/asset-management/items.php") ? "none" : "block";  ?>">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary" name="request_disposal">Send Request</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>

            <script>
                // Enable or disable the "other reason specify" field based on the selection of "Other" reason
                document.getElementById('otherReason<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').addEventListener('change', function() {
                    document.getElementById('otherReasonSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').disabled = !this.checked;
                });

                // Disable the "other reason specify" field and clear its value if any other reason is selected
                document.querySelectorAll('input[name="reason"]').forEach(function(element) {
                    if (element.id !== 'otherReason<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>') {
                        element.addEventListener('change', function() {
                            document.getElementById('otherReasonSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').disabled = true;
                            document.getElementById('otherReasonSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').value = '';
                        });
                    }
                });

                // Enable or disable the "other disposal specify" field based on the selection of "Other" disposal method
                document.getElementById('otherDisposal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').addEventListener('change', function() {
                    document.getElementById('otherDisposalSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').disabled = !this.checked;
                });

                // Disable the "other disposal specify" field and clear its value if any other disposal method is selected
                document.querySelectorAll('input[name="method"]').forEach(function(element) {
                    if (element.id !== 'otherDisposal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>') {
                        element.addEventListener('change', function() {
                            document.getElementById('otherDisposalSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').disabled = true;
                            document.getElementById('otherDisposalSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').value = '';
                        });
                    }
                });

                function setDeptHeadApproval(id, value) {
                    document.getElementById('deptHeadApproveInput' + id).value = value;
                    $('#bulkDisposalForm' + id + '_depthead').submit();
                }
            </script>
        </div>
    </div>
</div>
<script>
    $(document).ready(function() {

        $('#bulkDisposalForm').on('submit', function(e) {
            e.preventDefault();

            var formData = new FormData(this);

            $.ajax({
                url: 'functions/items/request_bulk_disposal.php',
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                success: function(response) {
                    try {
                        // Remove extra [] or any unexpected characters at the start of the response
                        response = response.replace(/^\[\]+/, '');

                        // Parse the cleaned response as JSON
                        response = JSON.parse(response);

                        if (response.status === 'success') {
                            Swal.fire({
                                icon: 'success',
                                title: 'Success',
                                text: response.message
                            }).then(function() {
                                location.reload(); // Reload the page on success
                            });
                        } else {
                            Swal.fire({
                                icon: 'error',
                                title: 'Error',
                                text: response.message
                            });
                        }
                    } catch (e) {
                        console.error("Parsing error:", e);
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: 'Unexpected server response.'
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'AJAX Error',
                        text: 'Failed to process the request.'
                    });
                }
            });
        });
    });
</script>