<!-- Modal -->
<style>
    h6 {
        color: #003462 !important;
    }
</style>
<div class="modal fade" id="fileUploadModal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" tabindex="-1" role="dialog" aria-labelledby="fileUploadModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="fileUploadModalLabel">Disposal Request</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" action="functions/items/request_disposal.php" method="post" enctype="multipart/form-data">
                <div class="modal-body">
                    <div class="container">
                        <div class="row" style="text-align: left;">
                            <input type="hidden" name="id" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                            <input type="hidden" name="status_id" value="<?php echo (isset($row['statID'])) ? $row['statID'] : ''; ?>">
                            <input type="hidden" name="request_disposal" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">

                            <div class="mb-3">
                                <div class="form-group">
                                    <label for="upload_tag"><b>Upload Photo of Equipment: </b></label>
                                    <?php
                                    if (!isset($row['upload_tag']) || empty($row['upload_tag'])) {
                                    ?>
                                        <input type="file" class="form-control-file custom-class" name="upload_tag" id="upload_tag" accept=".jpg,.png,.jpeg" required>
                                    <?php
                                    } else {
                                    ?>
                                        <input type="hidden" name="upload_tag_hidden" value="<?php echo (isset($row['upload_tag'])) ? $row['upload_tag'] : ''; ?>">
                                        <img src="resources/img/upload_tag/<?php echo str_replace("../../", "", $row['upload_tag']); ?>" style="max-width:100%;max-height:100%;">
                                    <?php
                                    }
                                    ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <hr>

                <div class="modal-body">
                    <div class="container">
                        <div class="row" style="text-align: left;">
                            <div class="mb-3">
                                <div class="form-group">
                                    <label for="upload_mode"><b>Choose Upload Mode:</b></label>

                                    <!-- Radio buttons for manual and automatic selection -->
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="upload_mode" id="manualUpload" value="manual" <?php echo ((isset($upload_mode) && $upload_mode === 'manual') || (isset($upload_status) && !empty($upload_status))) ? 'checked' : ''; ?>>
                                        <label class="form-check-label" for="manualUpload">Manual</label>
                                    </div>
                                    <div class="form-check">
                                        <input class="form-check-input" type="radio" name="upload_mode" id="automaticUpload" value="automatic" <?php echo ((isset($upload_mode) && $upload_mode === 'automatic') || (isset($row['status_report_id']) && !empty($row['status_report_id']))) ? 'checked' : ''; ?>>
                                        <label class="form-check-label" for="automaticUpload">Digital</label>
                                    </div>
                                </div>
                            </div>

                            <?php
                            if (isset($row['status_report_id']) && !empty($row['status_report_id'])) {
                                // Escape the status_report_id for safety
                                $status_report_id = mysqli_real_escape_string($conn1, $row['status_report_id']);

                                // Create the SQL query to select all data from the status_report_1 table
                                $query = "SELECT status_report_1.*, departments.code 
                                FROM status_report_1 
                                LEFT JOIN departments ON status_report_1.department_id = departments.id 
                                WHERE status_report_1.id = ?";


                                // Prepare and execute the query
                                if ($stmt = $conn1->prepare($query)) {
                                    $stmt->bind_param("i", $status_report_id); // Bind the status_report_id as an integer
                                    $stmt->execute();

                                    // Get the result set
                                    $result = $stmt->get_result();

                                    // Check if any rows are returned
                                    if ($result->num_rows > 0) {
                                        // Fetch the data
                                        $status_report_data = $result->fetch_assoc();

                                        // Format the status report ID
                                        $formatted_date = date("Y", strtotime($status_report_data['date_requested']));
                                        $status_report_id = $status_report_data['code'] . "-STA-" . $formatted_date . "-" . str_pad($status_report_data['code1_id'], 4, "0", STR_PAD_LEFT);

                                        // Use $status_report_id as needed
                                    } else {
                                        // Handle case where no matching record is found
                                        echo "No matching status report found.";
                                    }

                                    // Close the statement
                                    $stmt->close();
                                }
                            }
                            ?>
                            <!-- Status Report ID (shown when "automatic" is selected) -->
                            <div class="mb-3" id="statusReportIdField" style="display: none;">
                                <label for="statusReportId<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" class="form-label">Status Report ID:</label>
                                <input type="text" class="form-control" id="statusReportId<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="status_report_id"
                                    value="<?php echo isset($status_report_id) ? htmlspecialchars($status_report_id) : ''; ?>">
                            </div>


                            <!-- File upload field (shown when "manual" is selected) -->
                            <div class="mb-3" id="manualUploadField" style="display: none;">
                                <label for="upload_status">Upload Status Report: </label>
                                <?php if (!isset($row['upload_status']) || empty($row['upload_status'])): ?>
                                    <input type="file" class="form-control-file" name="upload_status" id="upload_status" accept=".jpg,.png,.jpeg,.doc,.docx,.pdf">
                                <?php else: ?>
                                    <?php
                                    $upload_status = explode('.', $row['upload_status']);
                                    $documents = array("doc", "docx", "pdf");
                                    $images = array("jpg", "png", "jpeg");
                                    if (is_array($upload_status)) {
                                        if (in_array(end($upload_status), $documents)) {
                                    ?>
                                            <a href="<?php echo "resources/img/upload_status/" . $row['upload_status']; ?>" class="btn btn-primary">View File</a>
                                            <input type="hidden" name="upload_status_hidden" value="<?php echo $row['upload_status']; ?>">
                                        <?php
                                        } else if (in_array(end($upload_status), $images)) {
                                        ?>
                                            <img src="resources/img/upload_status/<?php echo $row['upload_status']; ?>" style="max-width:100%;max-height:100%;">
                                            <input type="hidden" name="upload_status_hidden" value="<?php echo $row['upload_status']; ?>">
                                    <?php
                                        }
                                    }
                                    ?>
                                <?php endif; ?>
                            </div>

                            <script>
                                $(document).ready(function() {
                                    // Get the modal ID dynamically
                                    var modalId = '#fileUploadModal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>';

                                    function toggleFields() {
                                        if ($(modalId + ' #manualUpload').is(':checked')) {
                                            $(modalId + ' #manualUploadField').show();
                                            $(modalId + ' #statusReportIdField').hide();
                                        } else if ($(modalId + ' #automaticUpload').is(':checked')) {
                                            $(modalId + ' #manualUploadField').hide();
                                            $(modalId + ' #statusReportIdField').show();
                                        }
                                    }

                                    // Initial check on page load
                                    toggleFields();

                                    // Event listeners for radio buttons within the modal
                                    $(modalId + ' input[name="upload_mode"]').change(toggleFields);
                                });
                            </script>



                            <?php
                            $reason_options = array("equipment with irreparable damage", "equipment having low functionality", "surplus equipment");
                            ?>
                            <div class="mb-3">
                                <label class="form-label">Reason for Disposal:</label>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="reason" id="irreparableDamage<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="Equipment with irreparable damage" <?php echo ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Equipment with irreparable damage") == 0) ? "checked" : ''; ?>>
                                    <label class="form-check-label" for="irreparableDamage<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Equipment with irreparable damage</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="reason" id="lowFunctionality<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="Equipment having low functionality" <?php echo ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Equipment having low functionality") == 0) ? "checked" : ''; ?>>
                                    <label class="form-check-label" for="lowFunctionality<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Equipment having low functionality</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="reason" id="surplusEquipment<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="Surplus equipment" <?php echo ((isset($row['reason']) && !empty($row['reason'])) && strcasecmp($row['reason'], "Surplus equipment") == 0) ? "checked" : ''; ?>>
                                    <label class="form-check-label" for="surplusEquipment<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Surplus equipment</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="reason" id="otherReason<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="Other" <?php echo (isset($row['reason']) && !in_array(strtolower($row['reason']), $reason_options)) ? "checked" : ''; ?>>
                                    <label class="form-check-label" for="otherReason<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Others (please specify)</label>
                                </div>
                                <div class="mt-2">
                                    <input type="text" class="form-control" id="otherReasonSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="other_reason_specify" placeholder="Please specify if others" value="<?php echo (isset($row['reason']) && !in_array(strtolower($row['reason']), $reason_options)) ? $row['reason'] : ''; ?>" <?php echo isset($row['reason']) && $row['reason'] == "Other" ? '' : 'disabled'; ?>>
                                </div>
                            </div>

                            <?php

                            $method_options = array("SCRAPPING", "DISCARDING", "DONATION", "SELLING");

                            ?>

                            <div class="mb-3">
                                <label class="form-label">Select Disposal Method:</label>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="scrapping<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="SCRAPPING" <?php echo (isset($row['method']) && $row['method'] == "SCRAPPING") ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="scrapping<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Scrapping</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="discarding<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="DISCARDING" <?php echo (isset($row['method']) && $row['method'] == "DISCARDING") ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="discarding<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Discarding</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="donation<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="DONATION" <?php echo (isset($row['method']) && $row['method'] == "DONATION") ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="donation<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Donation</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="selling<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="SELLING" <?php echo (isset($row['method']) && $row['method'] == "SELLING") ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="selling<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Selling</label>
                                </div>
                                <div class="form-check">
                                    <input class="form-check-input" type="radio" name="method" id="otherDisposal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="OTHER" <?php echo (isset($row['method']) && !in_array($row['method'], $method_options)) ? "checked" : ''; ?> required>
                                    <label class="form-check-label" for="otherDisposal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">Others</label>
                                </div>
                                <div class="mt-2">
                                    <input type="text" class="form-control" id="otherDisposalSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="other_disposal_specify" placeholder="Please specify if others" value="<?php echo (isset($row['method']) && !in_array($row['method'], $method_options)) ? $row['method'] : ''; ?>" <?php echo isset($row['method']) && $row['method'] == "OTHER" ? '' : 'disabled'; ?>>
                                </div>
                            </div>

                            <input type="hidden" name="id" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                            <input type="hidden" id="deptHeadApproveInput<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="dept_head_approve" value=1>

                            <!-- Dating may admin approval -->
                            <div class="mb-3 text-center" style="display:none;">
                                <p>I authorize the disposal of this item.</p>
                                <div class="btn-group" role="group" aria-label="Dept. Head Approval">
                                    <!-- Approve Button -->
                                    <button type="button" class="btn btn-success" onclick="setDeptHeadApproval('<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>', '1')" <?php echo ((isset($row['dept_head']) && ($row['dept_head'] == "0" || $row['dept_head'] == "1")) || ($_SESSION['privilege'] != "DEPARTMENT HEAD" && $_SESSION['privilege'] != "ADMIN")) ? 'disabled' : ''; ?>>
                                        <?php echo (isset($row['dept_head']) && $row['dept_head'] == "1") ? 'Approved' : 'Approve'; ?>
                                    </button>
                                    <!-- Disapprove Button -->
                                    <button type="button" class="btn btn-danger" onclick="setDeptHeadApproval('<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>', '0')" <?php echo ((isset($row['dept_head']) && ($row['dept_head'] == "0" || $row['dept_head'] == "1")) || ($_SESSION['privilege'] != "DEPARTMENT HEAD" && $_SESSION['privilege'] != "ADMIN")) ? 'disabled' : ''; ?>>
                                        <?php echo (isset($row['dept_head']) && $row['dept_head'] == "0") ? 'Disapproved' : 'Disapprove'; ?>
                                    </button>
                                </div>
                            </div>
                            <div class="modal-footer"  style="display:<?php echo (!isset($row['dept_head']) || empty($row['dept_head'])) ? "block" : "none"; ?>">
                                <div class="col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary" name="request_disposal">Send Request</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </form>

            <script>
                // Enable or disable the "other reason specify" field based on the selection of "Other" reason
                document.getElementById('otherReason<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').addEventListener('change', function() {
                    document.getElementById('otherReasonSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').disabled = !this.checked;
                });

                // Disable the "other reason specify" field and clear its value if any other reason is selected
                document.querySelectorAll('input[name="reason"]').forEach(function(element) {
                    if (element.id !== 'otherReason<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>') {
                        element.addEventListener('change', function() {
                            document.getElementById('otherReasonSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').disabled = true;
                            document.getElementById('otherReasonSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').value = '';
                        });
                    }
                });

                // Enable or disable the "other disposal specify" field based on the selection of "Other" disposal method
                document.getElementById('otherDisposal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').addEventListener('change', function() {
                    document.getElementById('otherDisposalSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').disabled = !this.checked;
                });

                // Disable the "other disposal specify" field and clear its value if any other disposal method is selected
                document.querySelectorAll('input[name="method"]').forEach(function(element) {
                    if (element.id !== 'otherDisposal<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>') {
                        element.addEventListener('change', function() {
                            document.getElementById('otherDisposalSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').disabled = true;
                            document.getElementById('otherDisposalSpecify<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').value = '';
                        });
                    }
                });

                function setDeptHeadApproval(id, value) {
                    document.getElementById('deptHeadApproveInput' + id).value = value;
                    $('#disposalForm' + id + '_depthead').submit();
                }
            </script>

            <?php # if ($_SERVER['HTTP_REFERER'] == "http://localhost/asset-management/for_disposal_item.php") { ?>


                <?php if (((isset($row['dept_head']) && $row['dept_head'] == "1") && ($_SESSION['privilege'] == "PAM" || $_SESSION['privilege'] == "PAM ASSISTANT") || (isset($row['pam']) && ($row['pam'] == "0" || $row['pam'] == "1"))) || ($_SESSION['privilege'] == "ADMIN")) { ?>
                    <hr>
                    <form id="disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_pam" action="functions/items/request_disposal.php" method="post">
                        <div class="modal-body">
                            <div class="container">
                                <div class="row" style="text-align: left;">
                                    <div class="mb-3">
                                        <h6>Property and Asset Management: </h6>
                                    </div>

                                    <input type="hidden" name="id" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <input type="hidden" id="pam_approve<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="pam_approve" value="">
                                    <input type="hidden" id="gm_approve<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="gm_approve" value="">

                                    <!-- Remarks Textarea -->
                                    <div class="mb-3">
                                        <label for="remarks<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" class="form-label">Remarks:</label>
                                        <textarea class="form-control" id="remarks<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="pam_remarks" rows="3" placeholder="Enter any remarks here..." <?php echo (isset($row['pam_remarks']) && !empty($row['pam_remarks'])) ? 'disabled' : ''; ?>><?php echo (isset($row['pam_remarks'])) ? $row['pam_remarks'] : ''; ?></textarea>
                                    </div>

                                    <div class="mb-3 text-center">
                                        <div class="btn-group" role="group" aria-label="PAM Approval">
                                            <!-- Approve Button -->
                                            <button type="button" class="btn btn-success" onclick="setPamApprove('<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>', 'approve')" <?php echo (isset($row['pam']) || $row['pam'] == "1") ? 'disabled' : ''; ?>>
                                                <?php echo (isset($row['pam']) && $row['pam'] == "1") ? 'Approved' : 'Approve'; ?>
                                            </button>

                                            <!-- Disapprove Button -->
                                            <button type="button" class="btn btn-danger" onclick="setPamApprove('<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>', 'disapprove')" <?php echo (isset($row['pam']) || $row['pam'] == "0") ? 'disabled' : ''; ?>>
                                                <?php echo (isset($row['pam']) && $row['pam'] == "0") ? 'Disapproved' : 'Disapprove'; ?>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>

                    <script>
                        function setPamApprove(rowId, action) {
                            // Set the hidden input value
                            document.getElementById('pam_approve' + rowId).value = action;
                            document.getElementById('gm_approve' + rowId).value = action;

                            // Trigger form submission via AJAX
                            $('#disposalForm' + rowId + '_pam').submit();
                        }

                        $('#disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_pam').on('submit', function(e) {
                            e.preventDefault();

                            var formData = new FormData(this);

                            $.ajax({
                                url: 'functions/items/request_disposal.php', // Replace with your PHP script URL
                                type: 'POST',
                                data: formData,
                                contentType: false,
                                processData: false,
                                success: function(response) {
                                    response = JSON.parse(response);
                                    if (response.status === 'success') {
                                        Swal.fire({
                                            icon: 'success',
                                            title: 'Success',
                                            text: response.message
                                        }).then(function() {
                                            location.reload(); // Reload the page on success
                                        });
                                    } else {
                                        Swal.fire({
                                            icon: 'error',
                                            title: 'Error',
                                            text: response.message
                                        });
                                    }
                                },
                                error: function(xhr, status, error) {
                                    Swal.fire({
                                        icon: 'error',
                                        title: 'AJAX Error',
                                        text: 'Failed to process the request.'
                                    });
                                }
                            });
                        });
                    </script>
                <?php } ?>


                <?php if ((isset($row['finance_manager']) && ($row['finance_manager'] == 0) || ($row['finance_manager'] == 1)) || ((isset($row['pam']) && $row['pam'] == "1") && ((isset($row['method']) && $row['method'] == "SELLING") && ($_SESSION['privilege'] == "FINANCE MANAGER"))) || ($_SESSION['privilege'] == "ADMIN")) { ?>
                    <hr>
                    <form id="disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_financemngr" action="functions/items/request_disposal.php" method="post">
                        <div class="modal-body">
                            <div class="container">
                                <div class="row" style="text-align: left;">
                                    <input type="hidden" name="id" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <input type="hidden" name="financemngr_approve" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">

                                    <div class="mb-3">
                                        <h6>Finance Manager: </h6>
                                        <label for="depreciatedAmt" class="form-label">Depreciated Amount: </label>
                                        <input type="number" step="0.01" class="form-control" id="depreciatedAmt" name="depreciated_amt" placeholder="Enter depreciated amount" value="<?php echo (isset($row['depreciated_amt'])) ? $row['depreciated_amt'] : ''; ?>" required <?php echo ((isset($row['finance_manager']) && !empty($row['finance_manager'])) || (($_SESSION['privilege'] != "FINANCE MANAGER") && ($_SESSION['privilege'] != "ADMIN"))) ? 'disabled' : ''; ?>>
                                    </div>

                                    <!-- Remarks Textarea -->
                                    <div class="mb-3">
                                        <label for="financemngrRemarks<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" class="form-label">Remarks:</label>
                                        <textarea class="form-control" id="financemngrRemarks<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" name="financemngr_remarks" rows="3" placeholder="Enter any remarks here..." <?php echo (isset($row['finance_remarks'])) ? 'readonly' : ''; ?>><?php echo (isset($row['finance_remarks'])) ? $row['finance_remarks'] : ''; ?></textarea>
                                    </div>

                                    <div class="mb-3 text-center" style="display:<?php echo ((isset($_SESSION['privilege']) && !empty($_SESSION['privilege']) || $_SESSION['privilege'] == "FINANCE MANAGER") || ($_SESSION['privilege'] == "ADMIN")) ? "block" : "none"; ?>;">
                                        <button type="submit" class="btn btn-success" name="financemngr_approve" <?php echo (isset($row['finance_manager'])) ? 'disabled' : ''; ?>>
                                            <?php echo (isset($row['finance_manager'])) ? 'Submitted' : 'Submit'; ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                <?php } ?>

                <!--            NAKATAGO KASI WALA RAW GEN. MANAGER SA SILANG
                <?php if ((isset($row['finance_manager']) && $row['finance_manager'] == "1") && (isset($row['general_manager']) && !empty($row['general_manager']) || $_SESSION['privilege'] == "GENERAL MANAGER") || ($_SESSION['privilege'] == "ADMIN")) { ?>
                    <hr>
                    <form id="disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_generalmngr" action="functions/items/request_disposal.php" method="post">
                        <div class="modal-body">
                            <div class="container">
                                <div class="row" style="text-align: left;">
                                    <input type="hidden" name="id" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <input type="hidden" name="generalmngr_approve" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <h6>General Manager: </h6>
                                    <div class="mb-3 text-center">
                                        <p>I approve the disposal of this item.</p>
                                        <div class="btn-group" role="group" aria-label="General Manager Approval">
                                            <button type="submit" class="btn btn-success" name="generalmngr_approve" <?php echo (isset($row['general_manager']) || $_SESSION['privilege'] != "GENERAL MANAGER") ? 'disabled' : ''; ?>><?php echo (isset($row['general_manager'])) ? 'Approved' : 'Approve'; ?></button>
                                            <button type="button" class="btn btn-danger" data-bs-dismiss="modal" data-mdb-ripple-init>Disapprove</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                <?php } ?>
 -->

                <?php if ((isset($row['president']) && (($row['president'] == 0) || ($row['president'] == 1))) || ((isset($row['general_manager']) && ($row['general_manager'] == 1) && ($_SESSION['privilege'] == "PAM" || $_SESSION['privilege'] == "PAMA"))) || ($_SESSION['privilege'] == "ADMIN")) { ?>
                    <hr>
                    <form id="disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_president" action="functions/items/request_disposal.php" method="post" enctype="multipart/form-data">
                        <div class="modal-body">
                            <div class="container">
                                <div class="row" style="text-align: left;">
                                    <input type="hidden" name="id" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <input type="hidden" name="propertyCode" value="<?php echo (isset($row['propertyCode'])) ? $row['propertyCode'] : ''; ?>">
                                    <input type="hidden" name="president_approve" id="presidentApproveInput<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>" value="">
                                    <h6>President:</h6>
                                    <!-- Upload Photo of Equipment -->
                                    <div class="mb-3">
                                        <div class="form-group">
                                            <label for="upload_disposal"><b>Upload Scanned Copy of the Document:</b></label>
                                            <?php if (!isset($row['upload_disposal']) || empty($row['upload_disposal'])) { ?>
                                                <input type="file" class="form-control-file custom-class" name="upload_disposal" id="upload_disposal" accept=".jpg,.png,.jpeg" required>
                                            <?php } else { ?>
                                                <input type="hidden" name="upload_disposal_hidden" value="<?php echo (isset($row['upload_disposal'])) ? $row['upload_disposal'] : ''; ?>">
                                                <img src="resources/img/upload_disposal/<?php echo $row['upload_disposal'] ?>" style="max-width:100%;max-height:100%;">
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="mb-3 text-center">
                                    <div class="btn-group" role="group" aria-label="President Approval">
                                        <!-- Approve Button -->
                                        <button type="submit" class="btn btn-success" onclick="setPresidentApproval('<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>', '1')" <?php echo ((isset($row['president']) && $row['president']) || (($_SESSION['privilege'] != "PAM") && ($_SESSION['privilege'] != "PAMA") && ($_SESSION['privilege'] != "ADMIN"))) ? 'disabled' : ''; ?>>
                                            <?php echo (isset($row['president']) && $row['president'] == "1") ? 'Approved' : 'Approve'; ?>
                                        </button>
                                        <!-- Disapprove Button -->
                                        <button type="submit" class="btn btn-danger" onclick="setPresidentApproval('<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>', '0')" <?php echo ((isset($row['president']) && $row['president']) || (($_SESSION['privilege'] != "PAM") && ($_SESSION['privilege'] != "PAMA") && ($_SESSION['privilege'] != "ADMIN"))) ? 'disabled' : ''; ?>>
                                            <?php echo (isset($row['president']) && $row['president'] == "0") ? 'Disapproved' : 'Disapprove'; ?>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>

                    <script>
                        function setPresidentApproval(id, status) {
                            document.getElementById('presidentApproveInput' + id).value = status;
                        }

                        $('#disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_president').on('submit', function(e) {
                            e.preventDefault();

                            var formData = new FormData(this);

                            $.ajax({
                                url: 'functions/items/request_disposal.php',
                                type: 'POST',
                                data: formData,
                                contentType: false,
                                processData: false,
                                success: function(response) {
                                    response = JSON.parse(response);
                                    if (response.status === 'success') {
                                        Swal.fire({
                                            icon: 'success',
                                            title: 'Success',
                                            text: response.message
                                        }).then(function() {
                                            location.reload(); // Reload the page on success
                                        });
                                    } else {
                                        Swal.fire({
                                            icon: 'error',
                                            title: 'Error',
                                            text: response.message
                                        });
                                    }
                                },
                                error: function(xhr, status, error) {
                                    Swal.fire({
                                        icon: 'error',
                                        title: 'AJAX Error',
                                        text: 'Failed to process the request.'
                                    });
                                }
                            });
                        });
                    </script>
                <?php } ?>

                <?php if (((((isset($row['president']) && $row['president'] != "0") && (isset($row['pam']) && $row['pam'] == "1")) && ($_SESSION['department_code'] == "ADD")) || (isset($row['admin']) && !empty($row['admin'])) || $_SESSION['privilege'] == "ADMIN")) { ?>
                    <hr>
                    <form id="disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_admin" action="functions/items/request_disposal.php" method="post">
                        <div class="modal-body">
                            <div class="container">
                                <div class="row" style="text-align: left;">
                                    <input type="hidden" name="id" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <input type="hidden" name="propertyCode" value="<?php echo (isset($row['propertyCode'])) ? $row['propertyCode'] : ''; ?>">
                                    <input type="hidden" name="admin_approve" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <h6>Admin: </h6>
                                    <div class="mb-3">
                                        <?php
                                        if (isset($row['method']) && ($row['method'] == "SELLING")) {
                                        ?>
                                            <div class="form-group">
                                                <label for="ack_receipt"><b>Upload Acknowledgement Receipt: </b></label>
                                                <?php
                                                if (!isset($row['ack_receipt']) || empty($row['ack_receipt'])) {
                                                ?>
                                                    <input type="file" class="form-control-file" name="ack_receipt" id="ack_receipt" accept=".jpg,.png,.jpeg,.doc,.docx,.pdf" required>
                                                    <?php
                                                } else {
                                                    $ack_receipt = explode('.', $row['ack_receipt']);
                                                    $documents = array("doc", "docx", "pdf");
                                                    $images = array("jpg", "png", "jpeg");
                                                    if (is_array($ack_receipt)) {
                                                        if (in_array(end($ack_receipt), $documents)) {
                                                    ?>
                                                            <a href="<?php echo "resources/img/ack_receipt/" . $row['ack_receipt']; ?>" class="btn btn-primary">View File</a>
                                                            <input type="hidden" name="ack_receipt_hidden" value="<?php echo $row['ack_receipt']; ?>">

                                                        <?php
                                                        } else if (in_array(end($ack_receipt), $images)) {
                                                        ?>
                                                            <img src="resources/img/ack_receipt/<?php echo $row['ack_receipt']; ?>" style="max-width:100%;max-height:100%;">
                                                            <input type="hidden" name="ack_receipt_hidden" value="<?php echo $row['ack_receipt']; ?>">
                                                    <?php
                                                        }
                                                    }

                                                    ?>

                                                <?php
                                                }
                                                ?>
                                            </div>
                                        <?php
                                        } else {
                                        ?>
                                            <div class="mb-3 text-center">
                                                <p>I acknowledge the disposal of this item.</p>
                                            </div>
                                        <?php
                                        }
                                        ?>
                                        <br>
                                        <div class="mb-3 text-center" style="display:<?php echo ((isset($row['admin']) && !empty($row['admin'])) || ((isset($_SESSION['privilege']) && !empty($_SESSION['privilege'])) && ($_SESSION['department_code'] == "ADD" || $_SESSION['privilege'] == "ADMIN"))) ? "block" : "none"; ?>;">
                                            <button type="submit" class="btn btn-success" name="admin_approve" <?php echo (isset($row['admin'])) ? 'disabled' : ''; ?>><?php echo (isset($row['admin'])) ? 'Acknowledged' : 'Acknowledge'; ?></button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                <?php } ?>

                <?php if ((isset($row['sales_amt']) && !empty($row['sales_amt'])) || (((isset($row['president']) && $row['president'] == "1") && (isset($row['method']) && ($row['method'] == "SELLING"))) && (isset($_SESSION['privilege']) && $_SESSION['privilege'] == "FINANCE MANAGER")) || (isset($_SESSION['privilege']) && $_SESSION['privilege'] == "ADMIN")) { ?>
                    <hr>
                    <form id="disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_financemngr1" action="functions/items/request_disposal.php" method="post">
                        <div class="modal-body">
                            <div class="container">
                                <div class="row" style="text-align: left;">
                                    <input type="hidden" name="id" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <input type="hidden" name="financemngr1_approve" value="<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>">
                                    <div class="mb-3">
                                        <h6>Finance Manager: </h6>
                                        <label for="salesAmt" class="form-label">Remitted Amount: </label>
                                        <input type="number" step="0.01" class="form-control" id="salesAmt" name="sales_amt" placeholder="Enter remitted amount" value="<?php echo (isset($row['sales_amt'])) ? $row['sales_amt'] : ''; ?>" required <?php echo ((isset($row['sales_amt']) && !empty($row['sales_amt'])) || (($_SESSION['privilege'] != "FINANCE MANAGER") && ($_SESSION['privilege'] != "ADMIN"))) ? 'disabled' : ''; ?>>
                                    </div>
                                    <div class="mb-3 text-center" style="display:<?php echo (((isset($row['sales_amt']) && !empty($row['sales_amt'])) || ((isset($_SESSION['privilege']))) || (!empty($_SESSION['privilege']) && $_SESSION['privilege'] == "FINANCE MANAGER")) || (!empty($_SESSION['privilege']) && $_SESSION['privilege'] == "ADMIN")) ? "block" : "none"; ?>;">
                                        <button type="submit" class="btn btn-success" name="financemngr1_approve" <?php echo (isset($row['sales_amt'])) ? 'disabled' : ''; ?>><?php echo (isset($row['sales_amt'])) ? 'Remitted' : 'Remit'; ?></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                <?php } ?>

                <div class="modal-footer d-flex justify-content-end" style="display:<?php echo ($_SERVER['HTTP_REFERER'] == "http://localhost/asset-management/for_disposal_item.php") ? "block" : "none";  ?>">
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                </div>
            <?php # } ?>
        </div>
    </div>
</div>
<script>
    $(document).ready(function() {

        $('#disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>').on('submit', function(e) {
            e.preventDefault();

            var formData = new FormData(this);

            $.ajax({
                url: 'functions/items/request_disposal.php', // Replace with your PHP script URL
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                success: function(response) {
                    response = JSON.parse(response);
                    if (response.status === 'success') {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        }).then(function() {
                            location.reload(); // Reload the page on success
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'AJAX Error',
                        text: 'Failed to process the request.'
                    });
                }
            });
        });

        $('#disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_depthead').on('submit', function(e) {
            e.preventDefault();

            var formData = new FormData(this);

            $.ajax({
                url: 'functions/items/request_disposal.php', // Replace with your PHP script URL
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                success: function(response) {
                    response = JSON.parse(response);
                    if (response.status === 'success') {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        }).then(function() {
                            location.reload(); // Reload the page on success
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'AJAX Error',
                        text: 'Failed to process the request.'
                    });
                }
            });
        });

        $('#disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_financemngr').on('submit', function(e) {
            e.preventDefault();

            var formData = new FormData(this);

            $.ajax({
                url: 'functions/items/request_disposal.php', // Replace with your PHP script URL
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                success: function(response) {
                    response = JSON.parse(response);
                    if (response.status === 'success') {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        }).then(function() {
                            location.reload(); // Reload the page on success
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'AJAX Error',
                        text: 'Failed to process the request.'
                    });
                }
            });
        });

        $('#disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_generalmngr').on('submit', function(e) {
            e.preventDefault();

            var formData = new FormData(this);

            $.ajax({
                url: 'functions/items/request_disposal.php', // Replace with your PHP script URL
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                success: function(response) {
                    response = JSON.parse(response);
                    if (response.status === 'success') {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        }).then(function() {
                            location.reload(); // Reload the page on success
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'AJAX Error',
                        text: 'Failed to process the request.'
                    });
                }
            });
        });


        $('#disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_admin').on('submit', function(e) {
            e.preventDefault();

            var formData = new FormData(this);

            $.ajax({
                url: 'functions/items/request_disposal.php',
                type: 'POST',
                data: formData,
                contentType: false,
                processData: false,
                success: function(response) {
                    response = JSON.parse(response);
                    if (response.status === 'success') {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        }).then(function() {
                            location.reload(); // Reload the page on success
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'AJAX Error',
                        text: 'Failed to process the request.'
                    });
                }
            });
        });

        $('#disposalForm<?php echo (isset($row['id'])) ? $row['id'] : ''; ?>_financemngr1').on('submit', function(e) {
            e.preventDefault();

            var formData = $(this).serialize();

            $.ajax({
                url: 'functions/items/request_disposal.php',
                type: 'POST',
                data: formData,
                success: function(response) {
                    response = JSON.parse(response);
                    if (response.status === 'success') {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        }).then(function() {
                            location.reload(); // Reload the page on success
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'AJAX Error',
                        text: 'Failed to process the request.'
                    });
                }
            });
        });
    });
</script>