<?php
// Fetch necessary data
$all_departments = find_all('conn1', 'departments');
$all_category = find_all('conn1', 'categories');

$assigned_to = $conn1->query("SELECT * FROM departments WHERE department IN ('IT', 'ADMIN')");
?>

<!-- Modal -->
<div class="modal fade" id="edit_pms<?php echo $row['id']; ?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h1 class="modal-title fs-5" id="exampleModalLabel">Edit PMS</h1>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form method="post" id="edit_pms_form_<?php echo $row['id']; ?>">
                    <input type="hidden" name="id" value="<?php echo $row['id']; ?>">
                    
                    <div class="mb-3">
                        <label for="pms_name" class="form-label">PMS Name:</label>
                        <input type="text" class="form-control"
                            value="<?php echo htmlspecialchars($row['pms_name'], ENT_QUOTES); ?>" placeholder="PMS Name"
                            id="pms_name" name="pms_name" required>
                    </div>

                    <div class="mb-3">
                        <label for="pms_description" class="form-label">PMS Description:</label>
                        <textarea class="form-control" id="pms_description" name="pms_description" rows="4" placeholder="Enter PMS description" required><?php echo htmlspecialchars($row['pms_description'], ENT_QUOTES); ?></textarea>
                    </div>

                    <div class="mb-3">
                        <label for="item_id" class="form-label">Assets:</label>
                        <select name="item_id" class="form-control" id="item_id" required>
                            <option value="">Select assets...</option>
                            <?php if ($all_category) {
                                foreach ($all_category as $cat) { ?>
                                    <option value="<?php echo $cat['id']; ?>" <?php echo $row['catID'] == $cat['id'] ? "selected" : ""; ?>>
                                        <?php echo htmlspecialchars($cat['category'], ENT_QUOTES); ?>
                                    </option>
                                <?php }
                            } ?>
                        </select>
                    </div>

                    <div class="mb-3">
                        <label for="frequency" class="form-label">Frequency:</label>
                        <select name="frequency" class="form-control" id="frequency" required>
                            <option value="">Select frequency...</option>
                            <option value="annually" <?php echo $row['frequency'] == 'annually' ? 'selected' : ''; ?>>Annually</option>
                            <option value="semiannually" <?php echo (($row['frequency'] == 'monthly') && ($row['freq_interval'] == 6)) ? 'selected' : ''; ?>>Semiannually</option>
                            <option value="quarterly" <?php echo (($row['frequency'] == 'monthly') && ($row['freq_interval'] == 3)) ? 'selected' : ''; ?>>Quarterly</option>
                            <option value="bimonthly" <?php echo (($row['frequency'] == 'monthly') && ($row['freq_interval'] == 2)) ? 'selected' : ''; ?>>Bimonthly</option>
                            <option value="monthly" <?php echo (($row['frequency'] == 'monthly') && ($row['freq_interval'] == 1)) ? 'selected' : ''; ?>>Monthly</option>
                            <option value="weekly" <?php echo $row['frequency'] == 'weekly' ? 'selected' : ''; ?>>Weekly</option>
                        </select>
                    </div>

                    <div class="mb-3">
                        <label for="start_schedule" class="form-label">Start Schedule:</label>
                        <input type="date" class="form-control" id="start_schedule"
                            value="<?php echo htmlspecialchars($row['start_schedule'], ENT_QUOTES); ?>"
                            name="start_schedule" required>
                    </div>

                    <div class="mb-3">
                        <label for="end_schedule" class="form-label">End Schedule:</label>
                        <input type="date" class="form-control" id="end_schedule"
                            value="<?php echo htmlspecialchars($row['end_schedule'], ENT_QUOTES); ?>"
                            name="end_schedule" required>
                    </div>

                    <div class="mb-3">
                        <label for="assigned_to" class="form-label">Assigned To:</label>
                        <select name="assigned_to" class="form-control" id="assigned_to" required>
                            <option value="">Select Assigned to...</option>
                            <?php if ($assigned_to) {
                                foreach ($assigned_to as $ass) { ?>
                                    <option value="<?php echo $ass['id']; ?>" <?php echo $row['deptID'] == $ass['id'] ? 'selected' : ''; ?>>
                                        <?php echo htmlspecialchars($ass['department'], ENT_QUOTES); ?>
                                    </option>
                                <?php }
                            } ?>
                        </select>
                    </div>

                    <center>
                        <button type="button" onclick="updatePMS('#edit_pms<?php echo $row['id']; ?>','#edit_pms_form_<?php echo $row['id']; ?>')" class="btn btn-success">Update</button>
                    </center>
                </form>
            </div>
        </div>
    </div>
</div>
