<?php
// Fetch all records
$all_pms = find_all($conn1, 'pms');
$all_questions = find_all($conn1, 'pms_questions');
$all_departments = find_all($conn1, 'departments');
$all_categories = find_all($conn1, 'categories');

$assigned_to = $conn1->query("SELECT * FROM departments WHERE department IN ('IT', 'ADMIN')");

// Create associative arrays for departments and categories for faster lookup
$departmentsById = [];
foreach ($all_departments as $dept) {
    $departmentsById[$dept['id']] = $dept;
}

$categoriesById = [];
foreach ($all_categories as $cat) {
    $categoriesById[$cat['id']] = $cat;
}

// Fetch answers with asset information
$all_answers = $conn1->query("
    SELECT pms_answers.*, items.*, pms_questions.questions 
    FROM pms_answers 
    LEFT JOIN items ON pms_answers.asset_id = items.id 
    LEFT JOIN pms_questions ON pms_answers.question_id = pms_questions.id
");

$id = isset($row['id']) ? intval($row['id']) : null; // Ensure $id is an integer
$item_id = $row['catID']; // Initialize item_id

// Prepare and execute query
$query = "SELECT items.*,items.id as item_id FROM items LEFT JOIN status ON items.status_id = status.id WHERE category_id = $item_id AND status = 'WORKING'";
$assets = $conn1->query($query);
 
// Fetch all assets
$assets = $assets ? $assets->fetch_all(MYSQLI_ASSOC) : null;
?>

<!-- Modal HTML -->
<div class="modal fade" id="view_checklist<?php echo htmlspecialchars($id); ?>" tabindex="-1"
    aria-labelledby="viewChecklistLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="viewChecklistLabel">PMS Checklist <?php //var_dump($assets);?></h5>
                <a type="button" id="closeVIewChecklist<?php echo htmlspecialchars($id); ?>" aria-label="Close"><i class="material-icons">close</i></a>
            </div>
            <div class="modal-body">
                <style>
                    /* Ensure a max height with overflow for asset buttons */
                    .tab-buttons {
                        max-height: 400px;
                        overflow-y: auto;
                    }

                    /* Tab content remains hidden until active */
                    .tab-content {
                        display: none;
                    }

                    .tab-content.active {
                        display: block;
                    }

                    /* Style the tab */
                    .tab {
                        display: flex;
                        border-bottom: 1px solid #ccc;
                    }

                    /* Style the buttons inside the tab */
                    .tab button {
                        background-color: #f1f1f1;
                        border: none;
                        padding: 14px 16px;
                        cursor: pointer;
                        transition: background-color 0.3s;
                    }

                    /* Change background color of active tab */
                    .tab button.active {
                        background-color: #ddd;
                    }

                    /* Hide all tab content by default */
                    .tabcontent {
                        display: none;

                    }

                    /* Active tab content */
                    .tabcontent.active {
                        display: block;
                    }



                    .item {
                        margin: 5px 0;
                    }
                    .hidden {
                        display: none;
                    }
                </style>

                <div class="tab">
                    <button class="tablinks active" onclick="openTab(event, 'Tab1', <?php echo htmlspecialchars($id); ?>)">Edit Task</button>
                    <button class="tablinks" onclick="openTab(event, 'Tab2', <?php echo htmlspecialchars($id); ?>)">Checklist</button>
                </div>


                <!--//////////////////////////////////////////// EDIT PMS //////////////////////////////////////////////////////////-->
                <div id="Tab1 tabcontent-<?php echo htmlspecialchars($id); ?>" class="tabcontent active">
                    <br>
                    <h4>Edit Task</h4>
                    <br>
                    <div class="col-md-8">
                        <form method="post" id="edit_pms_form_<?php echo $row['id']; ?>">
                            <input type="hidden" name="id" value="<?php echo $row['id']; ?>">

                            <div class="mb-3 text-start">
                                <label for="pms_name" class="form-label">Task Name:</label>
                                <input type="text" class="form-control"
                                    value="<?php echo htmlspecialchars($row['pms_name'], ENT_QUOTES); ?>" placeholder="Task Name"
                                    id="pms_name" name="pms_name" required>
                            </div>

                            <div class="mb-3 text-start">
                                <label for="pms_description" class="form-label">Task Description:</label>
                                <textarea class="form-control" id="pms_description" name="pms_description" rows="4"
                                    placeholder="Enter task description" required><?php echo htmlspecialchars($row['pms_description'], ENT_QUOTES); ?></textarea>
                            </div>

                            <div class="mb-3 text-start">
                                <label for="item_id" class="form-label">Assets:</label>
                                <select name="item_id" class="form-control" id="item_id" required>
                                    <option value="">Select assets...</option>
                                    <?php if ($all_category) {
                                        foreach ($all_category as $cat) { ?>
                                            <option value="<?php echo $cat['id']; ?>" <?php echo $row['catID'] == $cat['id'] ? "selected" : ""; ?>>
                                                <?php echo htmlspecialchars($cat['category'], ENT_QUOTES); ?>
                                            </option>
                                    <?php }
                                    } ?>
                                </select>
                            </div>

                            <div class="mb-3">
                                <label for="frequency" class="form-label">Frequency:</label>
                                <select name="frequency" class="form-control" id="frequency" required>
                                    <option value="">Select frequency...</option>
                                    <option value="annually" <?php echo $row['frequency'] == 'annually' ? 'selected' : ''; ?>>Annually</option>
                                    <option value="semiannually" <?php echo (($row['frequency'] == 'monthly') && ($row['freq_interval'] == 6)) ? 'selected' : ''; ?>>Semiannually</option>
                                    <option value="quarterly" <?php echo (($row['frequency'] == 'monthly') && ($row['freq_interval'] == 3)) ? 'selected' : ''; ?>>Quarterly</option>
                                    <option value="bimonthly" <?php echo (($row['frequency'] == 'monthly') && ($row['freq_interval'] == 2)) ? 'selected' : ''; ?>>Bimonthly</option>
                                    <option value="monthly" <?php echo (($row['frequency'] == 'monthly') && ($row['freq_interval'] == 1)) ? 'selected' : ''; ?>>Monthly</option>
                                    <option value="weekly" <?php echo $row['frequency'] == 'weekly' ? 'selected' : ''; ?>>Weekly</option>
                                </select>
                            </div>

                            <div class="mb-3 text-start">
                                <label for="start_schedule" class="form-label">Start Schedule:</label>
                                <input type="date" class="form-control" id="start_schedule"
                                    value="<?php echo htmlspecialchars($row['start_schedule'], ENT_QUOTES); ?>"
                                    name="start_schedule" required>
                            </div>

                            <div class="mb-3 text-start">
                                <label for="end_schedule" class="form-label">End Schedule:</label>
                                <input type="date" class="form-control" id="end_schedule"
                                    value="<?php echo htmlspecialchars($row['end_schedule'], ENT_QUOTES); ?>"
                                    name="end_schedule" required>
                            </div>

                            <div class="mb-3 text-start">
                                <label for="assigned_to" class="form-label">Assigned To:</label>
                                <select name="assigned_to" class="form-control" id="assigned_to" required>
                                    <option value="">Select Assigned to...</option>
                                    <?php if ($assigned_to) {
                                        foreach ($assigned_to as $ass) { ?>
                                            <option value="<?php echo $ass['id']; ?>" <?php echo $row['deptID'] == $ass['id'] ? 'selected' : ''; ?>>
                                                <?php echo htmlspecialchars($ass['department'], ENT_QUOTES); ?>
                                            </option>
                                    <?php }
                                    } ?>
                                </select>
                            </div>

                            <br>
                            <center>
                                <button type="button" onclick="updatePMS('#edit_pms<?php echo $row['id']; ?>','#edit_pms_form_<?php echo $row['id']; ?>')" class="btn btn-success">Update</button>
                            </center>
                        </form>
                    </div>
                </div>




                <!--///////////////////////////////////////////// CHECKLIST ///////////////////////////////////////////////////////-->
                <div id="Tab2 tabcontent-<?php echo htmlspecialchars($id); ?>" class="tabcontent">
                    <br>
                    <div class="row">
                        <div class="col-md-4 mb-3 tab-buttons">
                            <div class="row">
                                <div class="col-md-6">
                                    <h4 style="position:relative;float:left;">Assets</h4>
                                </div>
                                </div>
                                <label for="searchInput">Search Items:</label>
                            <div class="input-group">
                                <input type="text" form id="searchInput" class='form-control' oninput="searchItems()" placeholder="Search...">
                                <a href='http://<?php echo ($_SERVER['SERVER_ADDR'] == "::1") ? "localhost" : $_SERVER['HTTP_HOST']; ?>/inventory-mdb/functions/pms/generate_pms.php?item_id=<?php echo $item_id; ?>&pms_id=<?php echo $id; ?>'
                                    id="view_checklist_print" class='btn btn-secondary btn-sm mx-1' title='Generate Status Report'
                                    aria-hidden='true'>
                                    <i class='fas fa-print fa-lg'></i>
                                </a>
                            </div>
                            
                            <br>

                            <?php if ($assets): ?>
                                <?php foreach ($assets as $asset): ?>
                                    <?php
                                    // Retrieve department and category

                                    $cat = isset($categoriesById[$asset['category_id']]) ? $categoriesById[$asset['category_id']] : null;
                                    ?>

                                    <?php if ($cat): ?>
                                        <div class="mb-1">
                                            <button class="btn btn-secondary w-100 tabs item" style="min-width: 150px;"
                                                onclick="showTab('<?php echo htmlspecialchars($asset['item_id']); ?>', <?php echo $id; ?>)">
                                                <?php echo  $cat['code'] . '-' . str_pad($asset['code_id'], 4, '0', STR_PAD_LEFT); ?>
                                            </button>
                                        </div>
                                    <?php endif; ?>
                                <?php endforeach; ?>
                            <?php else: ?>
                                <div>No asset found.</div>
                            <?php endif; ?>
                        </div>



                        <!-- Checklist content on the right side -->
                        <div class="col-md-8 tab-content-container">

                            <h4>Checklists</h4>
                            <br>
                            <?php if (!empty($assets) && !empty($all_questions)): ?>
                                <?php foreach ($assets as $asset): ?>
                                    <div class="tab-content" id="tab-content-<?php echo htmlspecialchars($asset['id']); ?>">
                                        <form action="" method="post" id="add_answer<?php echo $asset['id'] . $id; ?>"
                                            onsubmit="saveAnswers(event, '<?php echo $asset['id'] . $id; ?>')">
                                            <?php $questionsAvailable = false; ?>
                                            <table class="table">
                                                <thead>
                                                    <tr>
                                                        <th>Sub-units</th>
                                                        <th>Remarks</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <?php foreach ($all_questions as $quest): ?>
                                                        <?php if ($quest['pms_id'] == $id): ?>
                                                            <?php $questionsAvailable = true; ?>
                                                            <tr>
                                                                <td>
                                                                    <input type="hidden" value="<?php echo $id; ?>"
                                                                        name="questions[<?php echo $quest['id']; ?>][pms_id]">
                                                                    <input type="hidden" value="<?php echo $asset['id']; ?>"
                                                                        name="questions[<?php echo $quest['id']; ?>][asset_id]"
                                                                        class="asset_id">
                                                                    <input type="hidden" value="<?php echo $quest['id']; ?>"
                                                                        name="questions[<?php echo $quest['id']; ?>][question_id]">
                                                                    <input type="hidden" value="<?php echo $asset['category_id']; ?>"
                                                                        name="questions[<?php echo $quest['id']; ?>][item_id]">
                                                                    <input type="hidden" value=""
                                                                        name="questions[<?php echo $quest['id']; ?>][date_answered]"
                                                                        class="date_answered">
                                                                    <input type="hidden" value=""
                                                                        name="questions[<?php echo $quest['id']; ?>][date_started]"
                                                                        class="date_started">
                                                                    <input type="hidden" value=""
                                                                        name="questions[<?php echo $quest['id']; ?>][date_ended]"
                                                                        class="date_ended">
                                                                    <?php echo htmlspecialchars($quest['questions']); ?>
                                                                </td>
                                                                <td>
                                                                    <select name="questions[<?php echo $quest['id']; ?>][is_checked]"
                                                                        id="question_<?php echo $quest['id']; ?>"
                                                                        data-asset-id="<?php echo $asset['id']; ?>"
                                                                        data-item-id="<?php echo $asset['category_id']; ?>"
                                                                        class="form-select">
                                                                        <option value="1">In Good Condition</option>
                                                                        <option value="2">For Repair</option>
                                                                        <option value="3">Not Applicable</option>
                                                                    </select>
                                                                </td>
                                                            </tr>
                                                        <?php endif; ?>
                                                    <?php endforeach; ?>
                                                </tbody>
                                            </table>

                                            <!-- Remarks Textarea -->
                                            <div class="mb-3">
                                                <label for="remarks" class="form-label">Additional Remarks</label>
                                                <textarea name="questions[<?php echo $quest['id']; ?>][remarks]"
                                                    class="form-control remarks" id="remarks" rows="4"
                                                    placeholder="Enter your additional remarks here..."></textarea>
                                            </div>

                                            <br>
                                            <?php if ($questionsAvailable): ?>
                                                <button class="btn btn-success btn-md" type="submit">Save</button>
                                            <?php endif; ?>
                                        </form>

                                        <?php if (!$questionsAvailable): ?>
                                            <div>Nothing to show here.</div>
                                        <?php endif; ?>
                                    </div>
                                <?php endforeach; ?>
                            <?php else: ?>
                                <div>Nothing to show here.</div>
                            <?php endif; ?>


                            <!--  tab -->
                        </div>

                    </div>




                </div>
            </div>
        </div>
    </div>
</div>
<script>
    function openTab(evt, tabName, id) {
        // Get the closest parent with the "tab" class of the clicked button
        var parent = evt.currentTarget.closest('.tab');

        // Get all elements with class="tablinks" inside the parent and remove the class "active"
        var tablinks = parent.getElementsByClassName("tablinks");
        for (var i = 0; i < tablinks.length; i++) {
            tablinks[i].classList.remove("active");
        }


        // Add the "active" class to the clicked button
        evt.currentTarget.classList.add("active");

        var container = parent.parentElement;

        // Get all children of `container` that have the class `tabcontent`
        var tabcontent = container.querySelectorAll('.tabcontent');

        // Check if there are at least two nodes to work with
        if (tabName == "Tab2") {
            if (tabcontent.length >= 2) {
                // Remove the 'active' class from the first node
                tabcontent[0].classList.remove('active');

                // Add the 'active' class to the second node
                tabcontent[1].classList.add('active');
            }
        } else if (tabName == "Tab1") {
            if (tabcontent.length >= 2) {
                // Remove the 'active' class from the first node
                tabcontent[1].classList.remove('active');

                // Add the 'active' class to the second node
                tabcontent[0].classList.add('active');
            }
        }


    }
</script>


<script>
    $(document).ready(function() {
        // Listen for when the modal is completely closed
        $('#closeVIewChecklist<?php echo htmlspecialchars($id); ?>').on('click', function() {
            $("#view_checklist<?php echo htmlspecialchars($id); ?>").modal("hide");
            // Add any additional actions you want to perform after the modal is fully closed
        });
    });
</script>

<script>

function searchItems() {
            // Get the search term
            const searchTerm = document.getElementById('searchInput').value.toLowerCase();
            
            // Get all the items
            const items = document.querySelectorAll('.item');
            
            // Loop through the items and display those that match the search term
            items.forEach(item => {
                const text = item.textContent.toLowerCase();
                if (text.includes(searchTerm)) {
                    item.classList.remove('hidden');
                } else {
                    item.classList.add('hidden');
                }
            });
        }
</script>