<?php
$all_name = find_all('conn1', 'users');
$all_department = find_all('conn1', 'departments');
?>
<style>
    * {
        box-sizing: border-box;
    }

    body {
        background-color: #f1f1f1;
    }

    #regForm {
        background-color: #ffffff;
        margin: 100px auto;
        font-family: arial;
        padding: 40px;
        width: 70%;
        min-width: 300px;
    }

    /* Mark input boxes that gets an error on validation: */
    input.invalid {
        background-color: #ffdddd;
    }

    /* Hide all steps by default: */
    .tab {
        display: none;
    }

    /* Make circles that indicate the steps of the form: */
    .step {
        height: 15px;
        width: 15px;
        margin: 0 2px;
        background-color: #6482A7;
        border: none;
        border-radius: 50%;
        display: inline-block;
        opacity: 0.5;
    }

    .step.active {
        opacity: 1;
    }

    /* Mark the steps that are finished and valid: */
    .step.finish {
        background-color: #6482A7;
    }

    .form-check-inline {
        display: flex;
        align-items: center;

    }
</style>
<div class="modal fade" id="addReport" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="formLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg   ">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="formLabel">Status Report</h5>
                <button type="button" id="statusReportClose" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="col-xl-12 col-md-12 mb-4">

                    <!-- One "tab" for each step in the form: -->
                    <form id="add_status_report" method="post" name="add_status_report">
                        <div class="tab">
                            <div class="progress">
                                <div class="progress-bar" role="progressbar" style="width: 20%;" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">20%</div>
                            </div>
                            <br><br>
                            <div>
                                <div class="d-flex justify-content-center" style="margin: 0 auto; text-align: center;">
                                    <table class="table table-border table-striped" style="margin: 0 auto; width: 100%;">
                                        <thead>
                                            <tr class="compass-secondary-color text-white">
                                                <th colspan="2" style="text-align: center;">STATUS REPORT</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td colspan="2">
                                                    <textarea class="form-control" name="equipment_problem" id="status_report" placeholder="Specify the issue or problem with the equipment:" required></textarea>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    <div class="row">
                                                        <div class="col-md-12 align-items-center mb-3">
                                                            <div class="input-group">
                                                                <div class="input-group-prepend">
                                                                    <label class="input-group-text" for="requested_by">REQUESTED BY:</label>
                                                                </div>
                                                                <select name="requested_by" id='requested_by' class="custom-select form-control" required>
                                                                    <option selected>Select Name...</option>
                                                                    <?php if ($all_name != null) {
                                                                        foreach ($all_name as $name) { ?>
                                                                            <option value="<?php echo $name['id'] ?>" <?php echo $name['id'] == $_SESSION['id'] ? 'selected' : '' ?>><?php echo $name['firstname'] . " " . $name['lastname'] ?></option>
                                                                    <?php }
                                                                    } ?>
                                                                </select>
                                                            </div>
                                                        </div>

                                                        <div class="col-md-12 align-items-center mb-3">
                                                            <div class="input-group">
                                                                <div class="input-group-prepend">
                                                                    <label class="input-group-text" for="submit_request_to">SUBMIT REQUEST TO:</label>
                                                                </div>
                                                                <select name="submit_request_to" id='submit_request_to' class="custom-select form-control" required>
                                                                    <option selected>Select Name...</option>
                                                                    <?php if ($all_department != null) {
                                                                        foreach ($all_department as $dept) {
                                                                            if ($dept['id'] == 7) { ?>
                                                                                <option value="<?php echo $dept['id'] ?>" <?php echo $dept['id'] == $_SESSION['id'] ? 'selected' : '' ?>><?php echo $dept['department'] ?></option>
                                                                    <?php }
                                                                        }
                                                                    } ?>
                                                                </select>
                                                            </div>
                                                        </div>

                                                        <div class="col-md-12 mb-3 align-items-center">
                                                            <div class="d-flex justify-content-start mb-2">
                                                                <button type="button" class="btn btn-success btn-sm" onclick="addPropertyCodeRow()">
                                                                    <i class="fas fa-plus"></i> Add Row
                                                                </button>
                                                            </div>
                                                            <div class="form-floating">
                                                                <table class="table table-bordered">
                                                                    <thead>
                                                                        <tr>
                                                                            <th>Property Code</th>
                                                                            <th>Action</th>
                                                                        </tr>
                                                                    </thead>
                                                                    <tbody id="propertyCodeTable">
                                                                        <tr>
                                                                            <td>
                                                                                <input type="text" class="form-control wd-100" name="property_code[]" placeholder="ITM-XXXX" value="<?php echo isset($_GET['property_code']) ? $_GET['property_code'] : ''; ?>" required>
                                                                            </td>
                                                                            <td>
                                                                                <button type="button" class="btn btn-danger btn-sm" onclick="removePropertyCodeRow(this)">Delete</button>
                                                                            </td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </div>
                                                        </div>

                                                        <script>
                                                            // Function to add a new row for entering a property code
                                                            function addPropertyCodeRow() {
                                                                const table = document.getElementById('propertyCodeTable');
                                                                const newRow = document.createElement('tr');
                                                                newRow.innerHTML = `
        <td>
            <input type="text" class="form-control wd-100" name="property_code[]" placeholder="ITM-XXXX" required>
        </td>
        <td>
            <button type="button" class="btn btn-danger btn-sm" onclick="removePropertyCodeRow(this)">Delete</button>
        </td>
    `;
                                                                table.appendChild(newRow);
                                                            }

                                                            // Function to remove a row
                                                            function removePropertyCodeRow(button) {
                                                                const row = button.closest('tr');
                                                                row.remove();
                                                            }
                                                        </script>



                                                        <div class="col-md-12 align-items-center">
                                                            <center>
                                                                <button class="btn btn-primary" type="button" id="add_status_report_button" style="width:120px;" name="add_status_report_button">Submit</button>
                                                            </center>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <br>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    var currentTab = 0; // Current tab is set to be the first tab (0)
    showTab(currentTab); // Display the current tab

    function showTab(n) {
        // This function will display the specified tab of the form...
        var x = document.getElementsByClassName("tab");
        x[n].style.display = "block";
        //... and fix the Previous/Next buttons:
        if (n == 0) {
            document.getElementById("prevBtn").style.display = "none";
        } else {
            document.getElementById("prevBtn").style.display = "block";
        }
        if (n == (x.length - 1)) {
            document.getElementById("nextBtn").innerHTML = "Submit";
        } else {
            document.getElementById("nextBtn").innerHTML = "Next";
        }
        //... and run a function that will display the correct step indicator:
        fixStepIndicator(n)
    }

    function nextPrev(n) {
        // This function will figure out which tab to display
        var x = document.getElementsByClassName("tab");
        // Exit the function if any field in the current tab is invalid:
        if (n == 1 && !validateForm()) return false;
        // Hide the current tab:
        x[currentTab].style.display = "none";
        // Increase or decrease the current tab by 1:
        currentTab = currentTab + n;
        // if you have reached the end of the form...
        if (currentTab >= x.length) {
            // ... the form gets submitted:
            document.getElementById("regForm").submit();
            return false;
        }
        // Otherwise, display the correct tab:
        showTab(currentTab);
    }

    function validateForm() {
        // This function deals with validation of the form fields
        var x, y, i, valid = true;
        x = document.getElementsByClassName("tab");
        y = x[currentTab].getElementsByTagName("input");
        // A loop that checks every input field in the current tab:
        for (i = 0; i < y.length; i++) {
            // If a field is empty...
            if (y[i].value == "") {
                // add an "invalid" class to the field:
                y[i].className += " invalid";
                // and set the current valid status to false
                valid = false;
            }
        }
        // If the valid status is true, mark the step as finished and valid:
        if (valid) {
            document.getElementsByClassName("step")[currentTab].className += " finish";
        }
        return valid; // return the valid status
    }
</script>
<script>
    $(document).ready(function() {
        $('#add_status_report_button').click(function(e) {
            e.preventDefault(); // Prevent default form submission

            // Serialize form data
            var formData1 = $('#add_status_report').serialize();

            // Submit form data via Ajax
            $.ajax({
                type: 'POST',
                url: 'functions/status_report/status_report.php',
                data: formData1,
                dataType: 'json',
                success: function(response) {
                    if (response.status == "success") {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        }).then((result) => {
                            // Close the modal after success
                            document.getElementById("statusReportClose").click();
                            table.ajax.reload();

                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: error
                    });
                }
            });
        });
    });
</script>
