<?php
// include('../../layouts/header.php');
$all_name = find_all('conn1', 'users');

// Sanitize the input to ensure it's safe for use in the query
$departmentId = intval($row['submit_request_to']); // Ensure it's an integer

// Prepare the SQL query
$sql = "
    SELECT 
        users.*, 
        users.id AS user_id, 
        privileges.id AS privilege_id 
    FROM 
        users 
    LEFT JOIN 
        privileges 
    ON 
        users.privilege_id = privileges.id 
    WHERE 
        users.department_id = $departmentId
";

// Execute the query using PDO
$result = $conn->query($sql);
if($result->num_rows > 0){
  $user_select = mysqli_fetch_all($result, MYSQLI_ASSOC);
} else {
  $user_select = null;
}

$authorized_departments = ["ITD", "ADM", "TRD"];
?>
<style>
    * {
        box-sizing: border-box;
    }

    body {
        background-color: #f1f1f1;
    }

    #regForm {
        background-color: #ffffff;
        margin: 100px auto;
        font-family: arial;
        padding: 40px;
        width: 70%;
        min-width: 300px;
    }

    /* Mark input boxes that gets an error on validation: */
    input.invalid {
        background-color: #ffdddd;
    }

    /* Hide all steps by default: */
    .tab {
        display: none;
    }

    /* Make circles that indicate the steps of the form: */
    .step {
        height: 15px;
        width: 15px;
        margin: 0 2px;
        background-color: #6482A7;
        border: none;
        border-radius: 50%;
        display: inline-block;
        opacity: 0.5;
    }

    .step.active {
        opacity: 1;
    }

    /* Mark the steps that are finished and valid: */
    .step.finish {
        background-color: #6482A7;
    }

    .form-check-inline {
        display: flex;
        align-items: center;

    }
</style>
<div class="modal fade" id="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="formLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg   ">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="formLabel">Status Report</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="col-xl-12 col-md-12 mb-4">

                    <!-- One "tab" for each step in the form: -->
                    <form class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_1" method="post" name="status_report_form_1">
                        <div class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> tab">
                            <div class="progress">
                                <div class="progress-bar" role="progressbar" style="width: 20%;" aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">20%</div>
                            </div>
                            <br><br>
                            <div>
                                <div class="d-flex justify-content-center" style="margin: 0 auto; text-align: center;">
                                    <table class="table table-border table-striped" style="margin: 0 auto; width: 100%;">
                                        <thead>
                                            <tr class="compass-secondary-color text-white">
                                                <th colspan="2" style="text-align: center;">STATUS REPORT</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td colspan="2">
                                                    <textarea class="form-control" name="equipment_problem" id="status_report" placeholder="Specify the issue or problem with the equipment:"><?php echo (isset($row['id'])) ? $row['equipment_problem'] : ""; ?></textarea>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td colspan="2">
                                                    <div class="row">
                                                        <div class="col-md-12 align-items-center mb-3">
                                                            <div class="input-group">
                                                                <div class="input-group-prepend">
                                                                    <label class="input-group-text" for="requested_by">REPORTED BY:</label>
                                                                </div>
                                                                <select name="requested_by" id='requested_by' class="custom-select form-control">
                                                                    <option selected>Select Name...</option>
                                                                    <?php
                                                                    if ($all_name != null) {
                                                                        foreach ($all_name as $name) { ?>
                                                                            <option value="<?php echo $name['id'] ?>" <?php echo $name['id'] == (($row['id']) ? $row['requested_by'] : $_SESSION['id']) ? 'selected' : '' ?>><?php echo $name['firstname'] . " " . $name['lastname'] ?></option>
                                                                    <?php   }
                                                                    }
                                                                    ?>
                                                                </select>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12 mb-3 align-items-center">
                                                            <div class="form-floating">
                                                                <div class="input-group">
                                                                    <div class="input-group-prepend">
                                                                        <label class="input-group-text" for="inputGroupPropertyCode">PROPERTY CODE: </label>
                                                                    </div>
                                                                    <input type="text" class="form-control wd-100" id="inputGroupPropertyCode" placeholder="DEP-ITM-XXXX" name="property_code" value="<?php echo (isset($row['id'])) ? $row['propertyCode'] : ""; ?>">

                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-md-12 align-items-center">
                                                            <center>
                                                                <button class="btn btn-primary" type="button" class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> status_report_form_button_1" style="width:120px;" name="status_report_form_button_1" <?php echo (isset($row['requested_by']) && !empty($row['requested_by'])) ? "disabled" : ""; ?>><?php echo (isset($row['requested_by']) && !empty($row['requested_by'])) ? "Submitted" : "Submit"; ?></button>
                                                            </center>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <br>
                            </div>
                        </div>
                    </form>
                    <form class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_2" method="post" name="status_report_form_2">
                        <div class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> tab">

                            <div class="progress">
                                <div class="progress-bar" role="progressbar" style="width: 40%;" aria-valuenow="40" aria-valuemin="0" aria-valuemax="100">40%</div>
                            </div>
                            <br><br>
                            <div class="d-flex justify-content-center" style="margin: 0 auto; text-align: center;">
                                <table class="table  table-striped" style="margin: 0 auto; width: 100%;">
                                    <thead>
                                        <tr class="compass-secondary-color  text-white">
                                            <th colspan="2" style="text-align: center;">JOB ORDER</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td colspan="2">
                                                <input type="hidden" id="status_report_id" name="status_report_id" value="<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>">
                                                <textarea class="form-control" name="equipment_repair" id="job_order" placeholder="Specify the maintenance  activities recommended to repair the equipment:"><?php echo (isset($row['id'])) ? $row['equipment_repair'] : ""; ?></textarea>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-6 form-floating form-control">
                                <div class='row-1'></div>
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text" for="type_of_repair">TYPE OF REPAIR:</label>
                                    </div>

                                    <div class="ml-3" style="margin: 0 auto; text-align:left;">
                                        <div class="form-check">
                                            <input type="radio" id="internal" name="type_of_repair" value="internal" <?php echo (isset($row['id'])) ? (($row['type_of_repair'] == "internal") ? "checked" : "") : ""; ?>>
                                            <label for="internal">Internal Repair/Maintenance</label>
                                        </div>

                                        <div class="form-check">
                                            <input type="radio" id="outsource" name="type_of_repair" value="outsource" <?php echo (isset($row['id'])) ? (($row['type_of_repair'] == "outsource") ? "checked" : "") : ""; ?>>
                                            <label for="outsource">Outsourced Repair/Maintenance</label><br>
                                        </div>

                                        <div class="form-check">
                                            <input type="radio" id="no_issue" name="type_of_repair" value="no_issue" <?php echo (isset($row['id'])) ? (($row['type_of_repair'] == "no_issue") ? "checked" : "") : ""; ?>>
                                            <label for="no_issue">No Issue</label><br>
                                        </div>
                                    </div>
                                </div>


                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text" for="recommended_by">RECOMMENDED BY:</label>
                                    </div>
                                    <select name="recommended_by" id='recommended_by' class="custom-select form-control" readonly>
                                        <option selected>Select Name...</option>
                                        <?php
                                        if ($user_select != null) {
                                            foreach ($user_select as $name) { ?>
                                                <option value="<?php echo $name['id'] ?>" <?php echo ($name['id'] == ((isset($row['recommended_by']) && !empty($row['recommended_by'])) ? $row['recommended_by'] : $_SESSION['id'])) ? 'selected' : '' ?>><?php echo $name['firstname'] . " " . $name['lastname'] ?></option>
                                        <?php   }
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-md-12 align-items-center" style="display:<?php echo ((isset($_SESSION['id']) && isset($row['requested_by'])) && (in_array($_SESSION['department_code'], $authorized_departments))) ? "block" : "none"; ?>">
                                    <center>
                                        <button class="btn btn-primary" type="button" class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_button_2" style="width:120px;" name="status_report_form_button_2"><?php echo (empty($row['recommended_by']) || $row['recommended_by'] == "") ? "Submit" : "Update"; ?></button>
                                    </center>
                                </div>
                            </div>

                        </div>
                    </form>
                    <form class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_3" method="post" name="status_report_form_3">
                        <div class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> tab">

                            <div class="progress">
                                <div class="progress-bar" role="progressbar" style="width: 60%;" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100">60%</div>
                            </div>
                            <br><br>
                            <div class="d-flex justify-content-center" style="margin: 0 auto; text-align: center;">
                                <table class="table  table-striped" style="margin: 0 auto; width: 100%;">
                                    <thead>
                                        <tr class="compass-secondary-color  text-white">
                                            <th colspan="2" style="text-align: center;">REVIEW AND APPROVAL OF JOB ORDER</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td colspan="2">
                                                <input type="hidden" id="status_report_id" name="status_report_id" value="<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>">
                                                <textarea class="form-control" name="depthead_comment" id="job_order" placeholder="Department head’s comments, suggestions, or recommendations on the job order:"><?php echo (isset($row['depthead_comment'])) ? $row['depthead_comment'] : ''; ?></textarea>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-6 form-floating form-control">
                                <div class='row-1'></div>
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text" for="approval">APPROVAL:</label>
                                    </div>

                                    <div class="ml-3" style="margin: 0 auto; text-align:left;">
                                        <div class="form-check">
                                            <input type="radio" id="approved" name="approval" value="approved" <?php echo (isset($row['id'])) ? (($row['approval'] == "approved") ? "checked" : "") : ""; ?>>
                                            <label for="approved">Approve Job Order</label>
                                        </div>

                                        <div class="form-check">
                                            <input type="radio" id="disapproved" name="approval" value="disapproved" <?php echo (isset($row['id'])) ? (($row['approval'] == "disapproved") ? "checked" : "") : ""; ?>>
                                            <label for="disapproved">Disapprove Job Order</label><br>
                                        </div>
                                    </div>
                                </div>



                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text" for="approved_by">APPROVED BY:</label>
                                    </div>
                                    <select name="approved_by" id='approved_by' class="custom-select form-control">
                                        <option selected>Select Name...</option>
                                        <?php
                                        if ($user_select != null) {
                                            foreach ($user_select as $name) { ?>
                                                <option value="<?php echo $name['id'] ?>" <?php echo (($name['id'] == (isset($row['id']) ? $row['approved_by'] : $_SESSION['id'])) || ((isset($name['privilege']) && !empty($name['privilege'])) && ($name['privilege'] == "DEPARTMENT HEAD"))) ? 'selected' : ''; ?>><?php echo $name['firstname'] . " " . $name['lastname'] ?></option>
                                        <?php   }
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-md-12 align-items-center" style="display:<?php echo (isset($_SESSION['privilege']) && ($_SESSION['privilege'] == "DEPARTMENT HEAD")) ? "block" : "none"; ?>">
                                    <center>
                                        <button class="btn btn-primary" type="button" class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_button_3" style="width:120px;" name="status_report_form_button_3" <?php echo (isset($row['approved_by']) && !empty($row['approved_by'])) ? "disabled" : ""; ?>><?php echo (isset($row['approved_by']) && !empty($row['approved_by'])) ? "Submitted" : "Submit"; ?></button>
                                    </center>
                                </div>
                            </div>
                        </div>
                    </form>
                    <form class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_4" method="post" action="functions/status_report/status_report.php" name="status_report_form_4" enctype="multipart/form-data">

                        <div class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> tab">
                            

                            <div class="progress">
                                <div class="progress-bar" role="progressbar" style="width: 80%;" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100">80%</div>
                            </div>
                            <br><br>
                            <div class="d-flex justify-content-center" style="margin: 0 auto; text-align: center;">
                                <table class="table  table-striped" style="margin: 0 auto; width: 100%;">
                                    <thead>
                                        <tr class="compass-secondary-color  text-white">
                                            <th colspan="2" style="text-align: center;">OUTCOME OF REPAIR/MAINTENANCE</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td colspan="2">
                                                <input type="hidden" id="status_report_id" name="status_report_id" value="<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>">
                                                <input type="hidden" id="propertyCode" name="propertyCode" value="<?php echo (isset($row['propertyCode'])) ? $row['propertyCode'] : ""; ?>">
                                                <textarea class="form-control" name="job_order" id="job_order" placeholder="Specify the outcome/result of repair/maintenance:"><?php echo (isset($row['job_order'])) ? $row['job_order'] : ''; ?></textarea>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="col-md-6 form-floating form-control">
                                <div class='row-1'></div>
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text" for="outcome">OUTCOME:</label>
                                    </div>

                                    <div class="ml-3" style="margin: 0 auto; text-align:left;">
                                        <div class="form-check">
                                            <input type="radio" id="successful" name="outcome" value="successful" <?php echo (isset($row['id'])) ? (($row['outcome'] == "successful") ? "checked" : "") : ""; ?>>
                                            <label for="successful">Successfully Repaired</label>
                                        </div>

                                        <div class="form-check">
                                            <input type="radio" id="unsuccessful" name="outcome" value="unsuccessful" <?php echo (isset($row['id'])) ? (($row['outcome'] == "unsuccessful") ? "checked" : "") : ""; ?>>
                                            <label for="unsuccessful">Unsuccessfully Repaired</label><br>
                                        </div>

                                        <div class="form-check">
                                            <input type="radio" id="not_repairable" name="outcome" value="not_repairable" <?php echo (isset($row['id'])) ? (($row['outcome'] == "not_repairable") ? "checked" : "") : ""; ?>>
                                            <label for="not_repairable">No Longer Repairable</label><br>
                                        </div>
                                    </div>
                                </div>

                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text" for="attachment">REQUIRED ATTACHMENTS:</label>
                                    </div>
                                    <br><br>
                                    <div class="container">
                                        <div class="row" style="text-align: left;">
                                            <div class=" mb-3">
                                                <div class="form-group">
                                                    <label for="photo_equipment">(Upload Photo of Equipment)</label>
                                                    <?php

                                                    if (!isset($row['photo_equipment'])) {
                                                    ?>
                                                        <input type="file" class="form-control-file" name="photo_equipment" id="photo_equipment" accept=".jpg,.png,.jpeg">
                                                    <?php } else { ?>
                                                        <img src="<?php echo str_replace("../../", "", $row['photo_equipment']); ?>" style="width: -webkit-fill-available;">
                                                        <input type="hidden" name="photo_equipment" value="<?php echo $row['photo_equipment']; ?>">
                                                    <?php
                                                    }
                                                    ?>
                                                </div>
                                            </div>
                                            <?php if ($row['type_of_repair']=="outsource") {?>
                                            <div class=" mb-3">
                                                <div class="form-group">
                                                    <label for="service_report">(Upload Service Report)</label>
                                                    <?php

                                                    if (!isset($row['service_report'])) {
                                                    ?>
                                                        <input type="file" class="form-control-file" name="service_report" id="service_report" accept=".jpg,.png,.jpeg,.doc,.docx,.pdf">
                                                        <?php
                                                    } else {
                                                        $service_report = explode('.', $row['service_report']);
                                                        $documents = array("doc", "docx", "pdf");
                                                        $images = array("jpg", "png", "jpeg");
                                                        if (is_array($service_report)) {
                                                            if (in_array(end($service_report), $documents)) {
                                                        ?>
                                                                <a href="<?php echo "asset-management" . $row['service_report']; ?>" class="btn btn-primary">View File</a>
                                                                <input type="hidden" name="service_report" value="<?php echo $row['service_report']; ?>">

                                                            <?php
                                                            } else if (in_array(end($service_report), $images)) {
                                                            ?>
                                                                <img src="<?php echo $row['service_report']; ?>" style="width: -webkit-fill-available;">
                                                                <input type="hidden" name="service_report" value="<?php echo $row['service_report']; ?>">
                                                        <?php
                                                            }
                                                        }

                                                        ?>

                                                    <?php
                                                    }
                                                    ?>
                                                </div>
                                            </div>
                                            <?php } ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="input-group mb-3">
                                    <div class="input-group-prepend">
                                        <label class="input-group-text" for="completed_by">COMPLETED BY:</label>
                                    </div>
                                    <select name="completed_by" id='completed_by' class="custom-select form-control">
                                        <option selected>Select Name...</option>
                                        <?php
                                        if ($user_select != null) {
                                            foreach ($user_select as $name) { ?>
                                                <option value="<?php echo $name['id'] ?>" <?php echo $name['id'] == (($row['id']) ? $row['completed_by'] : $_SESSION['id']) ? 'selected' : '' ?>><?php echo $name['firstname'] . " " . $name['lastname'] ?></option>
                                        <?php   }
                                        }
                                        ?>
                                    </select>
                                </div>
                                <div class="col-md-12 align-items-center" style="display:<?php echo ((isset($_SESSION['id']) && isset($row['approved_by'])) && (($_SESSION['id'] == $row['approved_by'])) || (in_array($_SESSION['department_code'], $authorized_departments))) ? "block" : "none"; ?>">
                                    <center>
                                        <button class="btn btn-primary" type="submit" class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> status_report_form_button_4" style="width:120px;" name="status_report_form_button_4" <?php echo (isset($row['completed_by']) && !empty($row['completed_by'])) ? "disabled" : ""; ?>><?php echo (isset($row['completed_by']) && !empty($row['completed_by'])) ? "Submitted" : "Submit"; ?></button>
                                    </center>
                                </div>
                            </div>

                        </div>
                    </form>

                    <form class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_5" method="post" name="status_report_form_5">

                        <div class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> tab">

                            <div class="progress">
                                <div class="progress-bar" role="progressbar" style="width: 100%;" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100">100%</div>
                            </div>
                            <br><br>
                            <?php if (isset($_SESSION['privilege']) && (($_SESSION['privilege'] == "DEPARTMENT HEAD"))) { ?>
                                <div class="d-flex justify-content-center" style="margin: 0 auto; text-align: center;">
                                    <table class="table  table-striped" style="margin: 0 auto; width: 100%;">
                                        <thead>
                                            <tr class="compass-secondary-color  text-white">
                                                <th colspan="2" style="text-align: center;">EVALUATION OF DEPARTMENT HEAD</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td colspan="2">
                                                    <input type="hidden" id="status_report_id" name="status_report_id" value="<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>">
                                                    <textarea class="form-control" name="repair_effectiveness" id="job_order" placeholder="Effectiveness of repair/maintenance implemented:"><?php echo (isset($row['repair_effectiveness'])) ? $row['repair_effectiveness'] : ""; ?></textarea>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="col-md-6 form-floating form-control">

                                    <div class="input-group mb-3">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="action">Recommended Action:</label>
                                        </div>

                                        <div class="ml-3" style="margin: 0 auto; text-align:left;">
                                            <div class="form-check">
                                                <input type="radio" id="utilization" name="action" value="utilization" <?php echo (isset($row['id'])) ? (($row['action'] == "utilization") ? "checked" : "") : ""; ?>>
                                                <label for="utilization">For Utilization</label>
                                            </div>

                                            <div class="form-check">
                                                <input type="radio" id="replace_disposal" name="action" value="replace_disposal" <?php echo (isset($row['id'])) ? (($row['action'] == "replace_disposal") ? "checked" : "") : ""; ?>>
                                                <label for="replace_disposal">For Replacement and Disposal</label><br>
                                            </div>

                                            <div class="form-check">
                                                <input type="radio" id="disposal" name="action" value="disposal" <?php echo (isset($row['id'])) ? (($row['action'] == "disposal") ? "checked" : "") : ""; ?>>
                                                <label for="disposal">For Disposal Only</label><br>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="input-group mb-3">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text" for="evaluated_by">EVALUATED BY:</label>
                                        </div>
                                        <select name="evaluated_by" id='evaluated_by' class="custom-select form-control">
                                            <option selected>Select Name...</option>
                                            <?php
                                            if ($user_select != null) {
                                                foreach ($user_select as $name) { ?>
                                                    <option value="<?php echo $name['id'] ?>" <?php echo (($name['id'] == (isset($row['id']) ? $row['approved_by'] : $_SESSION['id'])) || ($name['privilege'] == "DEPARTMENT HEAD")) ? 'selected' : '' ?>><?php echo $name['firstname'] . " " . $name['lastname'] ?></option>
                                            <?php   }
                                            }
                                            ?>
                                        </select>
                                    </div>
                                    <div class="col-md-12 align-items-center" style="display:<?php echo ((isset($_SESSION['id']) && isset($row['requested_by'])) && (($_SESSION['id'] == $row['requested_by']) || ($_SESSION['id'] == $row['approved_by']))) ? "block" : "none"; ?>">
                                        <center>
                                            <button class="btn btn-primary" type="button" class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_button_5" style="width:120px;" name="status_report_form_button_5" <?php echo (isset($row['repair_effectiveness']) && !empty($row['repair_effectiveness'])) ? "disabled" : ""; ?>><?php echo (isset($row['status']) && !empty($row['status'])) ? "Submmited" : "Submit"; ?></button>
                                        </center>
                                    </div>
                                <?php } else { ?>

                                    <div class="d-flex justify-content-center" style="margin: 0 auto; text-align: center;">
                                        <table class="table  table-striped" style="margin: 0 auto; width: 100%;">
                                            <thead>
                                                <tr class="compass-secondary-color  text-white">
                                                    <th colspan="2" style="text-align: center;">EVALUATION OF REQUESTOR</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td colspan="2">
                                                        <input type="hidden" id="status_report_id" name="status_report_id" value="<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>">
                                                    </td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="col-md-6 form-floating form-control">

                                        <div class="input-group mb-4">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text" for="status">Status:</label>
                                            </div>

                                            <div class="ml-3" style="margin: 0 auto; text-align:left;">
                                                <div class="form-check">
                                                    <input type="radio" id="closed" name="status" value="closed" <?php echo (isset($row['id'])) ? (($row['status'] == "closed") ? "checked" : "") : ""; ?>>
                                                    <label for="closed">Closed</label>
                                                </div>

                                                <div class="form-check">
                                                    <input type="radio" id="open" name="status" value="open" <?php echo (isset($row['id'])) ? (($row['status'] == "open") ? "checked" : "") : ""; ?>>
                                                    <label for="open">Open</label><br>
                                                </div>

                                                <div class="form-check">
                                                    <input type="radio" id="pending" name="status" value="pending" <?php echo (isset($row['id'])) ? (($row['status'] == "pending") ? "checked" : "") : ""; ?>>
                                                    <label for="pending">Pending</label><br>
                                                </div>
                                            </div>
                                        </div>



                                        <div class="input-group mb-3">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text" for="evaluated_by">EVALUATED BY:</label>
                                            </div>
                                            <select name="evaluated_by" id='evaluated_by' class="custom-select form-control" disabled>
                                                <option selected>Select Name...</option>
                                                <?php

                                                if ($all_name != null) {
                                                    foreach ($all_name as $name) { ?>
                                                        <option value="<?php echo $name['id'] ?>" <?php echo $name['id'] == (isset($row['id']) ? $row['requested_by'] : $_SESSION['id']) ? 'selected' : '' ?>><?php echo $name['firstname'] . " " . $name['lastname'] ?></option>
                                                <?php   }
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="col-md-12 align-items-center" style="display:<?php echo ((isset($_SESSION['id']) && isset($row['requested_by']) && isset($row['action'])) && (($_SESSION['id'] == $row['requested_by']) || ($_SESSION['id'] == $row['approved_by']))) ? "block" : "none"; ?>">
                                            <center>
                                                <button class="btn btn-primary" type="button" class="updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="status_report_form_button_5" style="width:120px;" name="status_report_form_button_5" <?php echo (isset($row['status']) && !empty($row['status'])) ? "disabled" : ""; ?>><?php echo (isset($row['status']) && !empty($row['status'])) ? "Submitted" : "Submit"; ?></button>
                                            </center>
                                        </div>
                                    <?php } ?>

                                    </div>

                                </div>
                    </form>

                    <div class="btn-group mt-3" role="group" aria-label="Basic example">
                        <button type="button" class="btn btn-primary" data-mdb-ripple-init data-id="<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="prevBtn<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>"><i class="fas fa-arrow-left"></i></button>
                        <button type="button" class="btn btn-primary" data-mdb-ripple-init data-id="<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>" id="nextBtn<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>"><i class="fas fa-arrow-right"></i></button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script>
    <?php
    if (isset($row['requested_by']) && ($row['requested_by'] == $_SESSION['id']) && (!in_array($_SESSION['department_code'], $authorized_departments))) {
        if (isset($row['requested_by'])) {
            if((isset($status) && !empty($status)) && strcasecmp(explode(";",$status)[1], "NO ISSUE") == 0){
                $count = 4;
            } else {
                $count = 0;
            }
        }
        if (isset($row['repair_effectiveness'])) {
            $count = 4;
        }
    } else {
        if (isset($row['requested_by'])) {
            $count = 1;
        }
        if (isset($row['recommended_by']) || (isset($row['approval']) && ($row['approval'] == "disapproved"))) {
            $count = 2;
        }
        if (isset($row['approved_by'])) {
            $count = 3;
        }
        if (isset($row['completed_by'])) {
            $count = 4;
        }
        if (isset($row['evaluated_by'])) {
            $count = 4;
        }
    }
    ?>
    var currentTab_updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> = <?php echo (isset($count)) ? $count : 0; ?>; // Current tab is set to be the first tab (0)

    var prevBtns = document.querySelectorAll("#prevBtn<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>");
    prevBtns.forEach(function(prevBtn) {
        prevBtn.addEventListener('click', function() {
            var currentId = this.getAttribute('data-id');
            var currentTab = "currentTab_updateReport" + currentId;
            hideTab(window[currentTab], "updateReport" + currentId); // Hide the current tab
            window[currentTab] -= 1;
            showTab(window[currentTab], "updateReport" + currentId); // Display the previous tab
            if (window[currentTab] == 4) {
                document.getElementById("nextBtn" + currentId).style.display = "none";
                document.getElementById("prevBtn" + currentId).style.display = "block";
            } else if (window[currentTab] == 0) {
                document.getElementById("nextBtn" + currentId).style.display = "block";
                document.getElementById("prevBtn" + currentId).style.display = "none";
            } else {
                document.getElementById("nextBtn" + currentId).style.display = "block";
                document.getElementById("prevBtn" + currentId).style.display = "block";
            }
            console.log(window[currentTab]);
        });
    });

    var nextBtns = document.querySelectorAll("#nextBtn<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>");
    nextBtns.forEach(function(nextBtn) {
        nextBtn.addEventListener('click', function() {
            var currentId = this.getAttribute('data-id');
            var currentTab = "currentTab_updateReport" + currentId;
            hideTab(window[currentTab], "updateReport" + currentId); // Hide the current tab
            window[currentTab] += 1;
            showTab(window[currentTab], "updateReport" + currentId); // Display the next tab
            if (window[currentTab] == 4) {
                document.getElementById("nextBtn" + currentId).style.display = "none";
                document.getElementById("prevBtn" + currentId).style.display = "block";
            } else if (window[currentTab] == 0) {
                document.getElementById("nextBtn" + currentId).style.display = "block";
                document.getElementById("prevBtn" + currentId).style.display = "none";
            } else {
                document.getElementById("nextBtn" + currentId).style.display = "block";
                document.getElementById("prevBtn" + currentId).style.display = "block";
            }
            console.log(window[currentTab]);
        });
    });

    showTab(currentTab_updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>, "updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>"); // Display the current tab

    function showTab(n, target) {
        // Get all elements with the class name "target tab"
        var x = document.getElementsByClassName(target + " tab");

        // Check if the tab index is valid
        if (n >= 0 && n < x.length) {
            // Hide all tabs
            for (var i = 0; i < x.length; i++) {
                x[i].style.display = "none";
            }

            // Show the specified tab
            x[n].style.display = "block";

            var prevBtns = document.querySelectorAll("#prevBtn" + target.replace("updateReport", ""));
            var nextBtns = document.querySelectorAll("#nextBtn" + target.replace("updateReport", ""));

            // Show/hide buttons based on the current tab index
            prevBtns.forEach(function(btn) {
                btn.style.display = (n === 0) ? "none" : "block";
            });
            nextBtns.forEach(function(btn) {
                btn.style.display = (n === x.length - 1) ? "none" : "block";
            });
        } else {
            console.error("Invalid tab index:", n);
        }
    }





    function hideTab(n, target) {
        // This function will hide the specified tab of the form...
        var x = document.getElementsByClassName(target + " tab");
        if (n >= 0 && n < x.length) {
            x[n].style.display = "none";
        } else {
            console.error("Invalid tab index:", n);
        }
    }

    function validateForm() {
        // This function deals with validation of the form fields
        var x, y, i, valid = true;
        x = document.getElementsByClassName("updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> tab");
        y = x[currentTab_updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>].getElementsByTagName("input");
        // A loop that checks every input field in the current tab:
        for (i = 0; i < y.length; i++) {
            // If a field is empty...
            if (y[i].value == "") {
                // add an "invalid" class to the field:
                y[i].className += " invalid";
                // and set the current valid status to false
                valid = false;
            }
        }
        // If the valid status is true, mark the step as finished and valid:
        if (valid) {
            document.getElementsByClassName("updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> step")[currentTab_updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>].className += " finish";
        }
        return valid; // return the valid status
    }

    $(document).ready(function() {
        $('.updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> #status_report_form_button_1').click(function(e) {
            e.preventDefault(); // Prevent default form submission

            // Serialize form data
            var formData1 = $('.updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>#status_report_form_1').serialize();

            // Submit form data via Ajax
            $.ajax({
                type: 'POST',
                url: 'functions/status_report/status_report.php',
                data: formData1,
                dataType: 'json',
                success: function(response) {
                    if (response.status == "success") {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: error
                    });
                }
            });
        });

        $(".updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> #status_report_form_button_2").click(function(e) {
            e.preventDefault(); // Prevent default form submission

            // Serialize form data
            var formData2 = $('.updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>#status_report_form_2').serialize();

            // Submit form data via Ajax
            $.ajax({
                type: 'POST',
                url: 'functions/status_report/status_report.php',
                data: formData2,
                dataType: 'json',
                success: function(response) {
                    if (response.status == "success") {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: error
                    });
                }
            });
        });

        $('.updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> #status_report_form_button_3').click(function(e) {
            e.preventDefault(); // Prevent default form submission

            // Serialize form data
            var formData3 = $('.updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>#status_report_form_3').serialize();

            // Submit form data via Ajax
            $.ajax({
                type: 'POST',
                url: 'functions/status_report/status_report.php',
                data: formData3,
                dataType: 'json',
                success: function(response) {
                    if (response.status == "success") {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: error
                    });
                }
            });
        });

        $('#status_report_form_button_4').click(function(e) {
            e.preventDefault(); // Prevent default form submission

            // Serialize form data
            var formData4 = $('#status_report_form_4').serialize();

            // Submit form data via Ajax
            $.ajax({
                type: 'POST',
                url: 'functions/status_report/status_report.php',
                data: formData4,
                dataType: 'json',
                cache: false,
                contentType: 'multipart/form-data',
                processData: false,
                type: 'POST',
                success: function(response) {
                    if (response.status == "success") {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: error
                    });
                }
            });
        });

        $('.updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?> #status_report_form_button_5').click(function(e) {
            e.preventDefault(); // Prevent default form submission

            // Serialize form data
            var formData5 = $('.updateReport<?php echo (isset($row['id'])) ? $row['id'] : ""; ?>#status_report_form_5').serialize();

            // Submit form data via Ajax
            $.ajax({
                type: 'POST',
                url: 'functions/status_report/status_report.php',
                data: formData5,
                dataType: 'json',
                success: function(response) {
                    if (response.status == "success") {
                        Swal.fire({
                            icon: 'success',
                            title: 'Success',
                            text: response.message
                        });
                    } else {
                        Swal.fire({
                            icon: 'error',
                            title: 'Error',
                            text: response.message
                        });
                    }
                },
                error: function(xhr, status, error) {
                    Swal.fire({
                        icon: 'error',
                        title: 'Error',
                        text: error
                    });
                }
            });
        });
    });
</script>