<!-- Modal -->

<?php include_once("resources/script/ajax_dropdown.php");?>
<div class="modal fade" id="addSupply" tabindex="-1" aria-labelledby="addSupplyLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addSupplyLabel">
                    <strong>Add Supplies</strong>
                </h5>
                <button type="button" id="closeBtnAddSupply" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <div class="col-xl-12 col-md-12 mb-4">
                    <div class="card">
                        <div class="card-body">
                            <form  id='supplies' method="post" class="clearfix" >
                                <div class="form-floating">
                                    <div class="input-group">
                                        <input type="hidden" id="prefix" value="" name="prefix">
                                    </div>
                                </div>
                                <br>
                               
                                <div class="row">
                                    <div class="col-md-6 form-floating">
                                        <div class="input-group">
                                            <div class="form-floating">
                                                <input class="form-control inputList" list="item" id="itemDatalist" placeholder="Input an item..." name="item_id" required>
                                                <datalist id="item">
                                                    <option data-value=""></option>
                                       
                                                </datalist>
                                                <label for="itemDatalist" class="form-label">
                                                    Item:
                                                </label>
                                                <input type="hidden" name="item_id" id="itemDatalist-hidden">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-6 form-floating d-flex align-items-center">
                                        <div class="input-group">
                                            <div class="input-group-prepend">
                                                <label class="input-group-text" for="inputGroupSelectTypes">Type</label>
                                            </div>
                                            <select class="custom-select form-control" id="inputGroupSelectTypes" onchange="document.getElementById('prefix').value=this.options[this.selectedIndex].text" name="type" required>
                                                <option selected>Select Type...</option>
                                                <option value="JANITORIAL">JANITORIAL</option>
                                                <option value="OFFICE">OFFICE</option>
                                                <option value="MEDICAL">MEDICAL</option>       
                                                <option value="OTHER">OTHER</option>       
                                            </select>
                                        </div>

                                    </div>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input class="form-control inputList" list="description" autocomplete="off" id="descriptionDatalist" placeholder="Input a description..." name='description_id' >
                                    <datalist id="description">
                                        <option data-value=""></option>                              
                                    </datalist>
                                    <label for="descriptionDatalist" class="form-label">
                                        Description:
                                    </label>
                                    <input type="hidden" name="description_id" id="descriptionDatalist-hidden">

                                </div>
                                <br>
                                <div class="form-floating">
                                    <input class="form-control inputList" list="brand" id="brandDatalist" placeholder="Input a brand..." name='brand_id' >
                                    <datalist id="brand">
                                    <option data-value=""></option> 
                                    </datalist>
                                    <label for="brandDatalist" class="form-label">
                                        Brand:
                                    </label>
                                    <input type="hidden" name="brand_id" id="brandDatalist-hidden">
                                </div>
                                <br>
                                <div class="form-floating">
                                    <div class="input-group">
                                        <div class="input-group-prepend">
                                            <label class="input-group-text">Php</label>
                                        </div>
                                        <input type="text" class="form-control" id="floatingCostPerItemValue" placeholder="Cost Per Item" name="cost_per_item">
                                    </div>
                                </div>
                                <br>
                                <div class="form-floating">
                                    <input class="form-control inputList" autocomplete="off" list="unit" id="unitDatalist" placeholder="Input a unit..." name='unit_id' >
                                    <datalist id="unit">
                                    <option data-value=""></option> 
                                    </datalist>
                                    <label for="unitDatalist" class="form-label">
                                        Unit:
                                    </label>
                                    <input type="hidden" name="unit_id" id="unitDatalist-hidden">
                                </div>
                                <br>
                                <div class="row">
                                    <div class="col-md-6 form-floating">
                                        <input type="number" class="form-control" id="floatingStocksOnHand" placeholder="Stocks On-Hand" name="stocks_on_hand">
                                        <label for="floatingStocksOnHand">Stocks On-Hand</label>
                                    </div>
                                    <br>
                                    <div class="col-md-6 form-floating">
                                        <input type="number" class="form-control" id="floatingRe-OrderLevel" placeholder="Re-Order Level" name="re_order_level">
                                        <label for="floatingRe-OrderLevel">Re-Order Level</label>
                                    </div>
                                </div>
                                <br>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button class="w-50 btn btn-md btn-success center" type="submit" name="submit">Add Supply</button>
            </div>
            </form>
        </div>
    </div>
</div>
<script>
      
     $(document).ready(function(){
        $('#supplies').submit(function(event) {
            event.preventDefault(); // Prevent the form from submitting in the traditional way

            // Serialize form data
            var formData = $(this).serialize();
            var closeBtn = document.getElementById('closeBtnAddSupply');
            // AJAX request to insert data
            $.ajax({
                url: 'functions/supplies/add_supplies.php', // URL to your server-side script that handles insertion
                type: 'POST',
                data: formData,
                success: function(response) {       
                    if(response === 'Yes'){                 
                        document.getElementById("supplies").reset();
                        sweetAlert( 'Supplies Added Successful', 'success');
                        closeBtn.click();
                    } else if (response === 'error type') {
                        sweetAlert('Please Select A Type...', 'error');
                        closeBtn.click();
                    } else if(response === 'error category'){
                        sweetAlert('Error in Item', 'error');
                        closeBtn.click();
                    }else if(response === 'error description'){
                        sweetAlert('Error in Description', 'error');
                        closeBtn.click();
                    }else if(response === 'error brand'){
                        sweetAlert('Error in Brand', 'error');
                        closeBtn.click();
                    }else if(response === 'error unit'){
                        sweetAlert('Error in Unit', 'error');
                        closeBtn.click();
                    }else if(response === 'error supplies'){
                        sweetAlert('Error in Supplies', 'error');
                        closeBtn.click();
                    }else{
                        sweetAlert('An Error Occured', 'error');
                        closeBtn.click();
                    }
                },
         
            });
        });
    });

</script>