<?php
// Save new event to the database
require_once('../../../database/dbcon.php');

$item_id = htmlspecialchars(trim($_POST['item_id']));
$pms_name = htmlspecialchars(trim($_POST['pms_name']));
$start_schedule = htmlspecialchars(trim($_POST['start_schedule']));
$orig_start_schedule = htmlspecialchars(trim($_POST['orig_start_schedule']));
$end_schedule = htmlspecialchars(trim($_POST['end_schedule']));
$assigned_to = htmlspecialchars(trim($_POST['assigned_to']));

// Convert the original start and end schedules to DateTime objects
$origStartDateTime = new DateTime($orig_start_schedule);
$endDateTime = new DateTime($end_schedule);

// Calculate the duration between the original start and end schedules
$interval = $origStartDateTime->diff($endDateTime);

// Convert the new start schedule to a DateTime object
$newStartDateTime = new DateTime($start_schedule);

// Add the duration to the new start schedule to get the new end schedule
$newEndDateTime = clone $newStartDateTime; // Clone to avoid modifying the original start date
$newEndDateTime->add($interval);

// Format the new end schedule as a string
$new_end_schedule = $newEndDateTime->format('Y-m-d');

$stmt = $conn1->prepare("
    INSERT INTO pms (pms_name, item_id, start_schedule, end_schedule, assigned_to) 
    VALUES (?, ?, ?, ?, ?)
    ON DUPLICATE KEY UPDATE 
        pms_name = VALUES(pms_name),
        start_schedule = VALUES(start_schedule),
        end_schedule = VALUES(end_schedule),
        assigned_to = VALUES(assigned_to)
");
$stmt->bind_param("sissi", $pms_name, $item_id, $start_schedule, $new_end_schedule, $assigned_to);
$stmt->execute();

echo "Event saved successfully";
$stmt->close();
$conn1->close();
?>
