<?php
require("../../resources/lib/fpdf186/fpdf.php");
require("../../database/dbcon.php");

function find_all($db, $table)
{
    global $conn;
    global $conn1;
    global $conn2;
    if ($db === "conn1") {
        $conn = $conn1;
    } else if ($db === "conn2") {
        $conn = $conn2;
    }

    $query = "SELECT * FROM " . $table;
    $result = $conn->query($query);
    if ($result->num_rows > 0) {
        $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
        $rows = null;
    }
    return $rows;
}

$item_id = isset($_GET['item_id']) ? $_GET['item_id'] : '';
$startDate = isset($_GET['start']) ? $_GET['start'] : '';
$endDate = isset($_GET['end']) ? $_GET['end'] : '';
$pms_id = isset($_GET['pms_id']) ? $_GET['pms_id'] : '';
$department_id = isset($_GET['department_id']) ? $_GET['department_id'] : '';


//Globa declarations
$GLOBALS['startDate'] = $startDate;
$GLOBALS['endDate'] = $endDate;

if ($item_id) {
    // Sanitize the item_id to prevent SQL injection
    $sanitizedItemId = $conn1->real_escape_string($item_id);

    // Prepare the first query
    $query = "
    SELECT 
        pms.*, 
        departments.department,
        categories.category,
        pms_plan.branch,
        pms_plan.position,
        pms_tasks.task_no,
        pms.id AS pmsID,
        items.id AS itemID, 
        pms_tasks.id AS taskID,  
        pms_plan.id AS planID,   
        departments.id AS deptID, 
        categories.id AS catID,
        COALESCE(users.fullname, CONCAT(users.firstname, ' ', users.lastname)) AS department_head,
        users.signature as dept_head_sig
    FROM pms 
    LEFT JOIN items ON pms.item_id = items.id 
    LEFT JOIN pms_tasks ON pms.id = pms_tasks.pms_id 
    LEFT JOIN pms_plan ON pms_tasks.plan_id = pms_plan.id
    LEFT JOIN departments ON pms_plan.department_id = departments.id
    LEFT JOIN categories ON pms.item_id = categories.id
    LEFT JOIN users ON users.department_id = departments.id AND users.privilege_id = (
        SELECT id FROM privileges WHERE privilege = 'DEPARTMENT HEAD'
    )
    WHERE pms.item_id = '$sanitizedItemId' AND pms.id = '$pms_id'";



    // Execute the query
    $result = $conn1->query($query);

    if ($result) {
        // Fetch all rows and store them in $rows array
        $rows = [];
        while ($data = $result->fetch_assoc()) {
            $rows[] = $data; // Store each row in the $rows array
        }

        // Now you can access the fetched rows
        foreach ($rows as $row) {
            // Example: echo $row['column_name'];
        }
    } else {
        // Handle query error
        echo "Error: " . $conn1->error;
    }

    // Now, retrieve questions from pms_questions where pms_id = $row['id']
    $queryQuestions = "
        SELECT id, questions 
        FROM pms_questions 
        WHERE pms_id = '{$row['id']}'
    ";


    // Execute the second query
    $resultQuestions = $conn1->query($queryQuestions);

    $questions = [];
    if ($resultQuestions) {
        // Fetch the questions and store them in the $questions array
        while ($question = $resultQuestions->fetch_assoc()) {
            $questions[] = $question;
        }

        foreach ($questions as $question) {
            // Example: echo $row['column_name'];
        }
    } else {
        // Handle query error
        echo "Error fetching questions: " . $conn1->error;
    }

    //Global declaration
    if((isset($row['branch']) && !empty($row['branch'])) && (isset($row['department']) && !empty($row['department']))){
        $GLOBALS['row']['department'] = "COMPASS ".ucwords($row['branch'])." | ".$row['department'];
    } else if(isset($row['department']) && !empty($row['department'])){
        $GLOBALS['row']['department'] = $row['department'];
    }  else {
        $GLOBALS['row']['department'] = "";
    }
    $GLOBALS['row']['taskID'] = $row['taskID'];
    $GLOBALS['row']['category'] = $row['category'];
    $GLOBALS['row']['position'] = $row['position'];
    $GLOBALS['row']['pms_description'] = $row['pms_description'];
    $GLOBALS['row']['department_head'] = $row['department_head'];
    $GLOBALS['row']['dept_head_sig'] = $row['dept_head_sig'];
    $GLOBALS['row']['task_no'] = $row['task_no'];


    $GLOBALS['questions'] = $questions;

    $GLOBALS['answered_by'] = "";
    $GLOBALS['answered_by_sig'] = "";

    // Prepare the second query to get items based on category_id
    // First query for items
    
    $queryItems = "
    SELECT 
        items.id as id,
        items.location,
        items.issued_to, 
        CONCAT(categories.code, '-', LPAD(items.code_id, 4 , '0')) AS propertyCode
    FROM items
    LEFT JOIN categories ON items.category_id = categories.id
    WHERE items.category_id = '$sanitizedItemId'
";

    $queryItems .= (isset($department_id) && !empty($department_id)) ? " AND items.department_id = $department_id" : "";

    // Execute the first query
    $resultItems = $conn1->query($queryItems);

    if ($resultItems) {
        // Fetch all rows and store them in the $items array
        $items = [];
        while ($item = $resultItems->fetch_assoc()) {
            $count = 1;
            foreach ($questions as $question) {
                // Prepare the SQL query
                $query = "SELECT is_checked, remarks, users.signature,
                COALESCE(users.fullname, CONCAT(users.firstname, ' ', users.lastname)) AS answered_by 
         FROM pms_answers 
         LEFT JOIN users ON pms_answers.answered_by = users.id
         WHERE question_id = ? 
         AND asset_id = ? 
         AND pms_id = ? 
         AND date_answered BETWEEN ? AND ?";


                // Prepare the statement
                if ($stmt = $conn1->prepare($query)) {
                    // Bind parameters
                    $stmt->bind_param("iiiss", $question['id'], $item['id'], $row['id'], $startDate, $endDate);

                    // Execute the statement
                    $stmt->execute();

                    // Store the result
                    $stmt->store_result();

                    // Fetch the answer
                    if ($stmt->num_rows > 0) {
                        $stmt->bind_result($is_checked, $remarks, $answered_by_signature, $answered_by);
                        $stmt->fetch();

                        // Map the is_checked value to a corresponding answer representation
                        switch ($is_checked) {
                            case 1:
                                $answer = "/";
                                break;
                            case 2:
                                $answer = "X";
                                break;
                            case 3:
                                $answer = "N/A";
                                break;
                            default:
                                $answer = ""; // If is_checked is not 1, 2, or 3
                                break;
                        }

                        // Store the answer and remarks in the item using the question ID as the key
                        $item["subunit" . $count] = $answer; // Store the answer
                        $item["remarks"] = $remarks; // Store the remarks
                        $item["answered_by"] = $answered_by; // Store the remarks
                        $GLOBALS['answered_by'] = $answered_by;
                        $item["answered_by_sig"] = $answered_by; // Store the remarks
                        $GLOBALS['answered_by_sig'] = $answered_by_signature;

                    } else {
                        // Default test data if no answer found
                        $item["subunit" . $count] = " "; // Default empty value
                        $item["remarks"] = ""; // Default empty remarks
                        $item["answered_by"] = ""; // Store the remarks



                    }

                    // Close the statement
                    $stmt->close();
                }

                $count++;
            }


            // Store each modified row in the $items array
            $items[] = $item;
        }
    } else {
        // Handle query error
        echo "Error fetching items: " . $conn1->error;
    }



    // Now you have $items and $questions arrays that you can work with

} else {
    // Handle query error
    echo "Error: Item ID not found!";
}

$GLOBALS['frequency'] = "";
switch ($row['frequency']) {
    case 'annually':
        $startDay = date('F jS', strtotime($row['start_schedule'])); // Full month name and day with suffix
        $endDay = date('F jS', strtotime($row['end_schedule'])); // Same format for end date

        $schedule = "Every year from (" . $startDay . " to " . $endDay . ")";
        $frequency = "yearly";
        $GLOBALS['frequency'] = $frequency;
        break;
    case 'yearly':
        $startDay = date('F jS', strtotime($row['start_schedule'])); // Full month name and day with suffix
        $endDay = date('F jS', strtotime($row['end_schedule'])); // Same format for end date

        $schedule = "Every year from (" . $startDay . " to " . $endDay . ")";
        $frequency = "yearly";
        $GLOBALS['frequency'] = $frequency;
        break;

    case 'semiannually':
        $frequency = "semiannually"; // Maintain semiannually as frequency
        $schedule = "Every 6 months from (" . date('F jS', strtotime($row['start_schedule'])) . " to " . date('F jS', strtotime($row['end_schedule'])) . ")";
        $GLOBALS['frequency'] = $frequency;
        break;

    case 'quarterly':
        $frequency = "quarterly"; // Maintain quarterly as frequency
        $schedule = "Every 3 months from (" . date('F jS', strtotime($row['start_schedule'])) . " to " . date('F jS', strtotime($row['end_schedule'])) . ")";
        $GLOBALS['frequency'] = $frequency;
        break;

    case 'bimonthly':
        $frequency = "bimonthly"; // Maintain bimonthly as frequency
        $schedule = "Every 2 months from (" . date('F jS', strtotime($row['start_schedule'])) . " to " . date('F jS', strtotime($row['end_schedule'])) . ")";
        $GLOBALS['frequency'] = $frequency;
        break;

    case 'monthly':
        $startDay = date('F jS', strtotime($row['start_schedule'])); // Day with suffix
        $endDay = date('F jS', strtotime($row['end_schedule'])); // Day with suffix

        if($row['freq_interval'] == 1){
            $frequency = "monthly";
        } else if($row['freq_interval'] == 2){
            $frequency = "bimonthly";
        } else if($row['freq_interval'] == 3){
            $frequency = "quarterly";
        } else if($row['freq_interval'] == 6){
            $frequency = "semiannually";
        }


        $schedule = "Every " . $row['freq_interval'] . " month/s from (" . $startDay . " to " . $endDay . ")";
        $GLOBALS['frequency'] = $frequency;
        break;

    case 'weekly':
        $frequency = "weekly"; // Maintain weekly as frequency
        $schedule = "Every week starting (" . date('F jS', strtotime($row['start_schedule']))  . ")";
        $GLOBALS['frequency'] = $frequency;
        break;

    default:
        $schedule = "";
        $frequency = "";
        $GLOBALS['frequency'] = $frequency;
        exit;
}


class PDF_MC_Table extends FPDF
{
    protected $widths;
    protected $aligns;

    function SetWidths($w)
    {
        // Set the array of column widths
        $this->widths = $w;
    }

    function SetAligns($a)
    {
        // Set the array of column alignments
        $this->aligns = $a;
    }

    function Row($data)
    {
        // Calculate the height of the row
        $nb = 0;
        for ($i = 0; $i < count($data); $i++)
            $nb = max($nb, $this->NbLines($this->widths[$i], $data[$i]));
        $h = 5 * $nb;
        // Issue a page break first if needed
        $this->CheckPageBreak($h);

        $this->SetDrawColor(128, 128, 128);

        // Draw the cells of the row
        for ($i = 0; $i < count($data); $i++) {
            $w = $this->widths[$i];
            $a = isset($this->aligns[$i]) ? $this->aligns[$i] : 'C';
            // Save the current position
            $x = $this->GetX();
            $y = $this->GetY();
            // Draw the border
            $this->Rect($x, $y, $w, $h, 'LR');
            // Print the text
            
            if($data[$i] == "/"){
                $this->SetFont('ZapfDingbats', '', 10);
                $this->MultiCell($w, 5, "3", 'LR', $a);
            } else {
                $this->SetFont('Arial', '', 10);
                $this->MultiCell($w, 5, $data[$i], 'LR', $a);
            }

            // Put the position to the right of the cell
            $this->SetXY($x + $w, $y);
        }
        // Go to the next line
        $this->Ln($h);
    }

    function Row_Subunit($data)
    {
        // Calculate the height of the row
        $nb = 0;
        for ($i = 0; $i < count($data); $i++)
            $nb = max($nb, $this->NbLines($this->widths[$i], $data[$i]));
        $h = 5 * $nb;
        // Issue a page break first if needed
        $this->CheckPageBreak($h);

        // Draw the cells of the row without the top border
        for ($i = 0; $i < count($data); $i++) {
            $w = $this->widths[$i];
            $a = isset($this->aligns[$i]) ? $this->aligns[$i] : 'C';
            // Save the current position
            $x = $this->GetX();
            $y = $this->GetY();

            if($i == 0 || $i == 1 || $i == 7){
                $this->SetDrawColor(255, 255, 255);

                $this->Rect($x, $y, $w, $h, 'F');
                $this->Line($x, $y, $x, $y + $h);
                // Right border
                $this->Line($x + $w, $y, $x + $w, $y + $h);
                // Bottom border
                $this->Line($x, $y + $h, $x + $w, $y + $h);

    
                // Print the text
                $this->MultiCell($w, 5, $data[$i], "LR", $a, true);
    
            } else {
                $this->SetDrawColor(255, 255, 255);

                $this->Rect($x, $y, $w, $h, 'DF');

                // Print the text
                $this->MultiCell($w, 5, $data[$i], "LRT", $a, true);
    
            }

            // Set the X position to the right of the cell
            $this->SetXY($x + $w, $y);
        }

        // Go to the next line
        $this->Ln($h);
    }



    function CheckPageBreak($h)
    {
        // Define the footer height
        $footerHeight = 60; // Adjust this value based on the height of your footer

        // If the height h would cause an overflow considering the footer, add a new page
        if ($this->GetY() + $h + $footerHeight > $this->PageBreakTrigger) {
            $this->AddPage($this->CurOrientation);

            // Optionally, reset Y position after adding a new page if needed
            $this->SetY($this->GetY());
        }
    }


    function NbLines($w, $txt)
    {
        // Compute the number of lines a MultiCell of width w will take
        if (!isset($this->CurrentFont))
            $this->Error('No font has been set');
        $cw = $this->CurrentFont['cw'];
        if ($w == 0)
            $w = $this->w - $this->rMargin - $this->x;
        $wmax = ($w - 2 * $this->cMargin) * 1000 / $this->FontSize;
        $s = str_replace("\r", '', (string)$txt);
        $nb = strlen($s);
        if ($nb > 0 && $s[$nb - 1] == "\n")
            $nb--;
        $sep = -1;
        $i = 0;
        $j = 0;
        $l = 0;
        $nl = 1;
        while ($i < $nb) {
            $c = $s[$i];
            if ($c == "\n") {
                $i++;
                $sep = -1;
                $j = $i;
                $l = 0;
                $nl++;
                continue;
            }
            if ($c == ' ')
                $sep = $i;
            $l += $cw[$c];
            if ($l > $wmax) {
                if ($sep == -1) {
                    if ($i == $j)
                        $i++;
                } else
                    $i = $sep + 1;
                $sep = -1;
                $j = $i;
                $l = 0;
                $nl++;
            } else
                $i++;
        }
        return $nl;
    }

    protected $extgstates = array();

    // alpha: real value from 0 (transparent) to 1 (opaque)
    // bm:    blend mode, one of the following:
    //          Normal, Multiply, Screen, Overlay, Darken, Lighten, ColorDodge, ColorBurn,
    //          HardLight, SoftLight, Difference, Exclusion, Hue, Saturation, Color, Luminosity
    function SetAlpha($alpha, $bm = 'Normal')
    {
        // set alpha for stroking (CA) and non-stroking (ca) operations
        $gs = $this->AddExtGState(array('ca' => $alpha, 'CA' => $alpha, 'BM' => '/' . $bm));
        $this->SetExtGState($gs);
    }

    function AddExtGState($parms)
    {
        $n = count($this->extgstates) + 1;
        $this->extgstates[$n]['parms'] = $parms;
        return $n;
    }

    function SetExtGState($gs)
    {
        $this->_out(sprintf('/GS%d gs', $gs));
    }

    function _enddoc()
    {
        if (!empty($this->extgstates) && $this->PDFVersion < '1.4')
            $this->PDFVersion = '1.4';
        parent::_enddoc();
    }

    function _putextgstates()
    {
        for ($i = 1; $i <= count($this->extgstates); $i++) {
            $this->_newobj();
            $this->extgstates[$i]['n'] = $this->n;
            $this->_put('<</Type /ExtGState');
            $parms = $this->extgstates[$i]['parms'];
            $this->_put(sprintf('/ca %.3F', $parms['ca']));
            $this->_put(sprintf('/CA %.3F', $parms['CA']));
            $this->_put('/BM ' . $parms['BM']);
            $this->_put('>>');
            $this->_put('endobj');
        }
    }

    function _putresourcedict()
    {
        parent::_putresourcedict();
        $this->_put('/ExtGState <<');
        foreach ($this->extgstates as $k => $extgstate)
            $this->_put('/GS' . $k . ' ' . $extgstate['n'] . ' 0 R');
        $this->_put('>>');
    }

    function _putresources()
    {
        $this->_putextgstates();
        parent::_putresources();
    }

    function Header()
    {
        $this->Image("../../resources/img/compass-main-logo.png", 5, 5, 52);
        $this->SetFont('Arial', 'I', 6);
        $this->SetXY(128, 8);
        $this->Cell(72, 4, "Doc ID: ADD-02F3", 0, 0, "R");
        $this->SetXY(128, 10);
        $this->Cell(72, 4, "Revision No.: 0", 0, 0, "R");
        $this->SetXY(128, 12);
        $this->Cell(72, 4, "Date Approved: 07-Oct-2023", 0, 0, "R");
        $this->SetXY(128, 14);
        $this->Cell(72, 4, "Internal", 0, 0, "R");
        $this->SetFont('Arial', 'B', 12);
        $this->Ln(6);
        $this->Cell(0, 10, 'PREVENTIVE MAINTENANCE CHECKLIST', 0, 1, 'C');
        $this->Ln(2);
        $this->SetDrawColor(0, 146, 240);
        $this->Line(10, $this->GetY() - 2, 200, $this->GetY() - 2);
        $this->Ln(1);

        // General Info Section
        // Set fill color to RGB (132, 184, 227)
        $this->SetFillColor(132, 184, 227);

        $this->SetDrawColor(128, 128, 128);

        // Branch and Department row
        $this->SetFont('Arial', '', 9);
        $this->Cell(67, 7, 'Branch and Department', 1, 0, '', true); // fill enabled
        

        $this->SetDrawColor(128, 128, 128);
        $this->Cell(123, 7, $GLOBALS['row']["department"], 1, 1, ''); // fill enabled

        // Infrastructure/Equipment row
        $this->SetDrawColor(255, 255, 255);
        $this->Cell(67, 7, 'Infrastructure/Equipment', 1, 0, '', true); // fill enabled

        $this->SetDrawColor(128, 128, 128);
        $this->Cell(123, 7, $GLOBALS['row']['category'], 1, 1, ''); // fill enabled

        // Responsible Personnel row
        $this->SetDrawColor(255, 255, 255);
        $this->Cell(67, 7, 'Responsible Personnel', 1, 0, '', true); // fill enabled

        $this->SetDrawColor(128, 128, 128);
        $this->Cell(123, 7, strtoupper($GLOBALS['row']['position']), 1, 1, ''); // fill enabled

        // Frequency row
        $this->SetDrawColor(255, 255, 255);
        $this->Cell(67, 7, 'Frequency', 1, 0, '', true); // fill enabled

        $this->SetDrawColor(128, 128, 128);
        $this->Cell(123, 7, strtoupper($GLOBALS['frequency']), 1, 1, ''); // fill enabled

        // Date(s) Conducted row
        $this->SetDrawColor(255, 255, 255);
        $this->Cell(67, 7, 'Date(s) Conducted', 1, 0, '', true); // fill enabled

        $this->SetDrawColor(128, 128, 128);
        $this->Line($this->GetX() - 67, $this->GetY() + 7, $this->GetX() + 123, $this->GetY() + 7); // Draw bottom border for the first row


        $this->SetDrawColor(128, 128, 128);
        $this->Cell(123, 7, $GLOBALS['startDate'] . " to " . $GLOBALS['endDate'], 1, 1, ''); // fill enabled

        $this->SetDrawColor(128, 128, 128);

        $this->Line($this->GetX(), $this->GetY()-28, $this->GetX(), $this->GetY()); // Draw bottom border for the first row


        // Add some space after the last row
        $this->Ln(3.5);

        // Header with merged "Task No." and reduced height
        $this->SetFont('Arial', '', 9);
        $this->SetDrawColor(128, 128, 128);

        $x = $this->GetX();  // Get current X position
        $y = $this->GetY() + 14;  // Move Y position upwards by 3.5 units

        // Header for Property Code, Location, Task No.
        // Use MultiCell for Property Code
        $this->SetDrawColor(255, 255, 255);

        $this->Cell(22.3, 7, " ", "LTR", 0, 'C', true); // Added border


        // Move to the next line for the remaining headers
        $this->SetXY($this->GetX(), $this->GetY()); // Set cursor to the beginning of the line
        $this->Cell(22.3, 7, " ", "LTR", 0, 'C', true); // Added border

        $this->SetDrawColor(128, 128, 128);
        $this->SetFillColor(0, 112, 192);
        $this->SetTextColor(255, 255, 255);

        $this->SetDrawColor(255, 255, 255);
        $this->Cell(111.5, 7, "Task No. ".$GLOBALS['row']['task_no'] .": ". $GLOBALS['row']['pms_description'], 1, 0, 'L', true); // Updated height to match

        $this->SetFillColor(132, 184, 227);
        $this->SetTextColor(0, 0, 0);

        // Use a regular Cell for Recommendation | Remarks to keep alignment
        $this->MultiCell(33.8, 3.5, "\n\n", "LTR", 'C', true); // Added border


        // Assuming $questions is your array containing associative arrays of questions
        $subunitCount = 5; // Fixed number of subunits
        $subunitWidth = 22.3; // Width for each subunit


        $this->SetFont('Arial', '', 9);

        // Set the initial position for the row

        $this->SetXY($x, $y);  // Adjust Y position upward


        // Limit loop to 5 subunits
        $rowData = ["", ""];
        for ($i = 0; $i < min(5, $subunitCount); $i++) {
            if (isset($GLOBALS['questions'][$i]) && is_array($GLOBALS['questions'][$i]) && isset($GLOBALS['questions'][$i]['questions'])) {
                $questionText = $GLOBALS['questions'][$i]['questions'];
                // Store the question text in the rowData array for this column
                $rowData[] = $questionText;
            } else {
                // Handle case where question is not as expected
                $rowData[] = "N/A"; // Optional: default value
            }
        }

        $rowData[] = "";

        // Set new position for the subunit questions
        $this->SetXY($x, $y - 7);  // Move further up if needed
        $this->SetWidths(array(22.3, 22.3, 22.3, 22.3, 22.3, 22.3, 22.3, 33.8)); // Set column widths

        // Add the row using the Row function, specifying the row height
        $this->Row_Subunit($rowData, 7); // Now the row will be positioned higher

        $this->SetXY($this->GetX(), $this->GetY() - 9);
        $this->MultiCell(22.3, 3.5, "Property\nCode", "LR", 'C', true); // Added border with multi-line
        $this->SetXY($this->GetX() + 22.3, $this->GetY() - 7);
        $this->Cell(22.3, 7, "Location", "LR", 0, 'C', true); // Added border
        $this->SetXY($this->GetX() + (22.3 * 5), $this->GetY());
        $this->MultiCell(33.8, 3.5, "Recommendation\n| Remarks", "LR", 'C', true); // Added border with multi-line
        $this->Ln(2); // Move to the next line for the options

    }

    function Footer()
    {
        // Move the footer upwards by setting a higher Y position
        $this->SetY(-82); // Adjust this value to move the footer higher (the higher the number, the more it moves up)

        // Set font for the note text (italicized)
        $this->SetFont('Arial', 'I', 9);

        // Bold "Note:" and italicize the entire content
        $this->SetFont('Arial', 'BI', 9); // Bold and Italic for "Note:"
        $this->Write(4, "Note: "); // Display the word "Note:" in bold italic

        // Set font for the entire content (italicized)
        $this->SetFont('Arial', 'I', 9); // Italicized for the rest of the content

        // Write the initial part of the note up to the word "standard"
        $note_start = "For further guidance on the proper execution of the specified maintenance task(s), please refer to the standard ";
        $this->Write(4, $note_start); // Display the first part in italic

        // Bold and Italic for "Preventive Maintenance Plan"
        $this->SetFont('Arial', 'BI', 9);
        $this->Write(4, "Preventive Maintenance Plan "); // Display "Preventive Maintenance Plan" in bold and italic

        // Continue the rest of the sentence in Italic
        $this->SetFont('Arial', 'I', 9);
        $note_end = "for the aforementioned equipment or infrastructure.";
        $this->Write(4, $note_end); // Display the rest of the sentence in italic

        // Add the note below the subunits
        $this->Ln(7); // Add some space before the note

        // Set font for the note text (italicized)
        $this->SetFont('Arial', 'I', 9);

        // Bold "Legends:" and italicize the entire content
        $this->SetFont('Arial', 'BI', 9); // Bold and Italic for "Legends:"
        $this->Write(4, "Legends: "); // Display the word "Legends:" in bold italic

        $this->Ln(4); // Move to the next line for the options

        // Define options for the checkboxes
        $options = [
            "In Good Condition",
            "For Repair",
            "Not Applicable"
        ];

        // Add two rows of checkboxes (3 checkboxes in each row)
        $this->SetFont('Arial', '', 9); // Normal font for the options

        // First Row
        $mark = "";

        // First Row
        foreach ($options as $option) {
            // Display an empty square as a checkbox using the Unicode character
            switch ($option) {
                case 'In Good Condition':
                    $mark = "/";
                    break;
                case 'For Repair':
                    $mark = "X";
                    break;
                case 'Not Applicable':
                    $mark = "N/A";
                    break;
                default:
                    $mark = " ";
                    break;
            }
            if (isset($mark) && $mark == "/"){
                $this->SetFont('ZapfDingbats', '', 10);
                $this->Cell(12, 4, "3", 1, 0, 'C'); // This creates an empty square checkbox

            } else {
                $this->SetFont('Arial', '', 10);
                $this->Cell(12, 4, $mark, 1, 0, 'C'); // This creates an empty square checkbox
            }
            $this->SetFont('Arial', '', 10);
            $this->Cell(51.4, 4, $option, 1, 0, 'L'); // Add the option label next to the checkbox
        }

        $this->Ln(8); // Move to the next line for the options

        // Set font for the entire content (italicized)
        $this->SetFont('Arial', 'I', 9); // Italicized for the general content

        // Write the initial part of the note before "Status Report"
        $note_start = "Create a ";
        $this->Write(4, $note_start); // Display the first part in italic

        // Set font for "Status Report" (bold and italic)
        $this->SetFont('Arial', 'BI', 9); // Bold and Italic
        $this->Write(4, "Status Report "); // Display "Status Report" in bold and italic

        // Continue the rest of the sentence in Italic
        $this->SetFont('Arial', 'I', 9); // Italicized for the rest of the content
        $note_end = "if a specific piece of equipment or infrastructure needs to be repaired or is not functioning properly during the conduct of preventive maintenance.";
        $this->Write(4, $note_end); // Display the remaining part in italic

        // Add some vertical space
        $this->Ln(12);

        $TEMPIMGLOC1 = 'tempimg1.png';

        if (isset($GLOBALS['answered_by_signature']) && !empty($GLOBALS['answered_by_signature'])) {
            $dataURI1 = isset($GLOBALS['answered_by_signature']) ? $GLOBALS['answered_by_signature'] : "";
            $dataPieces1 = explode(',', $dataURI1);
            $encodedImg1 = isset($dataPieces1[1]) ? $dataPieces1[1] : '';
            $decodedImg1 = base64_decode($encodedImg1);

            if ($decodedImg1 !== false) {
                if (file_put_contents($TEMPIMGLOC1, $decodedImg1) !== false) {

                    $this->Image($TEMPIMGLOC1, 48, 240, 0, 15);
                    unlink($TEMPIMGLOC1); // Delete image from server
                }
            }
        }

        $TEMPIMGLOC2 = 'tempimg2.png';

        if (isset($GLOBALS['row']['dept_head_sig']) && !empty($GLOBALS['row']['dept_head_sig'])) {
            $dataURI = isset($GLOBALS['row']['dept_head_sig']) ? $GLOBALS['row']['dept_head_sig'] : "";
            $dataPieces = explode(',', $dataURI);
            $encodedImg = isset($dataPieces[1]) ? $dataPieces[1] : '';
            $decodedImg = base64_decode($encodedImg);

            if ($decodedImg !== false) {
                if (file_put_contents($TEMPIMGLOC2, $decodedImg) !== false) {

                    $this->Image($TEMPIMGLOC2, 130, 245, 0, 15);
                    unlink($TEMPIMGLOC2); // Delete image from server
                }
            }
        }

        // Set font for Conducted by and Noted by (normal)
        $this->SetFont('Arial', '', 9);

        // Left side - "Conducted by:"
        $this->Cell(95, 5, "Conducted by: " . str_pad($GLOBALS['answered_by'], 58 - (strlen($GLOBALS['answered_by']) / 1.2), ' ', STR_PAD_BOTH), 0, 0, 'L'); // 95 width aligns it to the left
        $this->Line($this->GetX() - 73, $this->GetY() + 5, $this->GetX() - 20, $this->GetY() + 5); // Draw a line under "Conducted by"

        // Right side - "Noted by:"
        $this->Cell(95, 5, "Noted by: " . str_pad($GLOBALS['row']['department_head'], 58 - (strlen($GLOBALS['row']['department_head']) / 1.2), ' ', STR_PAD_BOTH), 0, 0, 'L'); // 95 width aligns it to the right
        $this->Line($this->GetX() - 80, $this->GetY() + 5, $this->GetX() - 27, $this->GetY() + 5); // Draw a line under "Noted by"

        // Add more vertical space for signatures (if necessary)
        $this->Ln(20);

        // Add logo image
        $this->SetAlpha(0.3); // Set transparency for the logo
        $this->Image("../../resources/img/footer-logo.png", 130, 213, 80); // Adjusted Y position of the logo
        $this->SetAlpha(1); // Reset transparency
        $this->SetFont('Arial', 'I', 8);
        $series = "PMC-".date("Y").'-'.$GLOBALS['row']['taskID'];
        $this->Cell(20, 10, $series, 0, 0, 'C');


    }
}



$pdf = new PDF_MC_Table();
$pdf->AddPage();

$pdf->SetWidths(array(22.3, 22.3, 22.3, 22.3, 22.3, 22.3, 22.3, 33.8)); // Set column widths

// Loop through the items array and output each row
foreach ($items as $item) {
    // Prepare the data for each row in the correct order
    $rowData = [
        $item['propertyCode'], // First column
        $item['location']."\n".$item['issued_to'],      // Second column
        $item['subunit1'] ?? "", // Third column (for subunit1)
        $item['subunit2'] ?? "", // Fourth column (for subunit2)
        $item['subunit3'] ?? "", // Fifth column (for subunit3)
        $item['subunit4'] ?? "", // Sixth column (for subunit4)
        $item['subunit5'] ?? "", // Seventh column (for subunit5)
        $item['remarks'] ?? ""     // Eighth column
    ];

    // Fill the subunits based on the questions
    foreach ($questions as $question) {
        $questionId = $question['id'];
        // Store the answer in the appropriate subunit
        if (isset($item[$questionId])) {
            $rowData[$questionId - 1 + 2] = $item[$questionId]; // Adjust index for subunits
        }
    }

    $pdf->Row($rowData, 3.5);
}





// Output the PDF
$pdf->Output();
