<?php
// Include your database connection
include('../../../database/dbcon.php');

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Collect form data
    $pms_id = $_POST['pms_id'] ?? '';
    $department_id = $_POST['department_id'] ?? '';
    $branch = $_POST['branch'] ?? '';  // Fixed typo from 'bramch' to 'branch'
    $type = $_POST['type'] ?? '';  // Type field (from radio buttons)
    $specify = $_POST['specify'] ?? '';  // Specify field for "Others"
    $position = $_POST['position'] ?? '';
    $supplier = $_POST['supplier'] ?? '';
    $property_id = $_POST['property_id'] ?? '';
    $prepared_by = $_POST['prepared_by'] ?? '';
    $approved_by = $_POST['approved_by'] ?? '';
    // $pms_ids = $_POST['pms_id'] ?? [];  // Array of pms_id[] from the form

    // Validate required fields
    if (empty($department_id) || empty($branch) || empty($type) || empty($position) || empty($prepared_by) || empty($approved_by) || empty($property_id)) {
        echo "Error: All required fields must be filled.";
        exit;
    }

    // Insert into pms_plan
    $query = "INSERT INTO pms_plan (department_id, branch, type, specify_type, position, supplier, prepared_by, approved_by, property_id)
              VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)";

    // Prepare and execute the query for pms_plan
    if ($stmt = $conn1->prepare($query)) {
        // Bind the parameters for pms_plan
        $stmt->bind_param(
            'isssssiii',
            $department_id,
            $branch,
            $type,
            $specify,
            $position,
            $supplier,
            $prepared_by,
            $approved_by,
            $property_id,
            // $pms_id
        );

        // Execute the statement for pms_plan
        if ($stmt->execute()) {
            // // Get the last inserted ID for pms_plan (plan_id)
            // $plan_id = $conn1->insert_id; // Retrieve the last inserted plan ID

            // // Prepare the task insertion query
            // $task_query = "INSERT INTO pms_tasks(plan_id) VALUES (?)";
            
            // // Prepare the statement
            // $check_stmt = $conn1->prepare($task_query);
            
            // // Bind the plan_id to the query
            // $check_stmt->bind_param('i', $plan_id);
            
            // // Execute the query
            // $check_stmt->execute();
            
            // // Close the statement
            // $check_stmt->close();

            //                 $check_stmt->execute();
            // // Insert into pms_tasks for each pms_id in pms_id[]
            // if (!empty($pms_ids)) {
            //     // Query to insert a new task into pms_tasks
            //     $task_query = "INSERT INTO pms_tasks (task_no, plan_id, pms_id) VALUES (?, ?, ?)";

            //     if ($task_stmt = $conn1->prepare($task_query)) {
            //         // Loop through each pms_id and check for existing tasks
            //         foreach ($pms_ids as $pms_id) {
            //             // First, check the highest task_no for the given pms_id and plan_id
            //             $check_query = "SELECT MAX(task_no) AS max_task_no FROM pms_tasks WHERE pms_id = ? AND plan_id = ?";
            //             if ($check_stmt = $conn1->prepare($check_query)) {
            //                 // Bind pms_id and plan_id for checking
            //                 $check_stmt->bind_param('ii', $pms_id, $plan_id);
            //                 $check_stmt->execute();
            //                 $check_stmt->bind_result($max_task_no);
            //                 $check_stmt->fetch();
            //                 $check_stmt->close();

            //                 // If there's no existing task, start task_no from 1, otherwise increment by 1
            //                 $task_no = ($max_task_no !== null) ? $max_task_no + 1 : 1;

            //                 // Now insert the new task with the incremented task_no
            //                 $task_stmt->bind_param('iii', $task_no, $plan_id, $pms_id);
            //                 $task_stmt->execute();
            //             } else {
            //                 echo "Error: Could not prepare the query to check task_no.";
            //             }
            //         }
            //         $task_stmt->close();
            //     } else {
            //         echo "Error: Could not prepare the query for pms_tasks.";
            //     }
            // }


            echo "PMS Plan and tasks successfully added.";
        } else {
            echo "Error: Could not execute the query for pms_plan.";
        }

        $stmt->close();
    } else {
        echo "Error: Could not prepare the query for pms_plan.";
    }

    // Close the database connection
    $conn1->close();
} else {
    echo "Invalid request.";
}
