<?php
include('../../../database/dbcon.php');

// Check connection
if (!$conn1) {
    die("Connection failed: " . mysqli_connect_error());
}

// Retrieve form data (assuming you're receiving this data via POST request)
$planID = isset($_POST['plan_id']) && !empty($_POST['plan_id']) ? $_POST['plan_id'] : null;
$department_id = isset($_POST['department_id']) && !empty($_POST['department_id']) ? $_POST['department_id'] : null;
$branch = isset($_POST['branch']) && !empty($_POST['branch']) ? $_POST['branch'] : null;
$type = isset($_POST['type']) && !empty($_POST['type']) ? $_POST['type'] : null;
$position = isset($_POST['position']) && !empty($_POST['position']) ? $_POST['position'] : null;
$supplier = isset($_POST['supplier']) && !empty($_POST['supplier']) ? $_POST['supplier'] : null;
$prepared_by = isset($_POST['prepared_by']) && !empty($_POST['prepared_by']) ? $_POST['prepared_by'] : null;
$approved_by = isset($_POST['approved_by']) && !empty($_POST['approved_by']) ? $_POST['approved_by'] : null;
$specify = isset($_POST['specify']) && !empty($_POST['specify']) ? $_POST['specify'] : null; // If 'others' type is selected
$pms_ids = isset($_POST['pms_id']) && !empty($_POST['pms_id']) ? $_POST['pms_id'] : null; // Retrieve the array of PMS IDs

// Escape input data for security
$planID = mysqli_real_escape_string($conn1, $planID);
$department_id = mysqli_real_escape_string($conn1, $department_id);
$branch = mysqli_real_escape_string($conn1, $branch);
$type = mysqli_real_escape_string($conn1, $type);
$position = mysqli_real_escape_string($conn1, $position);
$supplier = mysqli_real_escape_string($conn1, $supplier);
$prepared_by = mysqli_real_escape_string($conn1, $prepared_by);
$approved_by = mysqli_real_escape_string($conn1, $approved_by);
$specify = mysqli_real_escape_string($conn1, $specify);

if (isset($_SESSION['privilege']) && !empty($_SESSION['privilege']) && ($_SESSION['privilege'] == "DPEARTMENT HEAD")) {
    $sql = "UPDATE pms_plan SET 
    department_id = '$department_id',
    branch = '$branch',
    type = '$type',
    position = '$position',
    supplier = '$supplier',
    prepared_by = '$prepared_by',
    approved_by = '$approved_by',
    specify_type = '$specify'
    WHERE id = '$planID'";
} else {
    $sql = "UPDATE pms_plan SET 
    department_id = '$department_id',
    branch = '$branch',
    type = '$type',
    position = '$position',
    supplier = '$supplier',
    prepared_by = '$prepared_by',
    specify_type = '$specify'
    WHERE id = '$planID'";}
// Construct the UPDATE query for the PMS plan

// Execute the update query
if (mysqli_query($conn1, $sql)) {
    // Clear existing PMS tasks for this plan
    $delete_sql = "DELETE FROM pms_tasks WHERE plan_id = '$planID'";
    mysqli_query($conn1, $delete_sql);

    // Insert new PMS tasks
    if (!empty($pms_ids)) {
        foreach ($pms_ids as $pms_id) {
            $pms_id = mysqli_real_escape_string($conn1, $pms_id);
            $insert_sql = "INSERT INTO pms_tasks (plan_id, pms_id) VALUES ('$planID', '$pms_id')";
            mysqli_query($conn1, $insert_sql);
        }
    }

    echo json_encode(["status" => "success", "message" => "PMS plan updated successfully."]);
} else {
    echo json_encode(["status" => "error", "message" => "Error updating record: " . mysqli_error($conn1)]);
}

// Close the connection
mysqli_close($conn1);
