<?php
require("../../../resources/lib/fpdf186/fpdf.php");
require("../../../database/dbcon.php");

// Function to fetch all rows from the database table
function find_all($db, $table)
{
    global $conn;
    global $conn1;
    global $conn2;

    // Select the appropriate database connection
    if ($db === "conn1") {
        $conn = $conn1;
    } else if ($db === "conn2") {
        $conn = $conn2;
    }

    // Query to fetch all rows from the table
    $query = "SELECT * FROM " . $table;
    $result = $conn->query($query);

    // If there are rows in the result set, fetch them as an associative array
    if ($result && $result->num_rows > 0) {
        $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
        $rows = null;
    }
    return $rows;
}

$item_id = $_GET['item_id'];
$pms_plan_id = $_GET['id'];

$all_questions = find_all('conn1', 'pms_questions');
$pms_task = $conn1->query('SELECT * FROM pms_tasks LEFT JOIN pms_plan ON pms_tasks.plan_id = pms_plan.id WHERE plan_id=' . $pms_plan_id);
$taskPms = $pms_task->fetch_assoc();



$sql = $conn1->query('SELECT *
FROM pms 
LEFT JOIN categories ON pms.item_id = categories.id 
LEFT JOIN departments ON pms.assigned_to = departments.id 
WHERE pms.item_id =' . $item_id
);

$row = $sql->fetch_assoc();
// var_dump($row);
$tasks = $conn1->query('SELECT * FROM pms WHERE item_id =' . $item_id);

$prepared_by = $conn1->query("SELECT * FROM users WHERE users.id = '" . $taskPms['prepared_by'] . "'");
$sig = $prepared_by->fetch_assoc();


$approved_by = $conn1->query("SELECT * FROM users WHERE users.id = '" . $taskPms['approved_by'] . "'") ;
$sig1 = $approved_by->fetch_assoc();


$id = $taskPms['pms_id']  ?? '';
$GLOBALS['id'];
$GLOBALS['sig'];
$GLOBALS['sig1'];
$GLOBALS['row'];
$GLOBALS['taskPms'];


// Extending the FPDF class to customize the header and footer
class PDF_MC_Table extends FPDF
{
    // Custom Header function
    function Header()
    {
        // Add logo image
        $this->Image("../../../resources/img/compass-main-logo.png", 5, 5, 52);

        // Set font for the document information
        $this->SetFont('Arial', 'I', 6);

        // Add document metadata in the header (aligned to the right)
        $this->SetXY(128, 8);
        $this->Cell(72, 4, "Doc ID: ADD-02F3", 0, 0, "R");
        $this->SetXY(128, 10);
        $this->Cell(72, 4, "Revision No.: 0", 0, 0, "R");
        $this->SetXY(128, 12);
        $this->Cell(72, 4, "Date Approved: 07-Oct-2023", 0, 0, "R");
        $this->SetXY(128, 14);
        $this->Cell(72, 4, "Internal", 0, 0, "R");

        // Add main title
        $this->SetFont('Arial', 'B', 12);
        $this->Ln(6);
        $this->Cell(0, 10, 'PREVENTIVE MAINTENANCE PLAN', 0, 1, 'C');
        $this->Ln(2);

        // Draw a line under the header
        $this->SetDrawColor(0, 176, 240);
        $this->Line(10, $this->GetY() - 2, 200, $this->GetY() - 2);
        $this->Ln(1);
 


        $this->SetFont('Arial', '', 10);
        $this->SetFillColor(132, 184, 227);
        $this->SetDrawColor(128, 128, 128);
        $this->SetXY(10, 33);
        $this->MultiCell(69, 7, 'Branch and Department', 1, 1, true);
        $this->SetXY(10, 40);
        $this->MultiCell(69, 7, 'Infrastracture | Property', 1, 1, true);
        $this->SetXY(10, 47);
        $this->MultiCell(69, 7, 'Life Span', 1, 1, true);
        $this->SetXY(10, 54);
        $this->MultiCell(69, 7, 'Type', 1, 1, true);
        $this->SetXY(10, 61);
        $this->MultiCell(69, 7, 'Responsible Personnel (Position)', 1, 1, true);
        $this->SetXY(10, 68);
        $this->MultiCell(69, 7, 'Supplier to Calibrate (if Applicable)', 1, 1, true);

        $this->SetDrawColor(255, 255, 255);
            $this->SetXY(10,33);
            $this->Line(10,40,80,40);
            $this->Line(10,47,80,47);
            $this->Line(10,54,80,54);
            $this->Line(10,61,80,61);
            $this->Line(10,68,80,68);


            $this->SetDrawColor(128, 128, 128);
        // this is where the data plotted 
        $this->SetXY(79, 33);
        $this->MultiCell(121, 7, isset($GLOBALS['taskPms']['branch']) && isset($GLOBALS['row']['department']) && !empty($GLOBALS['taskPms']['branch']) && !empty($GLOBALS['row']['department']) ? 'COMPASS ' . ucfirst($GLOBALS['taskPms']['branch']) . ' | ' . $GLOBALS['row']['department'] : 'N/A', 1, 1);
        $this->SetXY(79, 40);
        $this->MultiCell(121, 7, isset($GLOBALS['row']['category']) && !empty($GLOBALS['row']['category']) ? $GLOBALS['row']['category'] : 'N/A', 1, 1);
        $this->SetXY(79, 47);
        $this->MultiCell(121, 7, isset($GLOBALS['row']['life_expectancy']) && !empty($GLOBALS['row']['life_expectancy']) ? $GLOBALS['row']['life_expectancy'] . ' years' : 'N/A', 1, 1);

        /// TYPE
        $this->SetXY(79, 54);
        $this->MultiCell(121, 7, str_pad('Maintenance', 17, " ", STR_PAD_LEFT) . str_pad('Calibration', 27, " ", STR_PAD_LEFT) . str_pad('Others:', 26, " ", STR_PAD_LEFT), 1, 1);
        $this->SetFont('Arial', '', 8);
        $this->Text(175, 58.5, !empty($GLOBALS['taskPms']['specify_type']) ? $GLOBALS['taskPms']['specify_type'] : ' ','C');
        $this->SetFont('Arial', '', 10);
        $this->SetFont('ZapfDingbats', '', 10);


        $this->SetXY(80, 54);
        $this->Cell(10, 7, isset($GLOBALS['taskPms']['type']) && $GLOBALS['taskPms']['type'] == 'maintenance' ? "3" : "\x71", 0);

        $this->SetXY(115, 54);
        $this->Cell(10, 7, isset($GLOBALS['taskPms']['type']) && $GLOBALS['taskPms']['type'] == 'calibration' ? "3" : "\x71", 0);

        $this->SetXY(150, 54);
        $this->Cell(10, 7, isset($GLOBALS['taskPms']['type']) && $GLOBALS['taskPms']['type'] == 'others' ? "3" : "\x71", 0);


        $this->SetDrawColor(0, 0, 0);

        $this->Line(170, 60, 198, 60);
        $this->SetDrawColor(128, 128, 128);



        $this->SetFont('Arial', '', 10);
        $this->SetXY(79, 61);
        $this->MultiCell(121, 7, !empty($GLOBALS['taskPms']['position']) ? $GLOBALS['taskPms']['position'] : 'N/A', 1, 1);
        $this->SetXY(79, 68);
        $this->MultiCell(121, 7, !empty($GLOBALS['taskPms']['supplier']) ? $GLOBALS['taskPms']['supplier'] : 'N/A', 1, 1);

        //maintenance task
        $this->SetFillColor(0, 117, 187); // Set fill color
        $this->SetTextColor(255, 255, 255); // Set text color
        $this->SetXY(10, 80); // Position for the first cell
        $this->MultiCell(130, 7, 'Maintenance Task', 1, 'C', 1); // Adjust width to 60
        $this->SetXY(140, 80); // Move X to 70 (10 + 60) to position the next cell after the first
        $this->MultiCell(30, 7, 'Frequency', 1, 'C', 1); // Adjust width to 60
        $this->SetXY(170, 80); // Move X to 130 (10 + 60 + 60) to position the next cell after the second
        $this->MultiCell(30, 7, 'Schedule', 1, 'C', 1); // Adjust width to 60
        $this->SetTextColor(0, 0, 0); // Set text color

        $this->SetDrawColor(255, 255, 255);
        $this->Line(140,90,140,80);
        $this->Line(170,90,170,80);

        
    }
    protected $extgstates = array();

    // alpha: real value from 0 (transparent) to 1 (opaque)
    // bm:    blend mode, one of the following:
    //          Normal, Multiply, Screen, Overlay, Darken, Lighten, ColorDodge, ColorBurn,
    //          HardLight, SoftLight, Difference, Exclusion, Hue, Saturation, Color, Luminosity
    function SetAlpha($alpha, $bm = 'Normal')
    {
        // set alpha for stroking (CA) and non-stroking (ca) operations
        $gs = $this->AddExtGState(array('ca' => $alpha, 'CA' => $alpha, 'BM' => '/' . $bm));
        $this->SetExtGState($gs);
    }



    function AddExtGState($parms)
    {
        $n = count($this->extgstates) + 1;
        $this->extgstates[$n]['parms'] = $parms;
        return $n;
    }

    function SetExtGState($gs)
    {
        $this->_out(sprintf('/GS%d gs', $gs));
    }

    function _enddoc()
    {
        if (!empty($this->extgstates) && $this->PDFVersion < '1.4')
            $this->PDFVersion = '1.4';
        parent::_enddoc();
    }

    function _putextgstates()
    {
        for ($i = 1; $i <= count($this->extgstates); $i++) {
            $this->_newobj();
            $this->extgstates[$i]['n'] = $this->n;
            $this->_put('<</Type /ExtGState');
            $parms = $this->extgstates[$i]['parms'];
            $this->_put(sprintf('/ca %.3F', $parms['ca']));
            $this->_put(sprintf('/CA %.3F', $parms['CA']));
            $this->_put('/BM ' . $parms['BM']);
            $this->_put('>>');
            $this->_put('endobj');
        }
    }

    function _putresourcedict()
    {
        parent::_putresourcedict();
        $this->_put('/ExtGState <<');
        foreach ($this->extgstates as $k => $extgstate)
            $this->_put('/GS' . $k . ' ' . $extgstate['n'] . ' 0 R');
        $this->_put('>>');
    }
    // function WordWrap(&$text, $maxwidth)
    // {
    //     $text = trim($text);
    //     if ($text==='')
    //         return 0;
    //     $space = $this->GetStringWidth(' ');
    //     $lines = explode("\n", $text);
    //     $text = '';
    //     $count = 0;

    //     foreach ($lines as $line)
    //     {
    //         $words = preg_split('/ +/', $line);
    //         $width = 0;

    //         foreach ($words as $word)
    //         {
    //             $wordwidth = $this->GetStringWidth($word);
    //             if ($wordwidth > $maxwidth)
    //             {
    //                 // Word is too long, we cut it
    //                 for($i=0; $i<strlen($word); $i++)
    //                 {
    //                     $wordwidth = $this->GetStringWidth(substr($word, $i, 1));
    //                     if($width + $wordwidth <= $maxwidth)
    //                     {
    //                         $width += $wordwidth;
    //                         $text .= substr($word, $i, 1);
    //                     }
    //                     else
    //                     {
    //                         $width = $wordwidth;
    //                         $text = rtrim($text)."\n".substr($word, $i, 1);
    //                         $count++;
    //                     }
    //                 }
    //             }
    //             elseif($width + $wordwidth <= $maxwidth)
    //             {
    //                 $width += $wordwidth + $space;
    //                 $text .= $word.' ';
    //             }
    //             else
    //             {
    //                 $width = $wordwidth + $space;
    //                 $text = rtrim($text)."\n".$word.' ';
    //                 $count++;
    //             }
    //         }
    //         $text = rtrim($text)."\n";
    //         $count++;
    //     }
    //     $text = rtrim($text);
    //     return $count;
    // }
    //     // Function to estimate the height of the MultiCell
    //     function estimateMultiCellHeight($pdf, $width, $text, $lineHeight) {
    //         // Split text into lines based on the width of the cell
    //         $lines = $pdf->WordWrap($text, $width);
    //         $lineCount = count(explode("\n", $lines)); // Count the number of lines
    //         return $lineCount * $lineHeight; // Multiply by the line height to get the total height
    //     }

    function _putresources()
    {
        $this->_putextgstates();
        parent::_putresources();
    }


    // You can add a Footer function if needed, for example:
    function Footer()
    {

        $TEMPIMGLOC1 = 'tempimg1.png';



        if (isset($GLOBALS['sig1']['signature']) && !empty($GLOBALS['sig1']['signature'])) {
            $dataURI1 = isset($GLOBALS['sig1']['signature']) ? $GLOBALS['sig1']['signature'] : "";
            $dataPieces1 = explode(',', $dataURI1);
            $encodedImg1 = isset($dataPieces1[1]) ? $dataPieces1[1] : '';
            $decodedImg1 = base64_decode($encodedImg1);

            if ($decodedImg1 !== false) {
                if (file_put_contents($TEMPIMGLOC1, $decodedImg1) !== false) {

                    $this->Image($TEMPIMGLOC1, 48, 240, 0, 15);
                    unlink($TEMPIMGLOC1); // Delete image from server
                }
            }
        }

        $TEMPIMGLOC2 = 'tempimg2.png';



        if (isset($GLOBALS['sig']['signature']) && !empty($GLOBALS['sig']['signature'])) {
            $dataURI = isset($GLOBALS['sig']['signature']) ? $GLOBALS['sig']['signature'] : "";
            $dataPieces = explode(',', $dataURI);
            $encodedImg = isset($dataPieces[1]) ? $dataPieces[1] : '';
            $decodedImg = base64_decode($encodedImg);

            if ($decodedImg !== false) {
                if (file_put_contents($TEMPIMGLOC2, $decodedImg) !== false) {

                    $this->Image($TEMPIMGLOC2, 48, 225, 0, 15);
                    unlink($TEMPIMGLOC2); // Delete image from server
                }
            }
        }


        $prepared_by_name = isset($GLOBALS['sig']['firstname']) && isset($GLOBALS['sig']['lastname']) ? $GLOBALS['sig']['firstname'] . ' ' . $GLOBALS['sig']['lastname'] : '';
        // Set fixed Y position
        $fixedY = 242; // Fixed Y value instead of $this->GetY()

        // $this->Line(90,224.5, 35, 224);

        // Draw the line at the fixed Y position
        $this->Line(90, $fixedY, 35, $fixedY);

        // Set the X and Y positions for the first cell
        $this->SetXY(10, $fixedY - 7); // Set X and Y where you want to place the cell
        $this->Cell(70, 10, "Prepared by:"); // Cell with text and width 70, height 10

        // Set the X and Y positions for the second cell (if it needs a different X position)
        $this->SetXY(50, $fixedY - 7.5); // Set X and Y for the next cell at the same Y but different X
        $this->Cell(0, 10, $prepared_by_name); // Another cell with the name and width of 0 (fills the rest of the row)


        $approved_by_name = isset($GLOBALS['sig1']['firstname']) && isset($GLOBALS['sig1']['lastname']) ? $GLOBALS['sig1']['firstname'] . ' ' . $GLOBALS['sig1']['lastname'] : '';
        $fixedY = 253; // Fixed Y value instead of $this->GetY()

        // Draw the line at the fixed Y position
        $this->Line(90, $fixedY, 35, $fixedY);

        // Set the X and Y positions for the first cell
        $this->SetXY(10, $fixedY - 7); // Set X and Y where you want to place the cell
        $this->Cell(70, 10, "Approved by:"); // Cell with text and width 70, height 10

        // Set the X and Y positions for the second cell (if it needs a different X position)
        $this->SetXY(50, $fixedY - 7.5); // Set X and Y for the next cell at the same Y but different X
        $this->Cell(0, 10, $approved_by_name); // Another cell with the name and width of 0 (fills the rest of the row)



        // Set position of the footer    
        $this->SetY(-15);

        // Set font for the footer
        $this->SetFont('Arial', 'I', 7);
        $this->SetAlpha(0.4); // Set transparency for the logo
        $this->Image("../../../resources/img/footer-logo-removebg.png", 135, 225, 75);
        $this->SetAlpha(1); // Reset transparency
        // Add page number
        $series = "PMS-" . date("Y") . '-' . $GLOBALS['id'];
        $this->Cell(20, 10, $series, 0, 0, 'C');
        // $this->Cell(150, 10, 'Page No.' . $this->PageNo(), 0, 0, 'C');


    }


    function CheckPageBreak($h)
    {
        // Define the footer height
        $footerHeight = 224.5; // Adjust this value based on the height of your footer

        // If the height h would cause an overflow considering the footer, add a new page
        if ($this->GetY() + $h + $footerHeight > $this->PageBreakTrigger) {
            $this->AddPage($this->CurOrientation);

            // Optionally, reset Y position after adding a new page if needed
            $this->SetY($this->GetY());
        }
    }
}

// Create an instance of the PDF_MC_Table class
$pdf = new PDF_MC_Table();
$pdf->AddPage();

// Now, you can use this $pdf object to generate your PDF content, as required.
// For example, adding more content after the header...
$pdf->SetDrawColor(128, 128, 128);


$count = 0;
$initialY = 87; // Initial Y position for the first row
$currentY = $initialY; // Initialize currentY before the loop
$rowHeight = 10; // Height of each row
// $schedY = 87 +8;
if ($tasks != null) {
    foreach ($tasks as $task) {
        $count++;

        // Initialize schedule and frequency strings
        $schedule = "";
        $frequency = "";

        // Switch statement to determine schedule and frequency text
        switch ($task['frequency']) {
            case 'annually':
                $startDay = date('F jS', strtotime($task['start_schedule']));
                $endDay = date('F jS', strtotime($task['end_schedule']));
                $schedule = "Every year from ($startDay to $endDay)";
                $frequency = "yearly";
                break;
            case 'yearly':
                $startDay = date('F jS', strtotime($task['start_schedule'])); // Full month name and day with suffix
                $endDay = date('F jS', strtotime($task['end_schedule'])); // Same format for end date
                $schedule = "Every year from ($startDay to $endDay)";
                $frequency = "yearly";
                break;
            case 'semiannually':
                $frequency = "semiannually";
                $schedule = "Every 6 months from (" . date('jS', strtotime($task['start_schedule'])) . " to " . date('jS', strtotime($task['end_schedule'])) . ")";
                break;
            case 'quarterly':
                $frequency = "quarterly";
                $schedule = "Every 3 months from (" . date('jS', strtotime($task['start_schedule'])) . " to " . date('jS', strtotime($task['end_schedule'])) . ")";
                break;
            case 'bimonthly':
                $frequency = "bimonthly";
                $schedule = "Every 2 months from (" . date('jS', strtotime($task['start_schedule'])) . " to " . date('jS', strtotime($task['end_schedule'])) . ")";
                break;
            case 'monthly':
                $startDay = date('jS', strtotime($task['start_schedule']));
                $endDay = date('jS', strtotime($task['end_schedule']));
                $schedule = "Every " . $task['freq_interval'] . " month/s from ($startDay to $endDay)";
                $frequency = "monthly";
                break;
            case 'weekly':
                $frequency = "weekly";
                $schedule = "Every week from (" . date('F jS', strtotime($task['start_schedule'])) . " to " . date('F jS', strtotime($task['end_schedule'])) . ")";
                break;
            default:
                $schedule = "";
                $frequency = "";
                break;
        }
        $firstSpace =  "\n     ";
        // Check if the task has questions
        $pms_description_with_questions = $firstSpace . ucfirst($task['pms_description']) . ":\n\n"; // Add PMS description
        if (!empty($all_questions)) {
            $alphabet = range('a', 'z'); // Generate alphabet array for bullet points
            $index = 0; // Initialize the alphabet index
            foreach ($all_questions as $question) {
                if ($question['pms_id'] == $task['id']) {
                    $pms_description_with_questions .= "      " . $alphabet[$index] . '.  ' . $question['questions'] . "\n";
                    $index++;
                }
            }
        }
        $pms_description_with_questions .= "\n";

        // Set X position for Task number
        $pdf->SetXY(10, $currentY);

        $pdf->SetXY(30, $currentY);
        $startY = $pdf->GetY(); // Get the current Y position
        $estimatedHeight = substr_count($pms_description_with_questions, "\n");

        // Calculate the expected endY after rendering the MultiCell
        $endY1 = ($estimatedHeight * 5.5) + $startY;
        // Check if the row will exceed 224.5
        if ($endY1 > 224.5) {
            $pdf->AddPage();
            $currentY = 87; // Reset to initial Y position after adding a new page
            $startY = $pdf->GetY(); // Start Y position for the row 


        }

        // Calculate the height of each MultiCell to adjust the row height
        $pdf->SetXY(30, $currentY);
        $startY = $pdf->GetY(); // Start Y position for the row
        $pdf->MultiCell(110, 5.5, $pms_description_with_questions, 1, 'L');
        $endY = $pdf->GetY();

        $descriptionHeight = $endY - $startY; // Calculate height of description
        $range = range($startY, $endY);
        $rangeCount = count($range);
        $index = $rangeCount / 2;
        $schedY = $range[$index];


        // Now output Task number and adjust row heights for all columns
        // Task Number
        $pdf->SetXY(10, $currentY);
        $pdf->MultiCell(20, $descriptionHeight, 'Task ' . $count, 1, 'C');

        // Description (drawn once now with proper border)
        // $pdf->SetXY(30, $currentY);
        // $pdf->MultiCell(110, 5.5, $pms_description_with_questions, 1, 'L');

        // Frequency (drawn with proper row height)
        $pdf->SetXY(140, $currentY);
        $pdf->MultiCell(30, $descriptionHeight, ucfirst($task['frequency']), 1, 'C');

        // Schedule Cell - Draw the blank cell first
        $pdf->SetXY(170, $currentY);
        $pdf->MultiCell(30, $descriptionHeight, '', 1, 'C'); // Blank cell with border

        // Add the Schedule text inside the blank cell
        $pdf->SetXY(170, $schedY - 7); // Slightly adjust the Y position for better alignment
        $pdf->MultiCell(30, 4, $schedule, 0, 'C'); // Reduced line height (5)





        // Adjust the Y position for the next rw based on the maximum height
        $currentY += $descriptionHeight;

    }
}





// Output the generated PDF
$pdf->Output();
?>