<?php
require("../../resources/lib/fpdf186/fpdf.php");
require("../../database/dbcon.php");

class PDF extends FPDF
{
    private $font_size = 10;
    private $font_height = 4;

    function Header()
    {
        // Add the header elements
        $this->Image("../../resources/img/compass-main-logo.png", 15, 5, 50);
        $this->Image("../../resources/img/footer-logo.png", 130, 220, 80);
        $this->SetFont("Arial", "I", 6);
        $this->SetXY(120, $this->GetY() - 4);
        $this->Cell(72, $this->font_height, "Doc ID:PAM-02F1", 0, 0, "R");
        $this->SetXY(120, $this->GetY() + 2);
        $this->Cell(72, $this->font_height, "Revision No.: 0", 0, 0, "R");
        $this->SetXY(120, $this->GetY() + 2);
        $this->Cell(72, $this->font_height, "Date Approved: 15-May-2024", 0, 0, "R");
        $this->SetXY(120, $this->GetY() + 2);
        $this->Cell(72, $this->font_height, "Internal", 0, 0, "R");

        // Set the position for the content to start, so it doesn't overlap with the header
        $this->SetY(25);
    }

    function Footer()
    {
        // Position at 1.5 cm from bottom
        $this->SetY(-15);
        $this->SetFont('Arial', 'I', 8);
        // Page number
        $this->Cell(0, 10, 'Page ' . $this->PageNo(), 0, 0, 'C');
    }

    /**
     * Checks if there is enough space left on the current page.
     * If not, adds a new page.
     *
     * @param int $neededHeight The height of the content to be added.
     */
    function CheckPageBreak($neededHeight)
    {
        // Get the current Y position
        $currentY = $this->GetY();

        // Check if there is enough space for the content and footer
        if ($currentY + $neededHeight > $this->GetPageHeight() - 15) { // 15mm is footer space
            $this->AddPage();
        }
    }
}

function find_all($db, $table)
{
    global $conn;
    global $conn1;
    global $conn2;
    if ($db === "conn1") {
        $conn = $conn1;
    } else if ($db === "conn2") {
        $conn = $conn2;
    }

    $query = "SELECT * FROM " . $table;
    $result = $conn->query($query);
    if ($result->num_rows > 0) {
        $rows = mysqli_fetch_all($result, MYSQLI_ASSOC);
    } else {
        $rows = null;
    }
    return $rows;
}



?>
<?php
$propertyCode = isset($_GET['property_code']) ? $_GET['property_code'] : '';
if (isset($_POST['id']) && $_POST['id'] > 0) {
    $rows = $conn2->query("SELECT * FROM `requests` WHERE id = '{$_POST['id']}' ");
    if ($rows->num_rows > 0) {
        foreach ($rows->fetch_assoc() as $k => $v) {
            $$k = $v;
        }
    }
} // Assuming $propertyCode is already defined and contains the value


// Explode the property code by '-'
$explodedPropertyCode = explode('-', $propertyCode);
$category_code = isset($explodedPropertyCode[0]) ? $category_code = $explodedPropertyCode[0] : '';
$code_id = isset($explodedPropertyCode[1]) ? $explodedPropertyCode[1] : '';

// Check if the exploded values are valid
if (empty($category_code) || empty($code_id)) {
    die("Invalid property code format.");
}

// Strip leading zeroes from codeId
$code_id = ltrim($code_id, '0');

// Sanitize inputs before using them in SQL
$category_code = mysqli_real_escape_string($conn1, $category_code);
$code_id = mysqli_real_escape_string($conn1, $code_id);

$empQuery = "SELECT 
status_report_1.*, 
status_report_2.*,
status_report_3.*, 
status_report_4.*, 
status_report_5.*, 
categories.*, 
users.firstname,
users.lastname,
users.fullname,
departments.code AS deptCode, 
departments.department, 
CONCAT(categories.code, '-', LPAD(status_report_1.code_id, 4, '0')) AS propertyCode, 
CONCAT('STA-', YEAR(status_report_1.date_requested), '-', LPAD(status_report_1.code1_id, 4, '0')) AS form_control_no, 
status_report_1.id AS id,
departments.id as deptID,
items.id as itemID, 
categories.id as catID,
users.id as userID,
submitDept.code AS submitDeptCode, 
submitDept.department AS submitDepartment
FROM 
status_report_1
LEFT JOIN 
status_report_2 ON status_report_1.id = status_report_2.status_report_id
LEFT JOIN 
status_report_3 ON status_report_1.id = status_report_3.status_report_id
LEFT JOIN 
status_report_4 ON status_report_1.id = status_report_4.status_report_id
LEFT JOIN 
status_report_5 ON status_report_1.id = status_report_5.status_report_id
INNER JOIN 
departments ON status_report_1.department_id = departments.id
INNER JOIN 
departments AS submitDept ON status_report_1.submit_request_to = submitDept.id
INNER JOIN 
categories ON status_report_1.category_id = categories.id
INNER JOIN 
items ON status_report_1.category_id = items.category_id 
           AND status_report_1.code_id = items.code_id
INNER JOIN
users ON status_report_1.requested_by = users.id
WHERE CONCAT(categories.code, '-', LPAD(status_report_1.code_id, 4, '0')) = CONCAT('$category_code', '-', LPAD('$code_id', 4, '0'))
";






// Execute the query
$result = mysqli_query($conn1, $empQuery);

// Check if the query was successful
if (!$result) {
    die("Query failed: " . mysqli_error($conn1));
}

// Fetch the results
$row = mysqli_fetch_assoc($result);

// var_dump($row);// 

// $requested_by = $conn1->query("
//     SELECT * FROM users 
//     WHERE id IN (
//         '" . $row['requested_by'] . "', 
//         '" . $row['recommended_by'] . "', 
//         '" . $row['approved_by'] . "', 
//         '" . $row['evaluated_by'] . "'
//     )
// ");

// $users = [];

// while ($user = $requested_by->fetch_assoc()) {
//     $users[] = $user;
// }

// foreach ($users as $user) {
//     // Process each user
//     // Example: echo $user['fullname'];
// }

// // var_dump($users);
if (isset($row['requested_by']) && !empty($row['requested_by'])) {
    $requested_by = $conn1->query("SELECT * FROM users WHERE users.id = '" . $row['requested_by'] . "'");
    $sig = $requested_by->fetch_assoc();
}

if (isset($row['recommended_by']) && !empty($row['recommended_by'])) {
    $recommended_by = $conn1->query("SELECT * FROM users WHERE users.id = '" . $row['recommended_by'] . "'");
    $sig1 = $recommended_by->fetch_assoc();
}

if (isset($row['approved_by']) && !empty($row['approved_by'])) {
    $approved_by = $conn1->query("SELECT * FROM users WHERE users.id = '" . $row['approved_by'] . "'");
    $sig2 = $approved_by->fetch_assoc();
}

if (isset($row['completed_by']) && !empty($row['completed_by'])) {
    $completed_by = $conn1->query("SELECT * FROM users WHERE users.id = '" . $row['completed_by'] . "'");
    $sig3 = $completed_by->fetch_assoc();
}

if (isset($row['action']) && !empty($row['action'])) {
    $evaluated_by = $conn1->query("SELECT users.*, privileges.privilege FROM users LEFT JOIN privileges ON users.privilege_id = privileges.id WHERE privileges.privilege = 'DEPARTMENT HEAD' AND users.department_id = '" . $row['submit_request_to'] . "'");
    $sig4 = $evaluated_by->fetch_assoc();
}

?>
<?php
$paper_size = "A4";
$font_size = "10";
$font_height = "4";
$title = "STATUS REPORT";

//Leter -> 216 x 279 mm
//A4 -> 210 x 297 mm

$page = new PDF("P", "mm", $paper_size);
$page->AddPage();
$page->SetFont("Arial", "", $font_size);
$page->SetAutoPageBreak(true);

$page->SetXY(0, $page->GetY() + 2);
$page->SetFont("Arial", 'B', 14);
$page->Cell(0, $font_height, $title, 0, 0, "C");

$page->SetFont("Arial", '', 12);
$page->SetDrawColor(0, 176, 240);
$page->Line(19, 20, 190, 20);


$page->SetDrawColor(128, 128, 128);
$page->SetFillColor(0, 117, 187); //blue
$page->SetXY(18, $page->GetY() + 10);
$page->SetTextColor(255, 255, 255);
$page->MultiCell(173, 6, "DETAILS OF ASSET OR PROPERTY:", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 8); // Adjusted Y position to align with the adjusted height

$page->SetFillColor(255, 255, 255);
$page->SetXY(18, $page->GetY() + 8);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(40, 6, "Property Code:", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(58, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(46, 6, $propertyCode, 1, "L");
$page->SetXY(104, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(40, 6, 'Form Control No.', 1, "L");
$page->SetXY(144, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(47, 6, isset($row['form_control_no']) ? $row['form_control_no'] : '', 1, "L");

$page->SetXY(18, $page->GetY() + 0);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(40, 6, "Item:", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(58, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(46, 6, isset($row['category']) ? $row['category'] : '', 1, "L");
$page->SetXY(104, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(40, 6, 'Date:', 1, "L");
$page->SetXY(144, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(47, 6, isset($row['date_requested']) ? $row['date_requested'] : '', 1, "L");

$page->SetXY(18, $page->GetY() + 0);
$page->SetTextColor(0, 0, 0);
$page->MultiCell(40, 6, "Location:", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(58, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(46, 6, isset($row['location']) ? $row['location'] : '', 1, "L");
$page->SetXY(104, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(40, 6, 'Department:', 1, "L");
$page->SetXY(144, $page->GetY() - 6); // Adjusted Y position to align with the adjusted height
$page->SetTextColor(0, 0, 0);
$page->MultiCell(47, 6, isset($row['deptCode']) ? $row['deptCode'] : '', 1, "L");

$contentHeight = 40; // Example height of a block of content
$page->CheckPageBreak($contentHeight);

// STATUS REPORT
$page->SetFillColor(0, 117, 187); // blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(255, 255, 255);
$page->MultiCell(173, 6, "STATUS REPORT", 1, "L", true);

$page->SetFillColor(132, 184, 227); // light blue
$page->SetTextColor(128, 128, 128);
$page->SetXY(18, $page->GetY());
$page->MultiCell(173, 5, "Specify the issue or problem with the equipment", 1, "L", true);

$page->SetFillColor(255, 255, 255);
$page->SetTextColor(0, 0, 0);
$page->SetXY(18, $page->GetY());
$page->MultiCell(173, 5, isset($row['equipment_problem']) ? $row['equipment_problem'] : '', 1, "L", true);

$page->SetFont("Arial", '', 11);
$page->SetXY(18, $page->GetY());
$page->MultiCell(40, 15, "Reported By:  ", 1, "C", true);

$page->SetFont("Arial", '', 12);
$page->SetXY(58, $page->GetY() - 15);
$sig['fullname'] = isset($sig['fullname']) && !empty($sig['fullname'])
    ? $sig['fullname']
    : (isset($sig['firstname']) && isset($sig['lastname'])
        ? $sig['firstname'] . " " . $sig['lastname']
        : ''
    );
$page->MultiCell(89, 5, "\n" . $sig['fullname'] . "", 1, "C", true);

const TEMPIMGLOC1 = 'tempimg1.png';

$page->SetXY(144, $page->GetY() - 10);
$page->MultiCell(47, 10, isset($row['date_requested']) ? $row['date_requested'] : '', 1, "C", true);

$page->SetXY(58, $page->GetY());
$page->MultiCell(89, 5, "Name and Signature", 1, "C", true);
$page->SetXY(144, $page->GetY() - 5);
$page->MultiCell(47, 5, "Date", 1, "C", true);

if (isset($sig['signature']) && !empty($sig['signature'])) {
    $dataURI = isset($sig['signature']) ? $sig['signature'] : "";
    $dataPieces = explode(',', $dataURI);
    $encodedImg = isset($dataPieces[1]) ? $dataPieces[1] : '';
    $decodedImg = base64_decode($encodedImg);

    if ($decodedImg !== false) {
        if (file_put_contents(TEMPIMGLOC1, $decodedImg) !== false) {

            $page->Image(TEMPIMGLOC1, 88, $page->GetY()-17, 0, 15);
            unlink(TEMPIMGLOC1); // Delete image from server
        }
    }
}


//JOB ORDER
$page->SetFillColor(0, 117, 187); //blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(255, 255, 255);
$page->MultiCell(173, 6, "JOB ORDER", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(132, 184, 227); //light blue
$page->SetTextColor(128, 128, 128);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(173, 5, "Specify the maintenance activities recommended to repair the equipment", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(255, 255, 255);
$page->SetTextColor(0, 0, 0);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(173, 5, isset($row['equipment_repair']) ? $row['equipment_repair'] : '', 1, "L", true); // Adjusted height from 10 to 8


// type of repair check box
$page->SetFont("Arial", '', 11);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(40, 5, "Type of Repair:", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 5);
$page->MultiCell(5, 5, ((isset($row['type_of_repair'])) && (strcasecmp($row['type_of_repair'], 'internal') == 0)) ? 'X' : ' ', 1, "L", true);
$page->SetXY(55, $page->GetY() - 5);
$page->MultiCell(65, 5, "Internal Repair/Maintenance", 1, "C", true); // Adjusted height from 10 to 8

$page->SetXY(120, $page->GetY() - 5);
$page->MultiCell(5, 5, ((isset($row['type_of_repair'])) && (strcasecmp($row['type_of_repair'], 'oursourced') == 0)) ? 'X' : ' ', 1, "L", true);
$page->SetXY(125, $page->GetY() - 5);
$page->MultiCell(66, 5, "Outsourced Repair/Maintenance", 1, "C", true);

$page->SetFont("Arial", '', 11);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(40, 15, "Recommended By:  ", 1, "C", true); // Adjusted height from 10 to 8
$sig1_fullname = isset($sig1['fullname']) && !empty($sig1['fullname'])
    ? $sig1['fullname']
    : (isset($sig1['firstname']) && isset($sig1['lastname'])
        ? $sig1['firstname'] . " " . $sig1['lastname']
        : ' '
    );
$page->SetFont("Arial", '', 12);
$page->SetXY(58, $page->GetY() - 15);
$page->MultiCell(89, 5, "\n" . $sig1_fullname . "", 1, "C", true); // Adjusted height from 10 to 8
const TEMPIMGLOC2 = 'tempimg2.png';

$page->SetXY(144, $page->GetY() - 10);
$page->MultiCell(47, 10, isset($row['date_recommended']) ? $row['date_recommended'] : '', 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(58, $page->GetY() - 0);
$page->MultiCell(89, 5, "Name and Signature", 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(144, $page->GetY() - 5);
$page->MultiCell(47, 5, "Date", 1, "C", true); // Adjusted height from 10 to 8

if (isset($sig1['signature']) && !empty($sig1['signature'])) {

    // Extract base64 data from the data URI
    $dataURI1 = $sig1['signature'];
    $dataPieces1 = explode(',', $dataURI1);

    // Check if the base64 part exists
    if (isset($dataPieces1[1])) {
        $encodedImg1 = $dataPieces1[1];
        $decodedImg1 = base64_decode($encodedImg1);

        // Check if the image was successfully decoded
        if ($decodedImg1 !== false) {
            // Write the decoded image to a temporary file
            if (file_put_contents(TEMPIMGLOC2, $decodedImg1) !== false) {
                // Verify the file is a valid PNG image before adding it to the PDF
                if (getimagesize(TEMPIMGLOC2) !== false) {
                    try {
                        $page->Image(TEMPIMGLOC2, 88, $page->GetY()-17, 0, 15);
                    } catch (Exception $e) {
                        error_log('FPDF error: ' . $e->getMessage());
                    }
                } else {
                    error_log('Error: The file is not a valid image.');
                }

                // Delete the temporary file
                unlink(TEMPIMGLOC2);
            } else {
                error_log('Error: Failed to write image data to temporary file.');
            }
        } else {
            error_log('Error: Failed to decode base64 image data.');
        }
    } else {
        error_log('Error: Base64 image data not found in the data URI.');
    }
} else {
    error_log('Error: Signature data is missing or empty.');
}

$contentHeight = 40; // Example height of a block of content
$page->CheckPageBreak($contentHeight);

//REVIEW AND APPROVAL OF JOB ORDER
$page->SetFillColor(0, 117, 187); //blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(255, 255, 255);
$page->MultiCell(173, 6, "REVIEW AND APPROVAL OF JOB ORDER", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(132, 184, 227); //light blue
$page->SetTextColor(128, 128, 128);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(173, 5, "Department head's comments,suggestions, or recommendations on the job order", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(255, 255, 255);
$page->SetTextColor(0, 0, 0);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(173, 5, isset($row['depthead_comment']) ? $row['depthead_comment'] : '', 1, "L", true); // Adjusted height from 10 to 8


// approval check box
$page->SetFont("Arial", '', 11);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(40, 5, "Approval:", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(50, $page->GetY() - 5);
$page->MultiCell(5, 5, ((isset($row['approval'])) && ($row['approval'] == 'approved')) ? 'X' : '', 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(55, $page->GetY() - 5);
$page->MultiCell(65, 5, "Approve Job Order", 1, "C", true); // Adjusted height from 10 to 8

$page->SetXY(120, $page->GetY() - 5);
$page->MultiCell(5, 5, ((isset($row['approval'])) && ($row['approval'] == 'disapproved')) ? 'X' : '', 1, "L", true);
$page->SetXY(125, $page->GetY() - 5);
$page->MultiCell(66, 5, " Disapprove Job Order", 1, "C", true);

$page->SetFont("Arial", '', 11);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(40, 15, "Approved By:  ", 1, "C", true); // Adjusted height from 10 to 8
$page->SetFont("Arial", '', 12);
$page->SetXY(58, $page->GetY() - 15);
$sig2['fullname'] = isset($sig2['fullname']) && !empty($sig2['fullname'])
    ? $sig2['fullname']
    : (isset($sig2['firstname']) && isset($sig2['lastname'])
        ? $sig2['firstname'] . " " . $sig2['lastname']
        : ' '
    );
$page->MultiCell(89, 5, "\n" . $sig2['fullname'] . "", 1, "C", true); // Adjusted height from 10 to 8

const TEMPIMGLOC3 = 'tempimg3.png';

if (isset($sig2['signature']) && !empty($sig2['signature'])) {
    // Extract base64 data from the data URI
    $dataURI2 = $sig2['signature'];
    $dataPieces2 = explode(',', $dataURI2);

    // Check if the base64 part exists
    if (isset($dataPieces2[1])) {
        $encodedImg2 = $dataPieces2[1];
        $decodedImg2 = base64_decode($encodedImg2);

        // Check if the image was successfully decoded
        if ($decodedImg2 !== false) {
            // Write the decoded image to a temporary file
            if (file_put_contents(TEMPIMGLOC3, $decodedImg2) !== false) {
                // Verify the file is a valid image before adding it to the PDF
                if (getimagesize(TEMPIMGLOC3) !== false) {
                    try {
                        $page->Image(TEMPIMGLOC3, 88,  $page->GetY()-17, 0, 15);
                    } catch (Exception $e) {
                        error_log('FPDF error: ' . $e->getMessage());
                    }
                } else {
                    error_log('Error: The file is not a valid image.');
                }

                // Delete the temporary file
                unlink(TEMPIMGLOC3);
            } else {
                error_log('Error: Failed to write image data to temporary file.');
            }
        } else {
            error_log('Error: Failed to decode base64 image data.');
        }
    } else {
        error_log('Error: Base64 image data not found in the data URI.');
    }
} else {
    error_log('Error: Signature data is missing or empty.');
}


$page->SetXY(144, $page->GetY() - 10);
$page->MultiCell(47, 10, isset($row['date_approved']) ? $row['date_approved'] : '', 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(58, $page->GetY() - 0);
$page->MultiCell(89, 5, "Name and Signature", 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(144, $page->GetY() - 5);
$page->MultiCell(47, 5, "Date", 1, "C", true); // Adjusted height from 10 to 8

$contentHeight = 40; // Example height of a block of content
$page->CheckPageBreak($contentHeight);

//OUTCOME OF REPAIR/MAINTENANCE
$page->SetFillColor(0, 117, 187); //blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(255, 255, 255);
$page->MultiCell(173, 6, "OUTCOME OF REPAIR/MAINTENANCE", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(132, 184, 227); //light blue
$page->SetTextColor(128, 128, 128);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(173, 5, "Specify the outcome/result of repair/maintenance", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(255, 255, 255);
$page->SetTextColor(0, 0, 0);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(173, 5, isset($row['job_order']) ? $row['job_order'] : '', 1, "L", true); // Adjusted height from 10 to 8


// outcome check box 
$page->SetFont("Arial", '', 10);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(30, 5, "Outcome:", 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(48, $page->GetY() - 5);
$page->MultiCell(5, 5, ((isset($row['outcome'])) && ($row['outcome'] == 'successful')) ? 'X' : ' ', 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(53, $page->GetY() - 5);
$page->MultiCell(42, 5, "Succesfully Repaired", 1, "C", true); // Adjusted height from 10 to 8


$page->SetXY(95, $page->GetY() - 5);
$page->MultiCell(5, 5, ((isset($row['outcome'])) && ($row['outcome'] == 'unsuccessful')) ? 'X' : ' ', 1, "L", true);
$page->SetXY(100, $page->GetY() - 5);
$page->MultiCell(44, 5, "Unsuccessfully Repaired", 1, "C", true);


$page->SetXY(144, $page->GetY() - 5);
$page->MultiCell(5, 5, ((isset($row['outcome'])) && ($row['outcome'] == 'not_repairable')) ? 'X' : ' ', 1, "L", true);
$page->SetXY(149, $page->GetY() - 5);
$page->MultiCell(42, 5, "No Longer Repairable", 1, "C", true);





$page->SetFont("Arial", '', 11);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(40, 15, "Completed By:  ", 1, "C", true); // Adjusted height from 10 to 8
$page->SetFont("Arial", '', 12);
$page->SetXY(58, $page->GetY() - 15);
// Ensure $sig3 is an array and 'fullname' is not empty or null
$sig3['fullname'] = !empty($sig3['fullname']) ? $sig3['fullname'] : ((!empty($sig3['firstname']) && !empty($sig3['lastname'])) ? $sig3['firstname'] . " " . $sig3['lastname'] : ' ');
$page->MultiCell(89, 5, "\n" . $sig3['fullname'] . "", 1, "C", true); // Adjusted height from 10 to 8

const TEMPIMGLOC4 = 'tempimg4.png';

$page->SetXY(144, $page->GetY() - 10);
$page->MultiCell(47, 10, isset($row['date_completed']) ? $row['date_completed'] : '', 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(58, $page->GetY() - 0);
$page->MultiCell(89, 5, "Name and Signature", 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(144, $page->GetY() - 5);
$page->MultiCell(47, 5, "Date", 1, "C", true); // Adjusted height from 10 to 8


if (isset($sig3['signature']) && !empty($sig3['signature'])) {
    // Extract base64 data from the data URI
    $dataURI3 = $sig3['signature'];
    $dataPieces3 = explode(',', $dataURI3);

    // Check if the base64 part exists
    if (isset($dataPieces3[1])) {
        $encodedImg3 = $dataPieces3[1];
        $decodedImg3 = base64_decode($encodedImg3);

        // Check if the image was successfully decoded
        if ($decodedImg3 !== false) {
            // Write the decoded image to a temporary file
            if (file_put_contents(TEMPIMGLOC4, $decodedImg3) !== false) {
                // Verify the file is a valid image before adding it to the PDF
                if (getimagesize(TEMPIMGLOC4) !== false) {
                    try {
                        $page->Image(TEMPIMGLOC4, 87,  $page->GetY()-17, 0, 15);
                    } catch (Exception $e) {
                        error_log('FPDF error: ' . $e->getMessage());
                    }
                } else {
                    error_log('Error: The file is not a valid image.');
                }

                // Delete the temporary file
                unlink(TEMPIMGLOC4);
            } else {
                error_log('Error: Failed to write image data to temporary file.');
            }
        } else {
            error_log('Error: Failed to decode base64 image data.');
        }
    } else {
        error_log('Error: Base64 image data not found in the data URI.');
    }
} else {
    error_log('Error: Signature data is missing or empty.');
}

$page->SetFont("Arial", '', 12);
$page->SetDrawColor(0, 176, 240);
$page->Line(19, 20, 190, 20);
$page->SetDrawColor(128, 128, 128);

$contentHeight = 55; // Example height of a block of content
$page->CheckPageBreak($contentHeight);

//EVALUATION OF REPAIR/MAINTENANCE
$page->SetFillColor(0, 117, 187); //blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(255, 255, 255);
$page->MultiCell(173, 6, "EVALUATION OF DEPARTMENT HEAD", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(132, 184, 227); //light blue
$page->SetTextColor(128, 128, 128);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(173, 5, "Effectiveness of repair/maintenance implemented", 1, "L", true); // Adjusted height from 10 to 8
$page->SetFillColor(255, 255, 255);
$page->SetTextColor(0, 0, 0);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(173, 5, isset($row['repair_effectiveness']) ? $row['repair_effectiveness'] : '', 1, "L", true); // Adjusted height from 10 to 8

// evalutation check box        
$page->SetFillColor(242, 242, 242);
$page->SetFont("Arial", '', 10);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(40, 10, "Recommended Action:", 1, "L", true); // Adjusted height from 10 to 8


$page->SetXY(56, $page->GetY() - 10);
$page->MultiCell(5, 10, ((isset($row['action'])) && ($row['action'] == 'utilization')) ? 'X' : '', 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(61, $page->GetY() - 10);
$page->MultiCell(40, 10, "For Utilization", 1, "C", true); // Adjusted height from 10 to 8


$page->SetXY(101, $page->GetY() - 10);
$page->MultiCell(5, 10, ((isset($row['action'])) && ($row['action'] == 'replace_disposal')) ? 'X' : '', 1, "L", true);
$page->SetXY(106, $page->GetY() - 10);
$page->MultiCell(40, 5, "For Replacement and Disposal", 1, "C", true);


$page->SetXY(146, $page->GetY() - 10);
$page->MultiCell(5, 10, ((isset($row['action'])) && ($row['action'] == 'disposal')) ? 'X' : '', 1, "L", true);
$page->SetXY(151, $page->GetY() - 10);
$page->MultiCell(40, 10, "For Disposal Only", 1, "C", true);


//STATUS
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(40, 10, "Status:", 1, "L", true); // Adjusted height from 10 to 8


$page->SetXY(56, $page->GetY() - 10);
$page->MultiCell(5, 10, ((isset($row['status'])) && ($row['status'] == 'closed')) ? 'X' : '', 1, "L", true); // Adjusted height from 10 to 8
$page->SetXY(61, $page->GetY() - 10);
$page->MultiCell(40, 10, "Closed", 1, "C", true); // Adjusted height from 10 to 8


$page->SetXY(101, $page->GetY() - 10);
$page->MultiCell(5, 10, ((isset($row['status'])) && ($row['status'] == 'open')) ? 'X' : '', 1, "L", true);
$page->SetXY(106, $page->GetY() - 10);
$page->MultiCell(40, 10, "Open", 1, "C", true);


$page->SetXY(146, $page->GetY() - 10);
$page->MultiCell(5, 10, ((isset($row['status'])) && ($row['status'] == 'pending')) ? 'X' : '', 1, "L", true);
$page->SetXY(151, $page->GetY() - 10);
$page->MultiCell(40, 10, "Pending", 1, "C", true);


$page->SetFont("Arial", '', 12);
$page->SetFillColor(255, 255, 255);


$page->SetFont("Arial", '', 11);
$page->SetXY(18, $page->GetY() + 0);
$page->MultiCell(40, 15, "Completed By:  ", 1, "C", true); // Adjusted height from 10 to 8
$page->SetFont("Arial", '', 12);
$page->SetXY(58, $page->GetY() - 15);
$sig4['fullname'] = isset($sig4['fullname']) && !empty($sig4['fullname'])
    ? $sig4['fullname']
    : (isset($sig4['firstname']) && isset($sig4['lastname'])
        ? $sig4['firstname'] . " " . $sig4['lastname']
        : ' '
    );
$page->MultiCell(89, 5, "\n" . $sig4['fullname'] . "", 1, "C", true); // Adjusted height from 10 to 8

const TEMPIMGLOC5 = 'tempimg5.png';

if (isset($sig4['signature']) && !empty($sig4['signature'])) {

    // Extract base64 data from the data URI
    $dataURI4 = $sig4['signature'];
    $dataPieces4 = explode(',', $dataURI4);

    // Check if the base64 part exists
    if (isset($dataPieces4[1])) {
        $encodedImg4 = $dataPieces4[1];
        $decodedImg4 = base64_decode($encodedImg4);

        // Check if the image was successfully decoded
        if ($decodedImg4 !== false) {
            // Write the decoded image to a temporary file
            if (file_put_contents(TEMPIMGLOC5, $decodedImg4) !== false) {
                // Verify the file is a valid image before adding it to the PDF
                if (getimagesize(TEMPIMGLOC5) !== false) {
                    try {
                        $page->Image(TEMPIMGLOC5, 90, 74, 0, 10);
                    } catch (Exception $e) {
                        error_log('FPDF error: ' . $e->getMessage());
                    }
                } else {
                    error_log('Error: The file is not a valid image.');
                }

                // Delete the temporary file
                unlink(TEMPIMGLOC5);
            } else {
                error_log('Error: Failed to write image data to temporary file.');
            }
        } else {
            error_log('Error: Failed to decode base64 image data.');
        }
    } else {
        error_log('Error: Base64 image data not found in the data URI.');
    }
} else {
    error_log('Error: Signature data is missing or empty.');
}


$page->SetXY(144, $page->GetY() - 10);
$page->MultiCell(47, 10, isset($row['date_evaluated']) ? $row['date_evaluated'] : ' ', 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(58, $page->GetY() - 0);
$page->MultiCell(89, 5, "Name and Signature", 1, "C", true); // Adjusted height from 10 to 8
$page->SetXY(144, $page->GetY() - 5);
$page->MultiCell(47, 5, "Date", 1, "C", true); // Adjusted height from 10 to 8

$contentHeight = 8; // Example height of a block of content
$page->CheckPageBreak($contentHeight);

if (isset($row['type_of_repair']) && !empty($row['type_of_repair']) && ($row['type_of_repair'] != "no_issue"))
    // REQUIRED ATTACHMENT
$page->SetFillColor(0, 117, 187); // Blue
$page->SetXY(18, $page->GetY() + 5);
$page->SetTextColor(255, 255, 255);



$page->MultiCell(173, 6, "REQUIRED ATTACHMENT", 1, "L", true); // Adjusted height from 10 to 8

$page->SetFillColor(132, 184, 227); // Light blue
$page->SetTextColor(128, 128, 128);
$page->SetXY(18, $page->GetY());
$page->MultiCell(173, 5, "Photo of equipment", 1, "L", true); // Adjusted height from 10 to 8

$page->SetFillColor(255, 255, 255);
$page->SetTextColor(0, 0, 0);

// Image display, centered
$page->SetXY(18, $page->GetY());
$imageWidth = 60; // Set the desired image width
$pageWidth = 210 - 18 - 18; // A4 width (210mm) minus margins (18mm each side)
$centerX = (210 - $imageWidth) / 2; // Calculate center X based on page width

if (isset($row['photo_equipment']) && file_exists($row['photo_equipment'])) {
    // Add the image at the centered position
    $page->Image($row['photo_equipment'], $centerX, $page->GetY(), $imageWidth); // Width of 60, height adjusted proportionally
    $page->SetY($page->GetY() + 60); // Adjust this value based on the image height
} else {
    // If the image is not available, show a placeholder or a message
    $page->MultiCell(173, 5, 'No photo available', 1, "L", true);
}






$page->Output("I", ((isset($row['form_control_no'])) && ($row['form_control_no'])) ? $row['form_control_no'] : "status_report" . ".pdf");



?>