<?php
require_once('../../database/dbcon.php');   

if (isset($_POST['status_report_form_1'])) {

    $submit_request_to = $_POST['submit_request_to'];
    $equipmentProblem = $_POST['equipment_problem'];
    $requestedBy = $_POST['requested_by'];
    $propertyCode = $_POST['property_code'];

    // Explode the property code by '-'
    $explodedPropertyCode = explode('-', $propertyCode);
    $departmentCode = isset($explodedPropertyCode[0]) ? $explodedPropertyCode[0] : '';
    $categoryCode = isset($explodedPropertyCode[1]) ? $explodedPropertyCode[1] : '';
    $codeId = isset($explodedPropertyCode[2]) ? $explodedPropertyCode[2] : '';

    // Strip leading zeroes from codeId
    $codeId = ltrim($codeId, '0');

    // Assuming you have a database connection established already
    // $conn1 is the variable holding your database connection

    // Retrieve department ID based on the department code
    $deptStmt = $conn1->prepare("SELECT id FROM departments WHERE code = ?");
    $deptStmt->bind_param("s", $departmentCode);
    $deptStmt->execute();
    $deptStmt->bind_result($departmentId);
    $deptStmt->fetch();
    $deptStmt->close();

    // Retrieve category ID based on the category code
    $catStmt = $conn1->prepare("SELECT id FROM categories WHERE code = ?");
    $catStmt->bind_param("s", $categoryCode);
    $catStmt->execute();
    $catStmt->bind_result($categoryId);
    $catStmt->fetch();
    $catStmt->close();

    // Prepare an SQL statement for inserting into status_report_1
    $sql = "INSERT INTO status_report_1 (equipment_problem, requested_by, department_id, category_id, code_id, submit_request_to) VALUES (?, ?, ?, ?, ?,?)";

    // Prepare the statement
    $stmt = $conn1->prepare($sql);

    // Bind parameters
    $stmt->bind_param("siiiii", $equipmentProblem, $requestedBy, $departmentId, $categoryId, $codeId, $submit_request_to);

    // Execute the statement
    $stmt->execute();

    // Check if the insert was successful
    if ($stmt->affected_rows > 0) {
        $response = ["status" => "success", "message" => "Status report created successfully."];
    } else {
        $response = ["status" => "error", "message" => "Error: " . $stmt->error];
    }

    // Close the statement and connection
    $stmt->close();
    $conn1->close();

    echo json_encode($response);
}

if (isset($_POST['recommended_by'])) {
    $status_report_id = $_POST['status_report_id'];
    $equipment_repair = $_POST['equipment_repair'];
    $type_of_repair = $_POST['type_of_repair'];
    $recommended_by = $_POST['recommended_by'];

   

    // Prepare an SQL statement for inserting into status_report_1
    $sql = "INSERT INTO status_report_2 (status_report_id,equipment_repair, type_of_repair,recommended_by) VALUES (?, ?, ?,?)";

    // Prepare the statement
    $stmt = $conn1->prepare($sql);

    // Bind parameters
    $stmt->bind_param("issi", $status_report_id, $equipment_repair, $type_of_repair, $recommended_by);

    // Execute the statement
    $stmt->execute();

    // Check if the insert was successful
    if ($stmt->affected_rows > 0) {
        $response = ["status" => "success", "message" => "Job order created successfully."];
    } else {
        $response = ["status" => "error", "message" => "Error: " . $stmt->error];
    }

    // Close the statement and connection
    $stmt->close();
    $conn1->close();

    echo json_encode($response);
}

if (isset($_POST['status_report_form_3'])) {
    $status_report_id = $_POST['status_report_id'];
    $depthead_comment = $_POST['depthead_comment'];
    $approval = $_POST['approval'];
    $recommended_by = $_POST['recommended_by'];

   

    // Prepare an SQL statement for inserting into status_report_1
    $sql = "INSERT INTO status_report_3 (status_report_id,depthead_comment,approval,recommended_by) VALUES (?, ?, ?,?)";

    // Prepare the statement
    $stmt = $conn1->prepare($sql);

    // Bind parameters
    $stmt->bind_param("issi", $status_report_id, $depthead_comment, $approval, $recommended_by);

    // Execute the statement
    $stmt->execute();

    // Check if the insert was successful
    if ($stmt->affected_rows > 0) {
        $response = ["status" => "success", "message" => "Job order created successfully."];
    } else {
        $response = ["status" => "error", "message" => "Error: " . $stmt->error];
    }


    // Close the statement and connection
    $stmt->close();
    $conn1->close();
}

if (isset($_POST['status_report_form_4'])) {
    $status_report_id = $_POST['status_report_id'];
    $propertyCode = $_POST['propertyCode'];
    $job_order = $_POST['job_order'];
    $outcome = $_POST['outcome'];
    $recommended_by = $_POST['recommended_by'];

    $target_dir_photo = "../../resources/img/photo_equipment/";
    $target_dir_report = "../../resources/img/service_report/";

    // Handle photo equipment upload
    if (isset($_FILES["photo_equipment"])) {
        $photo_equipment = $_FILES["photo_equipment"];
        $fileNameCmps = explode(".", $photo_equipment["name"]);
        $fileExtension = strtolower(end($fileNameCmps));
        $photo_equipment = $propertyCode.$fileExtension;
        $photo_equipment_path = $target_dir_photo . basename($photo_equipment["name"]);
        if (!move_uploaded_file($photo_equipment["tmp_name"], $photo_equipment_path)) {
            echo "Sorry, there was an error uploading your photo equipment file.";
            exit;
        }
    } else {
        echo "Photo equipment file is required.";
        exit;
    }

    // Handle service report upload
    if (isset($_FILES["service_report"])) {
        $service_report = $_FILES["service_report"];
        $fileNameCmps = explode(".", $service_report["name"]);
        $fileExtension = strtolower(end($fileNameCmps));
        $service_report = $propertyCode.$fileExtension;
        $service_report_path = $target_dir_report . basename($service_report["name"]);
        if (!move_uploaded_file($service_report["tmp_name"], $service_report_path)) {
            echo "Sorry, there was an error uploading your service report file.";
            exit;
        }
    } else {
        echo "Service report file is required.";
        exit;
    }

    // Prepare an SQL statement for inserting into status_report_3
    $sql = "INSERT INTO status_report_4 (status_report_id, job_order, outcome, photo_equipment, service_report, recommended_by) VALUES (?, ?, ?, ?, ?, ?)";

    // Prepare the statement
    if ($stmt = $conn1->prepare($sql)) {
        // Bind parameters
        $stmt->bind_param("issssi", $status_report_id, $job_order, $outcome, $photo_equipment_path, $service_report_path, $recommended_by);

        // Execute the statement
        $stmt->execute();

        // Check if the insert was successful
        if ($stmt->affected_rows > 0) {
            $response = ["status" => "success", "message" => "Job order created successfully."];
        } else {
            $response = ["status" => "error", "message" => "Error: " . $stmt->error];
        }

        // Close the statement
        $stmt->close();
    } else {
        $response = ["status" => "error", "message" => "Error preparing statement: " . $conn1->error];
    }

    // Close the connection
    $conn1->close();

    echo json_encode($response);
}



if (isset($_POST['status_report_form_5'])) {
    $status_report_id = $_POST['status_report_id'];
    $repair_effectiveness = $_POST['repair_effectiveness'];
    $action = $_POST['action'];
    $status = $_POST['status'];
    $recommended_by = $_POST['recommended_by'];

   

    // Prepare an SQL statement for inserting into status_report_1
    $sql = "INSERT INTO status_report_5 (status_report_id,repair_effectiveness, action,status,recommended_by) VALUES (?, ?, ?,?)";

    // Prepare the statement
    $stmt = $conn1->prepare($sql);

    // Bind parameters
    $stmt->bind_param("isssi", $status_report_id, $repair_effectiveness, $action,$status, $recommended_by);

    // Execute the statement
    $stmt->execute();

    // Check if the insert was successful
    if ($stmt->affected_rows > 0) {
        $response = ["status" => "success", "message" => "Job order created successfully."];
    } else {
        $response = ["status" => "error", "message" => "Error: " . $stmt->error];
    }

    // Close the statement and connection
    $stmt->close();
    $conn1->close();

    echo json_encode($response);
}


// $equipmentRepair = $_POST['equipment_repair'];
// $typeOfRepair = $_POST['type_of_repair'];
// $recommendedBy1 = $_POST['recommended_by1'];
// $deptheadComment = $_POST['depthead_comment'];
// $approval = $_POST['approval'];
// $recommendedBy2 = $_POST['recommended_by2'];
// $jobOrder = $_POST['job_order'];
// $outcome = $_POST['outcome'];
// $photoEquipment = $_POST['photo_equipment'];
// $serviceReport = $_POST['service_report'];
// $recommendedBy3 = $_POST['recommended_by3'];
// $repairEffectiveness = $_POST['repair_effectiveness'];
// $action = $_POST['action'];
// $status = $_POST['status'];
// $recommendedBy4 = $_POST['recommended_by4'];

?>