<?php
    include('database/dbcon.php');
    ob_start();
    session_start();
    if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
        echo "<script>window.location.href='index.php';</script>";
    }
?>
<?php include_once('functions/fetch.php'); ?>
<?php
$all_remarks = find_all('conn1','remarks');
$all_items = find_from2tables('conn1','categories', 'items', 'id', 'category_id');
?>
<?php include_once('layouts/header.php'); ?>
<header>
    <?php include_once('layouts/sidebar.php'); ?>
    <?php include_once('layouts/navbar.php'); ?>
</header>
<main style="margin-top: 58px; padding-left: 0px;">
    <div class="container pt-4">
        <!--Section: Statistics with subtitles-->
        <section>
            <div class="row">
                <div class="col-xl-5 col-md-12 mb-4">
                    <div class="card">
                        <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                            <h5 class="mb-0 text-center">
                                <strong>Add Remarks</strong>
                            </h5>
                        </div>
                        <div class="card-body">
                            <form method="post" class="clearfix" action="functions/remarks/add_remarks.php">
                                <div class="input-group mb-3">
                                    <span class="input-group-text" id="inputGroupItemID">Property Code: </span>
                                    <input type="text" class="form-control" aria-label="Property Code" aria-describedby="inputGroupPropertyCode" name="property_code" />
                                </div>
                                <div class="form-floating mb-3">
                                    <input type="datetime-local" class="form-control" id="floatingRemarkDate" placeholder="Remark Date" name="remark_date">
                                    <label for="floatingRemarkDate">Remark Date:</label>
                                </div>
                                <div class="form-outline">
                                    <textarea class="form-control" id="itemRemark" rows="4" name="remark"></textarea>
                                    <label class="form-label" for="itemRemark"><strong>Item Remark:</strong></label>
                                </div>
                                <br>
                                <button type="submit" class="btn btn-success btn-md center wd-25" name="submit">Add</button>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="col-xl-7 col-md-12 mb-4">
                    <div class="card">
                        <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
                            <h5 class="mb-0 text-center">
                                <strong>All Remarks</strong>
                            </h5>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table id="table" class="table table-bordered stripe">
                                    <thead>
                                        <tr class="compass-primary-color bg-gradient text-white">
                                            <th scope="col">#</th>
                                            <th scope="col">Property Code</th>
                                            <th scope="col">Remarks</th>
                                            <th scope="col">Remarks Date</th>
                                            <th scope="col">Operations</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        if ($all_remarks !== null) :
                                            foreach ($all_remarks as $remark) : ?>
                                                <tr>
                                                    <td><?php echo $remark['id']; ?></td>
                                                <?php foreach ($all_items as $item):
                                                            if ($item['id'] === $remark['item_id']):
                                                                echo "<td>".$item['code'] . "-" . str_pad($item['code_id'], 4, "0", STR_PAD_LEFT)."</td>";
                                                           endif;
                                                        endforeach;
                                                        ?>
                                                    <td><?php echo $remark['remark']; ?></td>
                                                    <td><?php echo $remark['remark_date']; ?></td>
                                                    <td>
                                                        <button class="btn btn-danger btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#deleteRemarks<?php echo $remark['id']; ?>"><i class="fas fa-trash"></i></button>
                                                        <button class="btn btn-success btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#editRemarks<?php echo $remark['id']; ?>"><i class="fas fa-pen"></i></button>
                                                    </td>
                                                </tr>

                                            <?php include("forms/remarks/edit_remarks.php");
                                                include("forms/remarks/delete_remarks.php");
                                            endforeach;
                                            ?>
                                        <?php
                                        endif; ?>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!--Section: Statistics with subtitles-->
    </div>
</main>
<script>
    $('#table').DataTable();
</script>
<?php include_once('layouts/footer.php'); ?>