<?php
require("../../resources/lib/fpdf186/fpdf.php");
require("../../database/dbcon.php");

ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>window.location.href='index.php';</script>";
}
class PDF extends FPDF
{
    // Page header
    function Header()
    {
        $this->Image("../../resources/img/compass-main-logo.png", 5, 5, 52);
        $this->SetFont('Arial', 'I', 6);
        $this->SetXY(214, 8);
        $this->Cell(72, 4, "Doc ID: ADD-02F3", 0, 0, "R");
        $this->SetXY(214, 10);
        $this->Cell(72, 4, "Revision No.: 0", 0, 0, "R");
        $this->SetXY(214, 12);
        $this->Cell(72, 4, "Date Approved: 07-Oct-2023", 0, 0, "R");
        $this->SetXY(214, 14);
        $this->Cell(72, 4, "Internal", 0, 0, "R");
        $this->SetFont('Arial', 'B', 12);
        $this->Ln(6);
        $this->Cell(0, 10, 'INVENTORY LIST OF COMPASS INFRASTRUCTURE', 0, 1, 'C');
        $this->Ln(2);
        $this->SetDrawColor(0, 146, 240);
        $this->Line(10, $this->GetY() - 2, 285, $this->GetY() - 2);
        $this->Ln(1);    

        $this->SetDrawColor(0, 0, 0);
        $this->SetFont('Arial', 'B', 10);

        $this->SetXY(10,32);
        $this->MultiCell(150,5  ,'Department:  '.$_SESSION['department'],1);
        $this->SetXY(160,32);
        $this->MultiCell(125,5  ,'Branch:  MANILA',1);

        $this->SetXY(10,37);
        $this->SetFont('Arial', 'I', 9);
        $this->Cell(125,5,'Note : Sections that are left blank denotes "Not Applicable" for the specified item.',);

            // Set column headers
        $this->SetFont('Arial', 'B', 10);
        $this->SetY(50);
        $this->Cell(50, 5, 'Item', 1,0, 'C');
        $this->Cell(35, 5, 'Property Code', 1,0, 'C');
        $this->Cell(50, 5, 'Category', 1,0, 'C');
        $this->Cell(50, 5, 'Location', 1,0, 'C');
        $this->Cell(20, 5, 'Life Span', 1,0, 'C');
        $this->Cell(30, 5, 'Acquisition Date', 1,0, 'C');
        $this->Cell(40, 5, 'Remarks', 1,0, 'C');
        $this->Ln();
    }

    // Page footer
    function Footer()
    {
        // Position the footer 1.5 cm from the bottom
        $this->SetY(-15);
        // Set font for the footer
        $this->SetFont('Arial', 'I', 8);
        // Add a line above the footer
        $this->Line(10, $this->GetY() - 2, 287, $this->GetY() - 2);
        // Add the "Prepared by" text aligned to the left
        $preparedBy = isset($_SESSION['firstname']) && isset($_SESSION['lastname']) 
            ? $_SESSION['firstname'] . " " . $_SESSION['lastname'] 
            : 'Unknown';
        
        // Add the "Prepared by" text to the left
        $this->Cell(0, 5, 'Prepared by: ' . $preparedBy, 0, 0, 'L');
        
        // Add the page number aligned to the center
        $this->SetY(-10);
        $this->Cell(0, 5, 'Page ' . $this->PageNo(), 0, 0, 'C');
    }
    
    

    protected $widths;
    protected $aligns;

    function SetWidths($w)
    {
        // Set the array of column widths
        $this->widths = $w;
    }

    function SetAligns($a)
    {
        // Set the array of column alignments
        $this->aligns = $a;
    }

    function Row($data)
    {
        // Calculate the height of the row
        $nb = 0;
        for($i=0;$i<count($data);$i++)
            $nb = max($nb,$this->NbLines($this->widths[$i],$data[$i]));
        $h = 5*$nb;
        // Issue a page break first if needed
        $this->CheckPageBreak($h);
        // Draw the cells of the row
        for($i=0;$i<count($data);$i++)
        {
            $w = $this->widths[$i];
            $a = isset($this->aligns[$i]) ? $this->aligns[$i] : 'C';
            // Save the current position
            $x = $this->GetX();
            $y = $this->GetY();
            // Draw the border
            $this->Rect($x,$y,$w,$h);
            // Print the text
            $this->MultiCell($w,5,$data[$i],0,$a);
            // Put the position to the right of the cell
            $this->SetXY($x+$w,$y);
        }
        // Go to the next line
        $this->Ln($h);
    }

    function CheckPageBreak($h)
    {
        // If the height h would cause an overflow, add a new page immediately
        if($this->GetY()+$h>$this->PageBreakTrigger)
            $this->AddPage($this->CurOrientation);
    }

    function NbLines($w, $txt)
    {
        // Compute the number of lines a MultiCell of width w will take
        if(!isset($this->CurrentFont))
            $this->Error('No font has been set');
        $cw = $this->CurrentFont['cw'];
        if($w==0)
            $w = $this->w-$this->rMargin-$this->x;
        $wmax = ($w-2*$this->cMargin)*1000/$this->FontSize;
        $s = str_replace("\r",'',(string)$txt);
        $nb = strlen($s);
        if($nb>0 && $s[$nb-1]=="\n")
            $nb--;
        $sep = -1;
        $i = 0;
        $j = 0;
        $l = 0;
        $nl = 1;
        while($i<$nb)
        {
            $c = $s[$i];
            if($c=="\n")
            {
                $i++;
                $sep = -1;
                $j = $i;
                $l = 0;
                $nl++;
                continue;
            }
            if($c==' ')
                $sep = $i;
            $l += $cw[$c];
            if($l>$wmax)
            {
                if($sep==-1)
                {
                    if($i==$j)
                        $i++;
                }
                else
                    $i = $sep+1;
                $sep = -1;
                $j = $i;
                $l = 0;
                $nl++;
            }
            else
                $i++;
        }
        return $nl;
    }
}

function createInventoryPDF($items)
{
    // Create a new instance of the extended PDF class
    $pdf = new PDF('L', 'mm', 'A4'); // 'L' for Landscape, 'mm' for millimeters, 'A4' paper size
    $pdf->AddPage();


    // Populate the rows with data
    $pdf->SetFont('Arial', '', 9);
    
    $pdf->SetWidths(array(50, 35, 50, 50, 20, 30, 40));
    foreach ($items as $item) {

        $item['category'] = (isset($item['category']) && !empty($item['category'])) ? $item['category'] : "";
        $propertyCode = (isset($item['code']) && !empty($item['code'])) ? $item['code'] . '-' . str_pad($item['code_id'], 4, '0', STR_PAD_LEFT) : "";
        $item['location'] = (isset($item['location']) && !empty($item['location'])) ? $item['location'] : "";
        $item['issued_to'] = (isset($item['issued_to']) && !empty($item['issued_to'])) ? $item['issued_to'] : "";
        $item['life_expectancy'] = (isset($item['life_expectancy']) && !empty($item['life_expectancy'])) ? $item['life_expectancy'] : "";
        $item['date_acquired'] = (isset($item['date_acquired']) && !empty($item['date_acquired'])) ? substr($item['date_acquired'],-0,10) : "";
        $item['status'] = (isset($item['status']) && !empty($item['status'])) ? $item['status'] : "";

        $pdf->Row(array($item['category'], $propertyCode, $item['location'], $item['issued_to'], $item['life_expectancy'], $item['date_acquired'], $item['status']));
    }

    // Output the PDF to the browser
    $pdf->Output('I', 'Inventory_List.pdf');
}

// Example usage with sample data
if(isset($_GET['empQuery'])){
    $empRecords = $conn1->query($_GET['empQuery']);

}

// Call the function to create the PDF
createInventoryPDF($empRecords);
?>
