<?php
// Assuming you already have your database connection ready
include('../../../database/dbcon.php');



// Get the assigned_to parameter from the AJAX request
$assignedTo = isset($_GET['assigned_to']) ? $_GET['assigned_to'] : '';

// Prepare and execute the SQL query to fetch personnel
$sql = "SELECT u.id,
       COALESCE(u.fullname, CONCAT(u.firstname, ' ', u.lastname)) AS name,
       p.privilege AS privilege_name
FROM users u
LEFT JOIN privileges p ON u.privilege_id = p.id
WHERE u.department_id = ?
"; // Replace 'department' with your column name if needed
$stmt = $conn1->prepare($sql);
$stmt->bind_param("i", $assignedTo); // Bind the assignedTo parameter
$stmt->execute();
$result = $stmt->get_result();

// Fetch personnel data into an array
$personnelList = [];
while ($row = $result->fetch_assoc()) {
    $personnelList[] = $row;
}

// Return the personnel list as JSON
echo json_encode($personnelList);
?>
