<?php
include('../../../database/dbcon.php');
ob_start();
session_start();

// Check if user is logged in
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>window.location.href='index.php';</script>";
    exit;
}

// Functions to fetch data from the database
function find_all($db, $table)
{
    global $conn, $conn1, $conn2;
    $conn = ($db === "conn1") ? $conn1 : $conn2;

    if ($table == "items") {
        $query = "SELECT * FROM " . $table . " ORDER BY id DESC LIMIT 150";
    } else {
        $query = "SELECT * FROM " . $table;
    }

    $result = $conn->query($query);
    $rows = ($result->num_rows > 0) ? mysqli_fetch_all($result, MYSQLI_ASSOC) : null;
    return $rows;
}

function find_from2tables($db, $table1, $table2, $foreign, $primary)
{
    global $conn, $conn1, $conn2;
    $conn = ($db === "conn1") ? $conn1 : $conn2;

    $query = "SELECT * FROM " . $table1 . " INNER JOIN " . $table2 . " ON " . $table1 . "." . $foreign . " = " . $table2 . "." . $primary;
    $result = $conn->query($query);
    $rows = ($result->num_rows > 0) ? mysqli_fetch_all($result, MYSQLI_ASSOC) : null;
    return $rows;
}

// Processing the DataTables request
$draw = $_POST['draw'];
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
$searchValue = mysqli_real_escape_string($conn1, $_POST['search']['value']); // Global search value

// Initialize search conditions
$searchQuery1 = "";

// Search column specific data
$pms_name = mysqli_real_escape_string($conn1, $_POST['columns'][1]['search']['value']);
$category = mysqli_real_escape_string($conn1, $_POST['columns'][2]['search']['value']);
$frequency = mysqli_real_escape_string($conn1, $_POST['columns'][3]['search']['value']);
$end_schedule = mysqli_real_escape_string($conn1, $_POST['columns'][4]['search']['value']);
$assigned_to = mysqli_real_escape_string($conn1, $_POST['columns'][5]['search']['value']);

// Check if column-specific searches exist and append to the query

if (isset($pms_name)) {
    $searchQuery1 .= "pms_name LIKE '%" . $pms_name . "%' AND ";
}
if (isset($category)) {
    $searchQuery1 .= "category LIKE '%" . $category . "%' AND ";
}
if (isset($frequency)) {
    $searchQuery1 .= "frequency LIKE '%" . $frequency . "%' AND ";
}
if (isset($assigned_to)) {
    if(isset($_SESSION['department']) && (($_SESSION['department'] == "ADMIN") || ($_SESSION['department'] == "IT"))){
        $searchQuery1 .= "assigned_to LIKE '%" . $assigned_to . "%' AND ";
    } else {
        $searchQuery1 .= "assigned_to LIKE '%" . $assigned_to . "%' AND assigned_to = " . $_SESSION['department_id']. " AND ";
    }
}

// Remove the trailing "AND" and finalize the search query
$searchQuery1 = rtrim($searchQuery1, " AND ");
$searchQuery1 = $searchQuery1 ? " AND " . $searchQuery1 : ""; // Only add "AND" if there are conditions

// Department restriction from session (if applicable)
$userDept = $_SESSION['department_id'];

// Get total record count
$sel = mysqli_query($conn1, "SELECT count(*) as allcount 
    FROM pms 
    LEFT JOIN categories ON pms.item_id = categories.id
    LEFT JOIN departments ON pms.assigned_to = departments.id 
    WHERE 1 " . $searchQuery1);
$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];
$totalRecordwithFilter = $records['allcount'];

// Fetch records based on search and pagination

$empQuery = "SELECT pms.*,
    pms.id as pms_id,
    departments.id as  deptID,
    categories.id as  catID,
    categories.category as item_id,
    departments.department as assigned_to
    FROM pms 
    LEFT JOIN categories ON pms.item_id = categories.id
    LEFT JOIN departments ON pms.assigned_to = departments.id 
    WHERE 1 " . $searchQuery1 . " 
    ORDER BY " . $columnName . " " . $columnSortOrder . " 
    LIMIT " . $row . "," . $rowperpage;

$empRecords = mysqli_query($conn1, $empQuery);

// Data output
$data = array();
$count = $row; // This ensures the numbering starts correctly

while ($row = mysqli_fetch_assoc($empRecords)) {
    $count++;

    $schedule = "";
    $frequency = "";

    switch ($row['frequency']) {
        case 'annually':
            $startDay = date('F jS', strtotime($row['start_schedule'])); // Full month name and day with suffix
            $endDay = date('F jS', strtotime($row['end_schedule'])); // Same format for end date

            $schedule = "Every year from (" . $startDay . " to " . $endDay . ")";
            $frequency = "yearly";
            break;
        case 'yearly':
            $startDay = date('F jS', strtotime($row['start_schedule'])); // Full month name and day with suffix
            $endDay = date('F jS', strtotime($row['end_schedule'])); // Same format for end date

            $schedule = "Every year from (" . $startDay . " to " . $endDay . ")";
            $frequency = "yearly";
            break;
    

        case 'semiannually':
            $frequency = "semiannually"; // Maintain semiannually as frequency
            $schedule = "Every 6 months starting (" . date('F jS', strtotime($row['start_schedule'])) . ")";
            break;

        case 'quarterly':
            $frequency = "quarterly"; // Maintain quarterly as frequency
            $schedule = "Every 3 months starting (" . date('F jS', strtotime($row['start_schedule'])) . ")";
            break;

        case 'bimonthly':
            $frequency = "bimonthly"; // Maintain bimonthly as frequency
            $schedule = "Every 2 months starting (" . date('F jS', strtotime($row['start_schedule'])) . ")";
            break;

        case 'monthly':
            $startDay = date('F jS', strtotime($row['start_schedule'])); // Day with suffix
            $endDay = date('F jS', strtotime($row['end_schedule'])); // Day with suffix

            if($row['freq_interval'] == 1){
                $row['frequency'] = "monthly";
            } else if($row['freq_interval'] == 2){
                $row['frequency'] = "bimonthly";
            } else if($row['freq_interval'] == 3){
                $row['frequency'] = "quarterly";
            } else if($row['freq_interval'] == 6){
                $row['frequency'] = "semiannually";
            }

            $frequency = "monthly";

            $schedule = "Every " . $row['freq_interval'] . " month/s from (" . $startDay . " to " . $endDay . ")";
            break;

        case 'weekly':
            $frequency = "weekly"; // Maintain weekly as frequency
            $schedule = "Every week starting (" . date('F jS', strtotime($row['start_schedule'])) . ")";
            break;

        default:
            $schedule = "";
            $frequency = "";
            exit;
    }

    $data[] = array(
        "id" => $count,
        "pms_name" => $row['pms_name'] . ";" . $row['catID'] . ";" . $row['start_schedule'] . ";" . $row['end_schedule'] . ";" . $row['deptID'] . ";" . $row['pms_id'] . ";" . $frequency . ";" . $row['freq_interval'],
        "item_id" => $row['item_id'],
        "frequency" => strtoupper($row['frequency']),
        "schedule" => $schedule,
        "assigned_to" => $row['assigned_to'],
        "operation" => $row['pms_id'] . ";" . $row['deptID']
    );
}

// Response for DataTables
$response = array(
    "draw" => intval($draw),
    "iTotalRecords" => $totalRecords,
    "iTotalDisplayRecords" => $totalRecordwithFilter,
    "aaData" => $data,
    "query" => $empQuery
);

echo json_encode($response);
