    <?php
    include('../../../../database/dbcon.php');
    ob_start();
    session_start();

    // Check if the user is logged in
    if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
        echo "<script>window.location.href='index.php';</script>";
        exit;
    }

    // Functions to fetch data from the database
    function find_all($db, $table)
    {
        global $conn1, $conn2;
        $conn = ($db === "conn1") ? $conn1 : $conn2;

        $query = ($table == "items") 
            ? "SELECT * FROM " . $table . " ORDER BY id DESC LIMIT 150" 
            : "SELECT * FROM " . $table;

        $result = $conn->query($query);
        $rows = ($result->num_rows > 0) ? mysqli_fetch_all($result, MYSQLI_ASSOC) : null;
        return $rows;
    }

    function find_from2tables($db, $table1, $table2, $foreign, $primary)
    {
        global $conn1, $conn2;
        $conn = ($db === "conn1") ? $conn1 : $conn2;

        $query = "SELECT * FROM " . $table1 . " 
                INNER JOIN " . $table2 . " 
                ON " . $table1 . "." . $foreign . " = " . $table2 . "." . $primary;
        
        $result = $conn->query($query);
        $rows = ($result->num_rows > 0) ? mysqli_fetch_all($result, MYSQLI_ASSOC) : null;
        return $rows;
    }

    // Processing the DataTables request
    $draw = $_POST['draw'];
    $row = $_POST['start'];
    $rowperpage = $_POST['length']; // Rows display per page
    $columnIndex = $_POST['order'][0]['column']; // Column index
    $columnName = $_POST['columns'][$columnIndex]['data']; // Column name
    $columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
    $searchValue = mysqli_real_escape_string($conn1, $_POST['search']['value']); // Global search value

    // Initialize search conditions
    $searchQuery1 = "";

    // Search column-specific data
    $branchDepartment = mysqli_real_escape_string($conn1, $_POST['columns'][1]['search']['value']);
    $property_id = mysqli_real_escape_string($conn1, $_POST['columns'][2]['search']['value']);
    $lifeSpan = mysqli_real_escape_string($conn1, $_POST['columns'][3]['search']['value']);
    $type = mysqli_real_escape_string($conn1, $_POST['columns'][4]['search']['value']);
    $position = mysqli_real_escape_string($conn1, $_POST['columns'][5]['search']['value']);
    $supplier = mysqli_real_escape_string($conn1, $_POST['columns'][6]['search']['value']);


    if($_SESSION['department'] != 'IT' &&  $_SESSION['department'] != 'ADMIN') {
        $searchQuery1 .=  "departments.department LIKE '%" . $_SESSION['department'] . "%' AND ";
    }

    // Check if column-specific searches exist and append to the query
    if ($branchDepartment) {
        $searchQuery1 .= "CONCAT(branch, '|', departments.department) LIKE '%" . $branchDepartment . "%' AND ";
    }
    if ($property_id) {
        $searchQuery1 .= "categories.category LIKE '%" . $property_id . "%' AND ";
    }
    if ($lifeSpan) {
        $searchQuery1 .= "categories.life_expectancy LIKE '%" . $lifeSpan . "%' AND ";
    }
    if ($type) {
        $searchQuery1 .= "type LIKE '%" . $type . "%' AND ";
    }
    if ($position) {
        $searchQuery1 .= "position LIKE '%" . $position . "%' AND ";
    }
    if ($supplier) {
        $searchQuery1 .= "supplier LIKE '%" . $supplier . "%' AND ";
    }

    // Remove the trailing "AND" and finalize the search query
    $searchQuery1 = rtrim($searchQuery1, " AND ");
    $searchQuery1 = $searchQuery1 ? " AND " . $searchQuery1 : ""; // Only add "AND" if there are conditions

    // Get total record count
    $sel = mysqli_query($conn1, "SELECT COUNT(*) as allcount 
        FROM pms_plan 
        LEFT JOIN categories ON pms_plan.property_id = categories.id
        LEFT JOIN departments ON pms_plan.department_id = departments.id 
        WHERE 1 " . $searchQuery1);
    $records = mysqli_fetch_assoc($sel);
    $totalRecords = $records['allcount'];
    $totalRecordwithFilter = $records['allcount'];

    // Fetch records based on search and pagination
    $empQuery = "SELECT *,
    CONCAT(branch, '|', departments.department) as branchDept,
    pms_plan.id as planID,
    categories.id as catID,
    departments.id as deptID,
    categories.life_expectancy as life_span
    FROM pms_plan 
    LEFT JOIN categories ON pms_plan.property_id = categories.id
    LEFT JOIN departments ON pms_plan.department_id = departments.id 
    WHERE 1 " . $searchQuery1 . " 
    ORDER BY pms_plan." . $columnName . " " . $columnSortOrder . " LIMIT " . $row . ", " . $rowperpage;

    $empRecords = mysqli_query($conn1, $empQuery);

    // Data output
    $data = array();
    $count = $row; // Initialize the numbering from the starting row

    while ($row = mysqli_fetch_assoc($empRecords)) {
        $count++;
        $data[] = array(
            "id" => $count,
            "branch_dept" => strtoupper($row['branch']) . " | " . $row['department'],
            "infrastructure_property" => $row['category'],
            "life_span" => (!empty($row['life_span'])?$row['life_span']:'N/A'),
            "type" =>(!empty($row['type'])?$row['type']:'N/A'),
            "position" => (!empty($row['position'])?$row['position']:'N/A'),
            "supplier" => (!empty($row['supplier'])?$row['supplier']:'N/A'),
            "operation" => $row['category'].";".$row['planID'].";".$row['property_id']
        );
    }

    // Response for DataTables
    $response = array(
        "draw" => intval($draw),
        "iTotalRecords" => $totalRecords,
        "iTotalDisplayRecords" => $totalRecordwithFilter,
        "aaData" => $data,
        "query" => $empQuery
    );

    echo json_encode($response);
    ?>
