<?php
include('../../../database/dbcon.php');
ob_start();
session_start();

if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
    echo "<script>window.location.href='index.php';</script>";
}

function find_all($db, $table)
{
    global $conn, $conn1, $conn2;
    $conn = ($db === "conn1") ? $conn1 : $conn2;

    if ($table == "items") {
        $query = "SELECT * FROM " . $table . " ORDER BY id DESC LIMIT 150";
    } else {
        $query = "SELECT * FROM " . $table;
    }

    $result = $conn->query($query);
    $rows = ($result->num_rows > 0) ? mysqli_fetch_all($result, MYSQLI_ASSOC) : null;
    return $rows;
}

function find_from2tables($db, $table1, $table2, $foreign, $primary)
{
    global $conn, $conn1, $conn2;
    $conn = ($db === "conn1") ? $conn1 : $conn2;

    $query = "SELECT * FROM " . $table1 . " INNER JOIN " . $table2 . " on " . $table1 . "." . $foreign . " = " . $table2 . "." . $primary;
    $result = $conn->query($query);
    $rows = ($result->num_rows > 0) ? mysqli_fetch_all($result, MYSQLI_ASSOC) : null;
    return $rows;
}

$draw = $_POST['draw'];
$row = $_POST['start'];
$rowperpage = $_POST['length']; // Rows display per page
$columnIndex = $_POST['order'][0]['column']; // Column index
$columnName = $_POST['columns'][$columnIndex]['data']; // Column name
$columnSortOrder = $_POST['order'][0]['dir']; // asc or desc
$searchValue = mysqli_real_escape_string($conn1, $_POST['search']['value']); // Search value

$searchQuery1 = "";

// Column 1: category
$category = mysqli_real_escape_string($conn1, $_POST['columns'][1]['search']['value']);
if ($category) {
    $searchQuery1 .= "(category LIKE '%" . $category . "%') AND ";
}

// Column 2: department
$department = mysqli_real_escape_string($conn1, $_POST['columns'][2]['search']['value']);
if ($department) {
    $searchQuery1 .= "(department LIKE '%" . $department . "%') AND ";
}

// Column 3: location
$location = mysqli_real_escape_string($conn1, $_POST['columns'][3]['search']['value']);
if ($location) {
    $searchQuery1 .= "(location LIKE '%" . $location . "%') AND ";
}

// Column 4: details
$details = mysqli_real_escape_string($conn1, $_POST['columns'][4]['search']['value']);
if ($details) {
    $searchQuery1 .= "(details LIKE '%" . $details . "%') AND ";
}

// Column 5: status
$status = mysqli_real_escape_string($conn1, $_POST['columns'][5]['search']['value']);
if ($status) {
    $searchQuery1 .= "(status LIKE '%" . $status . "%') AND ";
}

// Column 6: completion date (date range)
if (preg_match('/^\^/', $_POST['columns'][6]['search']['value'])) {
    // Remove the caret '^' from the start of the search value
    $startDate = str_replace('^', '', $_POST['columns'][6]['search']['value']);
    $endDate = ""; // If only start date is provided, set endDate as an empty string
} else if (preg_match('/|\|/', $_POST['columns'][6]['search']['value'])) {
    // Remove the caret '^' from the start of the search value
    $columnDate = explode('|', $_POST['columns'][6]['search']['value']);
    $startDate = $columnDate[0];
    $endDate = (isset($columnDate[1]) && !empty($columnDate[1])) ? $columnDate[1] : "";
} else {
    $startDate = ""; // No start date provided
    $endDate = "";   // No end date provided
}

if ($startDate && $endDate) {
    $searchQuery1 .= "(completion_date BETWEEN '" . $startDate . "' AND '" . $endDate . "') AND ";
} elseif ($startDate) {
    $searchQuery1 .= "(completion_date >= '" . $startDate . "') AND ";
} elseif ($endDate) {
    $searchQuery1 .= "(completion_date <= '" . $endDate . "') AND ";
}

// Column 7: remarks
$remarks = mysqli_real_escape_string($conn1, $_POST['columns'][7]['search']['value']);
if ($remarks) {
    $searchQuery1 .= "(remarks LIKE '%" . $remarks . "%') AND ";
}

// Remove the trailing "AND" if there are search conditions
$searchQuery1 = rtrim($searchQuery1, " AND ");
$searchQuery1 = $searchQuery1 ? " AND " . $searchQuery1 : ""; // Only add "AND" if there are conditions

$_POST['columns'][0]['search']['value'];
$_POST['columns'][0]['data'];
$userDept = $_SESSION['department_id'];

$sel = mysqli_query($conn1, "SELECT count(*) as allcount FROM weekly_report LEFT JOIN departments ON weekly_report.department_id = departments.id WHERE 1 " . $searchQuery1);
$records = mysqli_fetch_assoc($sel);
$totalRecords = $records['allcount'];
$totalRecordwithFilter = $records['allcount'];

$empQuery = "SELECT weekly_report.*, departments.department as department FROM weekly_report LEFT JOIN departments ON weekly_report.department_id = departments.id WHERE 1 " . $searchQuery1 . " ORDER BY " . $columnName . " " . $columnSortOrder . " LIMIT " . $row . "," . $rowperpage;

$empRecords = mysqli_query($conn1, $empQuery);

$data = array();
$count = 0;

while ($row = mysqli_fetch_assoc($empRecords)) {
    $count++;
    $data[] = array(
        "id" => $count,
        "category" => $row['category'],
        "department" => $row['department'],
        "location" => $row['location'],
        "details" => $row['details'],
        "status" => $row['status'] == 'ongoing' ? 'ON-GOING' : 'DONE',
        "completion_date" => $row['completion_date'],
        "remarks" => $row['remarks'],
        "operation" => $row['id']
    );
}

$response = array(
    "draw" => intval($draw),
    "iTotalRecords" => $totalRecords,
    "iTotalDisplayRecords" => $totalRecordwithFilter,
    "aaData" => $data,
    "query" => $empQuery
);

echo json_encode($response);
