<?php
include('database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
  echo "<script>window.location.href='index.php';</script>";
}
?>
<?php include_once('functions/fetch.php'); ?>
<?php
$all_status = find_all('conn1', 'status');
$all_types = find_all('conn1', 'types');
?>
<?php include_once('layouts/header.php'); ?>
<header>
  <?php include_once('layouts/sidebar.php'); ?>
  <?php include_once('layouts/navbar.php'); ?>
</header>
<main style="margin-top: 58px; padding-left: 0px;">
  <div class="container pt-4">
    <!--Section: Statistics with subtitles-->
    <section>
      <div class="row">
        <div class="col-xl-3 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>Add Status</strong>
              </h5>
            </div>
            <div class="card-body">
              <form method="post" class="clearfix" action="functions/status/add_status.php">
                <div class="form-floating mb-3">
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <label class="input-group-text" for="inputGroupSelectTypes">Type: </label>
                    </div>
                    <select class="custom-select form-control" id="inputGroupSelectTypes" name="type_id" required>
                      <option value="" selected>Select type</option>
                      <?php
                      if ($all_types !== null) {
                        foreach ($all_types as $type) :
                          if (isset($type_id)) {
                      ?>
                            <option value="<?php echo $type['id'] ?>" <?php echo ($type['id'] == $type_id) ? 'selected' : '' ?>><?php echo $type['type'] ?></option>
                          <?php
                          } else { ?>
                            <option value="<?php echo $type['id'] ?>"><?php echo $type['type'] ?></option>
                      <?php   }
                        endforeach;
                      }
                      ?>
                    </select>
                  </div>
                </div>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Status Name" aria-label="Status Name" aria-describedby="add-status-button" name="status" pattern="[a-zA-Z]{}" required>
                </div>
                <div class="input-group mb-3">
                  <input type="color" class="form-control" name="color" required>
                </div>
                <button class="btn btn-success btn-md center wd-25" type="submit" id="add-status-button" name="submit">Add</button>
              </form>
            </div>
          </div>
        </div>
        <div class="col-xl-9 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>All Status</strong>
              </h5>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered stripe">
                  <thead>
                    <tr class="compass-primary-color bg-gradient text-white">
                      <th class="col-2" scope="col">Type</th>
                      <th class="col-5" scope="col">Status Name</th>
                      <th class="col-2" scope="col">Operations</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    if ($all_status !== null) :
                      foreach ($all_status as $stat) : ?>
                        <tr>

                          <?php foreach ($all_types as $type) :
                            if ($type['id'] == $stat['type_id']) :
                          ?>
                              <td><?php echo $type['type']; ?></td>
                          <?php
                            endif;
                          endforeach;
                          ?>
                          <td class="badge" style="background:<?php echo $stat['color']; ?>;"><span class="badge rounded-pill" style="background:#fff; color:#000;"><?php echo $stat['status']; ?></span></td>
                          <td>
                            <button class="btn btn-danger btn-md" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#deleteStatus<?php echo $stat['id']; ?>"><i class="fas fa-trash"></i></button>
                            <button class="btn btn-success btn-md" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#editStatus<?php echo $stat['id']; ?>"><i class="fas fa-pen"></i></button>
                          </td>
                        </tr>

                      <?php include("forms/status/edit_status.php");
                        include("forms/status/delete_status.php");
                      endforeach;
                      ?>
                    <?php
                    endif; ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--Section: Statistics with subtitles-->
  </div>
</main>
<?php include_once('layouts/footer.php'); ?>