<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Depreciation Calculator</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body>
    <h2>Depreciation Calculator</h2>
    <form id="depreciationForm">
        <label for="initialValue">Initial Value:</label>
        <input type="number" id="initialValue" name="initialValue" required><br><br>
        
        <label for="salvageValue">Salvage Value:</label>
        <input type="number" id="salvageValue" name="salvageValue" required><br><br>
        
        <label for="usefulLife">Useful Life (in years):</label>
        <input type="number" id="usefulLife" name="usefulLife" required><br><br>
        
        <button type="submit">Calculate Depreciation</button>
    </form>

    <div id="result"></div>

    <script>
        $(document).ready(function() {
            $('#depreciationForm').submit(function(e) {
                e.preventDefault(); // Prevent form submission

                var initialValue = parseFloat($('#initialValue').val());
                var salvageValue = parseFloat($('#salvageValue').val());
                var usefulLife = parseInt($('#usefulLife').val());

                var depreciationValues = calculateDepreciation(initialValue, salvageValue, usefulLife);
                
                // Display the result
                var resultHtml = "<h3>Depreciation Values:</h3><ul>";
                depreciationValues.forEach(function(value, index) {
                    resultHtml += "<li>Year " + (index + 1) + ": Php " + value.toFixed(2) + "</li>";
                });
                resultHtml += "</ul>";
                $('#result').html(resultHtml);
            });
        });

        function calculateDepreciation(initialValue, salvageValue, usefulLife) {
            var annualDepreciation = (initialValue - salvageValue) / usefulLife;
            var depreciationValues = [];
            
            for (var i = 1; i <= usefulLife; i++) {
                var depreciation = annualDepreciation * i;
                depreciationValues.push(depreciation);
            }
            
            return depreciationValues;
        }
    </script>
</body>
</html>
