<?php
include('database/dbcon.php');
ob_start();
session_start();
if (!isset($_SESSION['loggedin']) || $_SESSION['loggedin'] == false) {
  echo "<script>window.location.href='index.php';</script>";
}
?>
<?php include_once('functions/fetch.php'); ?>
<?php
$all_types = find_all('conn1','types');
?>
<?php include_once('layouts/header.php'); ?>
<header>
  <?php include_once('layouts/sidebar.php'); ?>
  <?php include_once('layouts/navbar.php'); ?>
</header>
<main style="margin-top: 58px; padding-left: 0px;">
  <div class="container pt-4">
    <!--Section: Statistics with subtitles-->
    <section>
      <div class="row">
        <div class="col-xl-3 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>Add Types</strong>
              </h5>
            </div>
            <div class="card-body">
              <form method="post" class="clearfix" action="functions/types/add_types.php">
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Type Name" aria-label="Type Name" aria-describedby="add-Type-button" name="type" pattern="[a-zA-Z]{}" required>
                </div>
                <div class="input-group mb-3">
                  <input type="text" class="form-control" placeholder="Type Code" aria-label="Type Code" aria-describedby="add-Type-code-button" name="code" pattern="[a-zA-Z]{}" required>
                </div>
                <button class="btn btn-success btn-md center wd-25" type="submit" id="add-type-button" name="submit">Add</button>
              </form>
            </div>
          </div>
        </div>
        <div class="col-xl-9 col-md-12 mb-4">
          <div class="card">
            <div class="card-header text-center py-3 compass-primary-color bg-gradient text-white">
              <h5 class="mb-0 text-center">
                <strong>All Types</strong>
              </h5>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered stripe">
                  <thead>
                    <tr class="compass-primary-color bg-gradient text-white">
                      <th scope="col">Type Name</th>
                      <th scope="col">Type Code</th>
                      <th class="col-2" scope="col">Operations</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    if ($all_types !== null) :
                      foreach ($all_types as $type) : ?>
                        <tr>
                          <td><?php echo $type['type']; ?></td>
                          <td><?php echo $type['code']; ?></td>
                          <td>
                            <button class="btn btn-danger btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#deleteTypes<?php echo $type['id']; ?>"><i class="fas fa-trash"></i></button>
                            <button class="btn btn-success btn-sm" aria-hidden="true" data-bs-toggle="modal" data-bs-target="#editTypes<?php echo $type['id']; ?>"><i class="fas fa-pen"></i></button>
                          </td>
                        </tr>

                      <?php include("forms/types/edit_types.php");
                        include("forms/types/delete_types.php");
                      endforeach;
                      ?>
                    <?php
                    endif; ?>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
    <!--Section: Statistics with subtitles-->
  </div>
</main>
<?php include_once('layouts/footer.php'); ?>